<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class Administrador
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if (Auth::check()) {
            if (Auth::user()->tipo != 1) {
                // return redirect()->route('admin.inicio')->withErrors('Usted no tiene permisos para acceder a esa area del sistema');
            }

            return $next($request);
        } else {
            return redirect()->route('login');
        }
    }
}
