@extends('layouts.admin')

@section('contenido')

        <!-- Styles -->

 <!-- Content Header (Page header) -->
 <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <div style="display:flex; align-items:center;">
            
              <h1>Panel de Administración</h1>
            </div>
          </div>
          <div class="col-sm-6">
          
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <div class="content">
  
  <div class="container-fluid">
      <div class="row">
          <!-- <div class="col-md-12"> -->
          
              <div class="col-md-8">

                  <div class="card card-primary card-outline"> 
                      <div class="card-header">
                          <h3 class="card-title">
                              <i class="fas fa-info"></i>
                              Notas
                          </h3>
                      </div>
                      <div class="card-body">
                      
                      

                      <div class="table-responsive all-pages">
                          <table class="table table-bordered table-striped" role="grid">
                              <thead>
                                  <tr role="row">
                                      <th width="20">#</th>
                                      <th>Nombre</th>
                                      <th>Estatus</th>
                                      <th width="250">Administrar</th>
                                  </tr>
                              </thead>
                              <tbody>
                                 @foreach ($notas as $n)
                        <tr>
                          <td>{{$n->id_nota}}</td>
                          <td>{{$n->titulo}}</td>
                          <td>
                            @if($n->status == 0)  
                               <form method="post" action="{{url('admin/nota_act')}}" style="display: inline-block;">
                                   {!! csrf_field() !!}
                                   <input type="hidden" name="id" value="{{$n->id_nota}}">
                                   <input type="hidden" name="aut" value="1">
                                   <button type="submit" class="btn btn-xs btn-danger">Sin Autorizar</button>
                                   </form>
                            @else 
                               <form method="post" action="{{url('admin/nota_act')}}" style="display: inline-block;">
                                   {!! csrf_field() !!}
                                   <input type="hidden" name="id" value="{{$n->id_nota}}">
                                   <input type="hidden" name="aut" value="0">
                                   <button type="submit" class="btn btn-xs btn-success">Autorizado</button>
                                   </form>
                            @endif 
                          </td>
                          <td>
                              
                                 
                                  <a href="{{url('nota/'.$n->slug)}}" target="_blank" class="btn btn-warning">  <i class="fa fa-eye" data-size="20" title="Ver Nota"></i></a>
                                <a href="{{url('admin/nota_edit/'.$n->id_nota)}}" class="btn btn-primary">  <i class="fa fa-edit" data-size="20" title="Editar Nota"></i></a>

                                <button type="submit" data-toggle="modal" data-target="#del{{$n->id_nota}}" class="btn btn-danger"><i class="fas fa-trash" data-size="20" title="Eliminar Nota"></i>
                                </button>
                                <div class="modal fade" id="del{{$n->id_nota}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                  <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                    <div class="modal-header" style="background:#DF1B1B;">
                                      <h3 class="modal-title"><strong>Confirmación de Eliminación</strong></h3>
                                    </div>
                                      <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente la Nota:<br><strong>{{$n->titulo}}</strong></p>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                        <form method="post" action="{{url('admin/nota_delete')}}" style="display: inline-block;">
                                         {!! csrf_field() !!}
                                         <input type="hidden" name="id" value="{{$n->id_nota}}">
                                         <input type="hidden" name="imagen" value="{{$n->imagen}}">
                                         <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                        </form>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                            </td>
                     
                        </tr>
               @endforeach
                              </tbody>
                          </table>
                      </div>
                    <div style="display:flex;     justify-content: flex-end;">
                          <a href="{{url('admin/todas_las_notas')}}" class="btn btn-primary"><i class="fas fa-edit" aria-hidden="true"></i> Ver todas las notas</a>
                    </div>


                           <!-- <form class="container " action="{{url('admin/csv')}}" enctype="multipart/form-data" method="post" >
                             @csrf
                                <p><label>Seleccione un Archido CSV</label>
                                <input type="file" name="file" /></p>
                                <br />
                                <br />
                                <input type="submit" name="upload_csv" class="btn btn-info" value="Guardar" />
                            </form> -->

                  
                      </div><!-- /.card-doby -->
                  </div><!-- /.card -->

              </div>
              <div class="col-md-4">
                    
                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Crear Nota
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center; ">
                                    
                               <a href="{{url('admin/agregar_nota')}}" class="btn btn-info"><i class="fas fa-plus"></i> Agregar Nota</a>

                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    @if(Auth::user()->tipo==1)

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-users"></i>
                                Agregar Usuarios
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center; flex-direction:column">
                                    
                               <a href="{{url('admin/agregar_editor')}}" class="btn btn-success"><i class="fas fa-plus"></i> Agregar Editor</a><br>
                               <a href="{{url('admin/administrador/create')}}" class="btn btn-success"><i class="fas fa-plus"></i> Agregar Administrador</a>

                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    @endif


                    <div class="card card-warning card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-user"></i>
                               Editar Perfil
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center; flex-direction:column">
                                    
                               <a href="{{url('admin/perfil')}}" class="btn btn-warning"><i class="fas fa-edit"></i> Editar Información </a><br>

                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->


                </div>
              

          <!-- </div>/.col 12 -->
      </div>
  </div>

</div>
<br>

<!-- TABLE: LATEST ORDERS -->
          <!-- <div class="box box-info">
            <div class="box-header with-border">
              <h3 class="box-title">Secciones</h3>

              <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i></button>
              </div>
            </div>
            <div class="box-body">
              <div class="table-responsive">
                <table class="table no-margin">
                  <thead>
                  <tr>
                    <th>Nombre de la Sección</th>
                    <th>Enlace</th>
                    
                  </tr>
                  </thead>
                  <tbody>
        <tr>
        <td style="text-align:  left;"> <span style="text-align: left;">Nota</span></td>
          <td><a href="{{url('admin/nota_news')}}" class="btn btn-success ctn-xl">
             <span>Ver</span>
             </td>
          </a>
        </tr>

        <tr>
          <td style="text-align:  left;">Menú </td>
          <td><a href="{{url('admin/editar_menu')}}" class="btn btn-success ctn-xl">            
             <span>Ver</span>
          </a></td>
        </tr>

        <tr>
            <td style="text-align:  left;">Tags</td>
          <td><a href="{{url('admin/tags')}}" class="btn btn-success ctn-xl">            
            <span>Ver</span>            
          </a></td>
        </tr>

        <tr>
            <td style="text-align:  left;">Redes Sociales y Contacto</td>
          <td><a href="{{url('admin/informacion_sitio')}}" class="btn btn-success ctn-xl">            
            <span>Ver</span>            
          </a>
        </tr></td>

        

        <tr>
            <td style="text-align:  left;">Home</td>
          <td><a href="{{url('admin/home')}}" class="btn btn-success ctn-xl">            
            <span>Ver</span>
          </a></td>
          
        </tr>
         
        <tr>
            <td style="text-align:  left;">Administradores</td>
          <td><a href="{{url('admin/administrador')}}" class="btn btn-success ctn-xl">
             <span>Ver</span>
          </a>
        </td>
        </tr>  
        <tr>
        <td style="text-align:  left;">Periodistas</td>
          <td><a href="{{url('admin/periodista')}}" class="btn btn-success ctn-xl">
             <span>Ver</span>
          </a></td>
        </tr>  

                  </tbody>
                </table>
              </div>
            </div>

        </div>       -->


@endsection
