@extends('layouts.admin')
@section('contenido')
@include('admin/title_section', ['title' => "Administrador", 'one' => "Administrador", 'one_url' => "administrador", 'back' => "admin/administrador"])

<div class="content">
  
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-12">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-users"></i>
                                Lista de Administradores
                            </h3>
							<a href="{{url('admin/administrador/create')}}" class="btn btn-primary" style="    font-size: 13px; padding: 5px; margin: -5px; float: right;"><i class="fas fa-plus"></i>  Agregar Usuario</a>

                        </div>
                        <div class="card-body">
                        
                        


						<div class="table-responsive">
							<table class="table table-striped table-bordered table-condensed table-hover" id="table">
								<thead>            
									<th width="80">ID</th>
									<th>Nombre</th>
									<th>Email</th>
									<th width="50">Acciones</th>
								</thead>
								@foreach ($administradores as $adm)
								<tr>
									<td>{{ $adm->id}}</td>
									<td>{{ $adm->name}}</td>
									<td>{{ $adm->email}}</td>
														
									<td>
										<div style="display:flex;">
											<a href="{{ route('editar_admin', $adm->id) }} " style="margin-right:5px;"><button class="btn btn-info btn"><i class="fas fa-edit" aria-hidden="true"></i></button></a>	
											<form action="{{route('administrador.destroy', $adm->id) }}" method="POST">
												{{ csrf_field() }}
												<input type="hidden" name="_method" value="DELETE">
												<button type="submit" name="" class="btn btn-danger btn" value="Eliminar" onclick="return confirm('¿Desea elimiar a el Administrador?');"><i class="fas fa-trash" aria-hidden="true"></i></button> 
											</form>					 
										</div>
									</td>
								</tr>
								
								@endforeach
							</table>
						</div>



                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>
            
                

            <!-- </div>/.col 12 -->
        </div>
    </div>

</div>
<br>

@stop