@extends('layouts.admin', ['id' => 0])
@section('contenido')

 <!-- Content Header (Page header) -->
 <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <div style="display:flex; align-items:center;">
            <h1>Agregar Nota</h1>
          </div>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="{{url('admin')}}">Inicio</a></li>
            <li class="breadcrumb-item active">Agregar Nota</li>
          </ol>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
<!-- <script src="//cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script> -->
<!-- <script src="https://cdn.ckeditor.com/4.16.0/standard-all/ckeditor.js"></script> -->

<link rel="stylesheet" href="{{url('public/admin/dist/js/jodit.min.css')}}">
<script src="{{url('public/admin/dist/js/jodit.min.js')}}"></script>

<?php date_default_timezone_set("America/Mexico_City"); setlocale(LC_TIME,'es_MX.UTF-8'); ?>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/tippy.js/2.5.3/tippy.all.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/tippy.js/2.5.3/themes/light.css" />
<style>
/* HIDE RADIO */
.radio_img [type=radio] { 
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
.radio_img [type=radio] + img {
  cursor: pointer;
  width: 100%;
}

/* CHECKED STYLES */
.radio_img [type=radio]:checked + img {
  outline: 3px solid #28a745;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #007bff !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: white !important;
    border-right: 0px solid #aaa;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    margin-top: -6px;
}

</style>
<style>
.some_my_class {
   line-height: normal;
}
.some_my_class .row { display: flex; -ms-flex-wrap: wrap; flex-wrap: wrap; }
.some_my_class .col-md-1{width:8.33333333%; position: relative; }
.some_my_class .col-md-2{width:16.66666667%; position: relative; }
.some_my_class .col-md-3{width:25%; position: relative; }
.some_my_class .col-md-4{width:33.33333333%; position: relative; }
.some_my_class .col-md-5{width:41.66666667%; position: relative; }
.some_my_class .col-md-6{width:50%; position: relative; }
.some_my_class .col-md-7{width:58.33333333%; position: relative; }
.some_my_class .col-md-8{width:66.66666667%; position: relative; }
.some_my_class .col-md-9{width:75%; position: relative; }
.some_my_class .col-md-10{width:83.33333333%; position: relative; }
.some_my_class .col-md-11{width:91.66666667%; position: relative; }
.some_my_class .col-md-12{width:100%; position: relative; }
</style>

<div class="content">


  <form action="{{url('admin/crear_nota')}}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-9">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Crear Nota
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Título <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text" class="form-control" id="nombre" name="nombre" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="customFile" class="col-sm-2 col-form-label">Imagen Principal <span>*</span></label>
                            <div class="col-sm-10">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFile" name="imagenprincipal" required>
                                    <label class="custom-file-label" for="customFile">Selecciona una imagen</label>
                                </div>
                                <small>Tamaño minimo recomendado (1024×576):</small>
                            </div>
                        </div>
                       

                        <div class="form-group row">
                            <div class="col-sm-2">
                                <label for="correo" class=" col-form-label">Nota Completa </label>
                                <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 13px;" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-image"></i> Agregar Imagen</p>
                                <p class="btn btn-primary" id="add_documento" style="cursor:pointer; font-size: 13px;" data-toggle="modal" data-target="#exampleModalDoc"><i class="fas fa-file"></i> Agregar Documento</p>
                                <!-- <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 10px; max-width: 126px;" data-toggle="modal" data-target="#exampleModalAddContemt"> ¿Cómo Agregar tweets y video de YouTube?</p> -->

                                
                                {{-- <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 13px;" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-image"></i> Video Youtube</p> --}}
                                {{-- <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 13px;" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-image"></i> Embed Tweet</p> --}}
                            </div>
                            <div class="col-sm-10">
                            <textarea rows="10" cols="50" name="texto" class="form-control textarea" style="overflow:auto;" required id="editor"></textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="frase" class="col-sm-2 col-form-label">Sección: </label>
                            <div class="col-sm-10"> 
                            <select class="multiple_section form-control" name="secciones[]" multiple="multiple" style="width: 100%;" required>
                          <!-- <option value="3620194" selected="selected">select2/select2</option> -->
                            </select>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="tipo_de_nota" class="col-sm-2 col-form-label">Tipo de Nota: </label>
                            <div class="col-sm-10"> 
                            <select class=" form-control" name="tipo_de_nota" id="tipo_de_nota" style="width: 100%;" required>
                                <?php foreach($tipo_de_nota as $v){ ?>
                                    <option value="<?php echo $v->tipo_id; ?>"><?php echo $v->tipo_name; ?></option>
                                <?php } ?>
                            </select>
                            </div>
                        </div>
                        

                        <div class="form-group row">
                                <label for="youtube" class="col-sm-2 col-form-label">Video Youtube </label>
                                
                            <div class="col-sm-9">

                            

                            <input type="text"  class="form-control" id="youtube" name="youtube">
                            </div>

                            <span class="tool hatel" data-tippy-interactive="true" data-tippy-theme="light rounded"
                                data-tippy-placement="bottom" data-tippy-html="#content">
                                <i class="fas fa-question-circle"></i>
                            </span>

                            <div id="content" style="display: none;">
                                <div style="padding:20px">
                                    <h3>¿Cómo agregar el video de YouTube?</h3>
                                    Poner solo el código del video ejemplo "MMGTh-jD3os" del enlace "https://www.youtube.com/watch?v=MMGTh-jD3os"
                                </div>
                            </div>

                           
                        </div>
                        
                        <div class="row">
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group row">
                                <label for="fecha" class="col-sm-4 col-form-label">Fecha </label>
                                <div class="col-sm-8">
                                <input type="date"  class="form-control" id="fecha" name="fecha" required value="<?php echo $fecha_act = strftime("%Y-%m-%d"); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group row">
                                <label for="hora" class="col-sm-2 col-form-label">Hora </label>
                                <div class="col-sm-10">
                                <input type="time"  class="form-control" id="hora" name="hora" required value="<?php echo $hora_act = strftime("%H:%M:%S"); ?>">
                                </div>
                            </div>
                        </div>
                        </div>

                        
                        

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                        <div class="form-group row">
                            <label for="slug" class="col-sm-2 col-form-label">Slug*</label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="slug" name="slug" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="descripcion" class="col-sm-2 col-form-label" required >Descripción del sitio</label>
                            <div class="col-sm-10">
                            <!-- is-valid -->
                            <textarea name="descripcion" id="descripcion" cols="3"  rows="3" class="form-control " data-counter="250"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="clave" class="col-sm-2 col-form-label" required>Palabras Clave</label>
                            <div class="col-sm-10">
                            <!-- <input type="text" data-role="tagsinput"  class="form-control" id="clave" name="tags"> -->
                            <select class="multiple_tags form-control" name="tags[]" multiple="multiple" style="width: 100%;">
                            </select>
                            </div>
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->




                </div>
                <div class="col-md-3">

                

                    <div class="card card-warning card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fas fa-folder-plus"></i>
                                Información de la Nota
                            </h3>
                        </div>
                        <div class="card-body">
                                
                        <!-- <div class="form-group row"> -->
                        <label for="editor" class="">Editor</label>
                            <!-- <div class="col-sm-10"> -->
                                <select name="editor" id="editor" class="form-control">
                                    <option value="">Selecciona un Editor</option>
                                    <?php foreach($periodistas as $v){ ?>
                                        <option value="{{ $v->id }}" <?php if(Auth::user()->id == $v->id){ echo "selected"; } ?>>{{ $v->name }}</option>
                                    <?php } ?>
                                </select>
                            <!-- </div> -->
                        <!-- </div> -->
                        
                       


                        <div class="row" style="display:flex; flex-direction:column;">
                            <label for="">¿Agregar al carrusel principal?:</label>
                            <div style="display:flex; flex-direction: initial; align-content: center; justify-content: center;">
                            <div class="form-check  " style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="principal" id="seccion1" checked value="0" >
                                <label class="form-check-label" for="seccion1">
                                    No
                                </label>
                            </div>
                            <div class="form-check  "  style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="principal" id="seccion2"  value="1" >
                                <label class="form-check-label" for="seccion2">
                                    Si
                                </label>
                            </div>
                            </div>


                             <label for="">¿Agregar al carrusel secundario?:</label>
                            <div style="display:flex; flex-direction: initial; align-content: center; justify-content: center;">
                            <div class="form-check  " style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="secundario" id="secundario1" checked value="0" >
                                <label class="form-check-label" for="secundario1">
                                    No
                                </label>
                            </div>
                            <div class="form-check  "  style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="secundario" id="secundario2"  value="1" >
                                <label class="form-check-label" for="secundario2">
                                    Si
                                </label>
                            </div>
                            </div>

                            
                        </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-th-list"></i>
                                Selecciona un Template 
                            </h3>
                        </div>
                        <div class="card-body">

                            <!-- <div style="display:flex; justify-content:center; align-items:center"> -->
                           <div class="row radio_img">
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="1" checked>
                                <img src="{{url('public/img/detail_1.png')}}">
                                </label>
                                </div>
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="2">
                                <img src="{{url('public/img/detail_2.png')}}">
                                </label>
                                </div>
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="3">
                                <img src="{{url('public/img/detail_3.png')}}">
                                </label>
                                </div>
                           </div>
                               <!-- <img src="{{url('public/admin/dist/details/detail_1.png')}}" alt=""> -->

                            <!-- </div> -->
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->


                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Estatus
                            </h3>
                        </div>
                        <div class="card-body">

                            <div style="display:flex; justify-content:center; align-items:center">
                                <select name="estatus" id="estatus" class="form-control">
                                    <option value="1">Publicar</option>
                                    <option value="0">Borrador</option>
                                </select>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
                

            <!-- </div>/.col 12 -->
        </div>
    </div>


<div class="form-actions form-actions-fixed-top hidden">
    <h3 class="titulo_nav">Agregar Nota</h3>
    <div class="btn-set">
        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
    </div>
</div>

    </form>

</div>


<!-- Modal -->
<div class="modal fade " id="exampleModalDoc" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-image"></i> Agregar Documento</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form enctype="multipart/form-data" id="documentUploadForm">
      @csrf
      <div class="modal-body">
           
            
             <div class="custom-file">
                <label for="doc_file" style="margin-top: 10px;">Documento <span>*</span></label>

            </div>
            <div class="custom-file">
                <input type="file" class="custom-file-input" id="doc_file" name="doc_file">
                <label class="custom-file-label" for="doc_file" name="file">Selecciona un documento</label>
            </div>
            <input type="hidden" id="url" value="{{url('/')}}">
            <br>
           
            
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" id="save_doc">Guardar</button>
      </div>
      </form>
    </div>
  </div>
</div>

<!-- Modal -->

<!-- Modal -->
<div class="modal fade " id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-image"></i> Agregar Imagen</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form enctype="multipart/form-data" id="imageUploadForm">
      @csrf
      <div class="modal-body">
           
            
             <div class="custom-file">
                <label for="img_ck" style="margin-top: 10px;">Imagen <span>*</span></label>

            </div>
            <div class="custom-file">
                <input type="file" class="custom-file-input" id="file" name="file">
                <label class="custom-file-label" for="img_ck" name="file">Selecciona una imagen</label>
            </div>
            <input type="hidden" id="url" value="{{url('/')}}">
            <br>
            <label for="enlace">Título de la Imagen (Opcional)</label>        
            <input type="text" id="enlace" class="form-control" name="titulo">
            
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" id="save_img">Guardar</button>
      </div>
      </form>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade " id="exampleModalAddContemt" tabindex="-1" role="dialog" aria-labelledby="exampleModalAddContemtLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-image"></i> ¿Como Agregar tweets y video de YouTube?</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        @csrf
        <div class="modal-body">
            <p>Para agregar un Video de YouTube ó un Tweet se necesita oprimir el botón con el título "Insertar Media incrustado", en pantalla aparecera una ventana modal donde se debe ingresar la URL.</p>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/i1.png')}}" style="width:100%; max-width:530px"></div>
            <hr>
            <div style="display:flex; justify-content:center;"><h5>YouTube</h5></div>
            <p>Se debe poner la URL completa del video, en el editor de texto se podrá observar un ejemplo del video.</p>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/y1.png')}}" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/y2.png')}}" style="width:100%; max-width:530px"></div>
            <hr>
            <div style="display:flex; justify-content:center;"><h5>Twitter</h5></div>
            <p>Cuando se oprime el botón "Tweet insertado" dentro de Twitter, se muestra un código de embed, haciendo scroll hacia la parte de arriba se encuentra el siguiente campo de texto con la url del tweet.</p>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/t2.png')}}" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/t1.png')}}" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="{{url('public/admin/instrucciones/t3.png')}}" style="width:100%; max-width:530px"></div>
            <p>En el editor se va a observar el texto de tweet, cuando se visualice en el sitio el tweet aparecerá completo.</p>


        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        </div>
      </div>
    </div>
  </div>


<script>

    tippy('.tool', { arrow: true, placement: 'top', });

    
   //crear slug
    //  $( "#nombre").blur(function() {
    $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '{{csrf_token()}}';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "{{url('admin/ajax_slug')}}",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  $(function () {

    const editor = new Jodit('#editor', {
        editorCssClass: 'some_my_class',
        enter: "div",
        extraButtons: [
            {
                name: 'Columna',
                icon: 'info',
                // iconURL: './twitter.png',
                popup: function (editor, n, e, i) {
                    var r = editor.create.fromHTML('<form><div style="padding: 10px;">' +
                            '<label class="jodit-ui-input__label">Número de Columnas</label>' +
                    '<div class="jodit-ui-input__wrapper"><input type="number" class="jodit-ui-input__input " id="buttonname" name="tentacles" min="1" max="12" style="width: 100%; line-height: 15px;"></div>' +
                    '<button class="jodit-ui-button jodit-ui-button_size_middle jodit-ui-button_insert jodit-ui-button_status_primary jodit-ui-button_text-icons_true jodit-ui-block__insert" type=\'submit\' style="margin-top: 5px; background:#007bff; color: white;" >Insertar</button>' +
                    '</div><form>')

                    r.addEventListener('submit', function (e) {
                    e.preventDefault();
                    var x = '';
                    // console.log(document.getElementById('buttonname').value)
                    x = x + String(document.getElementById('buttonname').value);
                    // editor.selection.insertHTML(x);
                    // editor.selection.insertNode(document.createElement('div'));
                    // editor.selection.focus();
                    // editor.selection.insertHTML(x);
                        let cont = '<div class="row">';
                    for (let i = 0; i < x; i++) {                   
                        let col = 12 / x;     
                        cont += '<div class="col-md-'+col+'">Columna</div>';
                    }
                     cont += '</div>';
                    editor.selection.insertHTML(cont);
                    $('.jodit-popup__content').css('display', 'none');
                    })
                    return r
                }

		    },
            {
                name: 'Plantilla',
                icon: 'info',
                exec(ed){
                    editor.selection.insertHTML(`
                        <div style="display:flex; justify-content:center;">
                            <h1><img class="aligncenter wp-image-3345" src="http://www.amisprensa.org/wp-content/uploads/2016/08/Logo.png"
                                    alt="" width="154" height="163"></h1>
                        </div>
                        <p>&nbsp;</p>
                        <h1 style="text-align: center;">Título
                        </h1>
                        <p style="text-align: center;"><strong>--ooOoo--</strong></p>
                        <p style="text-align: center;">
                            

                        <h5 style="text-align: center; color:#4d4d4d;"><em>Si desea mayor información, favor de contactar con:</em></h5>
                        <div
                            style="display:flex; flex-wrap:wrap; margin:0 auto; max-width:700px; justify-content:space-between; text-align:center;">
                            <div style="display:flex; flex-direction:column; align-items:center; flex:1; margin-bottom:20px;">
                                <p style="text-align: center;">Alfonso Bonilla</p>
                                <a href="mailto:abonilla@amis.com.mx" style="color:#FF6136;">abonilla@amis.com.mx</a>
                                <p>54800671</p>
                            </div>
                            <div style="display:flex; flex-direction:column; align-items:center; flex:1;">
                                <p style="text-align: center;">Carolina López<br><a href="mailto:clopez@contactoenmedios.com.mx"
                                        style="color:#FF6136;">clopez@contactoenmedios.com.mx</a><br>55 4039 3031<br></p>
                            </div>
                        </div>
                        <p>O al Twitter del área de Comunicación<br><a href="https://twitter.com/AMIS_mx" target="_blank"
                                rel="noopener noreferrer"> <strong style="color:#FF6136;">@AMIS_mx</strong></a></p>
                    `);
                }
            }
		],

    });
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    $('#tipo_de_nota').select2();
    var seccion = $('.multiple_section').select2();
    seccion.select2({
        placeholder: 'Selecciona la sección',
        // tags:[],
        // tokenSeparators: [",", " "],
        language: {
            searching: function() {
                return "Buscando...";
            }
        },
        ajax: {
            url: '{{route("select2_ajax")}}',
            dataType: 'json',
            delay: 250,
            processResults: function (data) {
            return {
                results:  $.map(data, function (item) {
                    return {
                        text: item.name,
                        id: item.id,
                    }
                })
            };
            },
            cache: true
        }
    });
    var tag = $('.multiple_tags');
    tag.select2({
        placeholder: 'Selecciona los tags de la nota',
        tags:[],
        tokenSeparators: [",", " "],
        language: {
            searching: function() {
                return "Buscando...";
            }
        },
        ajax: {
            url: '{{route("select2_ajax_tags")}}',
            dataType: 'json',
            delay: 250,
            processResults: function (data) {
            return {
                results:  $.map(data, function (item) {
                    return {
                        text: item.name,
                        id: item.id
                    }
                })
            };
            },
            
            cache: true
        }
    });
    // tag.append('<option value="initial1" selected="selected">initial1</option>');
    // tag.append('<option value="initial2" selected="selected">initial2</option>');
    // tag.trigger('change');

    $('.js-example-basic-multiple').select2({
        tags:[],
        tokenSeparators: [",", " "]
    });
    $('.js-example-basic-multiple2').select2({
        tags:[],
        tokenSeparators: [",", " "]
    });
    $("#save_img").click(function (e) {
        //CKEDITOR.instances[$('.add_shortcode_btn_trigger').data('result')].insertHtml('[' + $short_code_key.val() + attributes + ']' + content + '[/' + $short_code_key.val() + ']');
        console.log("emtra");
        $("#imageUploadForm").submit();

            e.preventDefault;

        });
        $('#imageUploadForm').on('submit',(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
                url: '{{ url("admin/ajax_file") }}',
                type: 'POST', 
                data: formData,
                processData: false,
                contentType: false,
                success: function(result){
                    $('#enlace').val('');
                    $('#file').val('');           
                    // CKEDITOR.instances.editor.insertHtml('<img alt="'+$('#enlace').val()+'" height="100" src="'+$('#url').val()+'/public/public/'+result['file']+'" />');
                    $('#exampleModal').modal('hide');
                    editor.selection.insertHTML('<img alt="'+$('#enlace').val()+'" height="100" src="'+$('#url').val()+'/public/imagenes/'+result['file']+'" />');
                },
                error: function(data){
                    console.log(data);
                    alert('Ocurrio un error');
                }
            });
        
    }));

      
    //documento
    $("#save_doc").click(function (e) {
        $("#documentUploadForm").submit();
            e.preventDefault;
        });
        $('#documentUploadForm').on('submit',(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
                url: '{{ url("admin/ajax_file_document") }}',
                type: 'POST', 
                data: formData,
                processData: false,
                contentType: false,
                success: function(result){
                    console.log(result);
                    $('#doc_file').val('');           
                    $('#exampleModalDoc').modal('hide');
                    editor.selection.insertHTML(`
                        <a href="`+result['file_url']+`" target="_blank" rel="noopener noreferrer"><img class="aligncenter wp-image-1707 size-full" src="http://www.amisprensa.org/wp-content/uploads/2015/05/download_icon1.gif" alt="" width="75" height="75" style="display: block; margin-left: auto; margin-right: auto;"></a></p>
                        <h5 style="text-align: center;"><em><strong>DESCARGA PDF (`+result['size']+`)</strong></em></h5>
                    `);
                },
                error: function(data){
                    console.log(data);
                    alert('Ocurrio un error');
                }
            });
        
    }));
    

        
    });

    // function toggle(elemento) {
    //     console.log('entra f');
    //      if(elemento.value=="0") {
    //          document.getElementById("oculto").style.display = "none";
    //          // document.getElementById("img_u").style.display = "block";
    //       }else{
    //           if(elemento.value=="1"){
    //          // document.getElementById("img_u").style.display = "none";
    //          document.getElementById("oculto").style.display = "block";
    //           }
    //        }
    //    }
       
       

       

</script>

@endsection