<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" href="{{url('public/web/images/amis_fav.png')}}" type="image/x-icon">
<title>@yield('title') | AMIS Prensa</title>
<!--bootstrap css-->
<link rel="stylesheet" href="{{url('public/web/css/bootstrap.css')}}">
<!--font awsome css-->
<link rel="stylesheet" href="{{url('public/web/css/font-awesome.min.css')}}">
<!--ionicons css-->
<link rel="stylesheet" type="text/css" href="{{url('public/web/css/ionicons.min.css')}}">
<!--ticker css-->
<link rel="stylesheet" type="text/css" href="{{url('public/web/css/breakingNews.css')}}">
<!--mega-menu css-->
<link rel="stylesheet" href="{{url('public/web/css/mega-menu.css')}}">
<!--Flickity css-->
<link rel="stylesheet" href="{{url('public/web/css/flickity.css')}}" media="screen">
<!--style css-->
<link rel="stylesheet" href="{{url('public/web/css/style.css')}}">
<!--owl slider css-->
<link rel="stylesheet" href="{{url('public/web/css/owl.carousel.css')}}">

<!--jquery js-->
<script src="{{url('public/web/js/jquery.js')}}"></script>
<!--bootstrap js-->
<script src="{{url('public/web/js/bootstrap.js')}}"></script>

<!--[if lt IE 9]
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    [endif]-->

</head>

<body>
<div id="spinner">
  <div class="spinner-img"> <img alt="FoodPro Preloader" src="{{url('public/web/images/loader.gif')}}" /> </div>
</div>
<section class="top-bar">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12 col-xs-12 col-sm-12 nopadding">
        <div class="col-md-1 col-xs-12 col-sm-2 nopadding hidden-xs hidden-sm">
          <?php
            date_default_timezone_set('America/Mexico_City');
            setlocale(LC_ALL,"es_MX");
            echo " <div class='weather'> <span>".strftime("%d")."</span> ".strftime("%b").", ".strftime("%Y")."</div>";
          ?>
        </div>
        <div class="col-md-8 col-xs-12 col-sm-12">
          <div class="breakingNews" id="bn1">
            <div class="bn-title">
              <h2>Nuevo : </h2>
            </div>
            <ul>
               <?php
                $text = DB::table('notas')->OrderBy('id_nota','DESC')->limit(20)->get();
                foreach ($text as $valu) { ?>
                  <li style="list-style: none;"><a href="{{ url('nota/'.$valu->slug)}}">{{ $valu->titulo }}</a></li>
                <?php } ?>    
            </ul>
            <div class="bn-navi"> <span></span> <span></span> </div>
          </div>
        </div>
        <div class="col-md-3 col-xs-12 col-sm-2 nopadding hidden-xs hidden-sm">
          <div class="search pull-right"> 
            <a target="_blank" href="https://www.facebook.com/AMISmx/"><i class="fa fa-facebook"></i></a> 
            <a target="_blank" href="https://twitter.com/prensAMIS"><i class="fa fa- fa-twitter"></i></a> 
            <a target="_blank" href="https://www.linkedin.com/company/amismx/c"><i class="fa fa- fa-linkedin"></i></a> 
            <a target="_blank" href="https://www.youtube.com/channel/UCOt5LS9TVvnmdDIuRazgz_A"><i class="fa fa- fa-youtube"></i></a> 
            <a target="_blank" href="https://www.instagram.com/amis_mx/"><i class="fa fa- fa-instagram"></i></a> 
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<!--header section-->
<section class="top-header">
  <div class="container">
    <div class="row" style="margin:10px;">
      <!--logo-->
      <div class="col-md-3 col-sm-2 col-xs-12">
        <div class="logo"> <a href="{{url('/')}}"><img src="{{url('public/web/images/logo_amis.png')}}" style="max-width:190px;" class="img-responsive" alt="logo"></a> </div>
      </div>
      <!--logo end-->
      <div class="col-md-6 col-sm-8 col-xs-12">
        <div class="texto_central"> 
          <img src="{{url('public/img/banner_titulo.png')}}" alt="" style="width: 100%;" class="">
        </div>
      </div>
      <!--navigation-->
      <div class="col-md-3 col-sm-2 col-xs-12">
        <nav class="navbar navbar-default yamm">
          <div class="container-full">
            <div class="navbar-header">
              <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
              <ul class="nav navbar-nav pull-right">


                <li class="active"><a href="{{url('/')}}"> Inicio</a></li>
                <li class="dropdown yamm-fw"> <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Secciones <span class="fa fa-angle-down"></span></a>
                  <ul class="dropdown-menu">
                    <li>
                      <div class="yamm-content">
                        <div class="row">
                        
                        
                           <?php               
                          $sectionnav = DB::table('categorias')->where('seccion', 1)->where('estatus', 0)->get();
                          foreach ($sectionnav as $key => $valuesnav) { ?>

                            <div class="col-md-6 col-sm-6 col-xs-12">
                              <div class="widget">
                                <div class="widget-title">
                                  <a href="{{url('buscar?q=&clave=&seccion='.$valuesnav->slug.'&categoria=&p=1')}}"><h4><?php echo $valuesnav->nombre; ?></h4></a>
                                  <hr>
                                </div>
                                <!-- end widget-title -->
                                </div>
                              <!-- end widget -->
                            </div>

                            <?php } ?>
                        


                        </div>
                      </div>
                      <!-- end ttmenu-content -->
                    </li>
                  </ul>
                </li>
                
                


              </ul>
            </div>
            <!--/.nav-collapse -->
          </div>
          <!--/.container-fluid -->
        </nav>
      </div>
      <!--navigation end-->

    </div>
    <!--row end-->
  </div>
  <!--container end-->
</section>
<!--header section end-->

@yield('content')



<!--footer section-->
<section class="footer-wrapper">
  <div class="container">
    <div class="row">
      <!--about section-->
      <div class="col-md-3 col-sm-6 col-xs-12">
        <!--about heading-->
        <div class="about"> <img class="img-responsive" src="{{url('public/web/images/logo_amis.png')}}" alt="" style="    margin-bottom: 20px;">
          <a href="http://www.amis.com.mx/amiswp/"><i class="fa fa-globe"></i> <span>AMIS</span></a> <br>
          <i class="fa fa-map-marker"></i> <span>Francisco I. Madero #21Col. Tlacopac,
            San Ángel Del Álvaro Obregón,
            C.P. 01040, CDMX 54.80.06.46</span><br>
          <a href="mailto:contacto@amis.com.mx"><i class="fa fa-envelope"></i> <span>Email: contacto@amis.com.mx</span></a><br>
        
        </div>
          
        <!--about heading end-->
      </div>
      <!--about section end-->

       <!--communities-->
      <div class="col-md-2 col-sm-6 col-xs-12">
        <div class="about">
          <div class="lifestyle advertise">
            <!-- <h4>Papular Links</h4> -->
            <br>
          </div>
          <div class="links-widget m30">
            <ul class="check">

          
                  <li>
                    <a href="http://www.amis.com.mx/amiswp/wp-content/uploads/descargas/Aviso_de_Privacidad_AMIS_21022018.pdf">
                      Aviso de Privacidad
                    </a>
                  </li>
                  <li>
                    <a href="http://www.amis.com.mx/amiswp/wp-content/uploads/descargas/Formato_de_solicitud_de_derechos_ARCO-AMIS_21FEB2018.pdf">
                      Derechos Arco
                    </a>
                  </li>
                  <li>
                    <a href="http://www.amis.com.mx/amiswp/wp-content/uploads/descargas/Formato_de_solicitud_Finalidades_Secundarias_21feb2018.pdf">
                        Formato de finalidades secundarias
                    </a>
                  </li>
                  
                  <li>
                    <a href="http://www.amis.com.mx/amiswp/wp-content/uploads/descargas/Aviso_de_Privacidad_17ABRIL2013-AMIS.pdf">
                        Historial de Avisos de Privacidad
                    </a>
                  </li>
              
            </ul>
          </div>
          <!--links-widget end-->
        </div>
        <!--about end-->
      </div>
      <!--communities end-->


      <!--popular post-->
      <div class="col-md-4 col-sm-6 col-xs-12">
        <div class="about">
          <div class="lifestyle advertise">
            <h4>Secciones</h4>
            <hr>
          </div>
        <div class="links-widget m30">
            <div style="display: grid; grid-template-columns: 1fr 1fr; grid-gap: 10px;">
               <?php               
                $sectionnav = DB::table('categorias')->where('seccion', 1)->get();
                foreach ($sectionnav as $key => $valuesnav) { ?>

                 
                    <a href="{{url('buscar?q=&clave=&seccion='.$valuesnav->slug.'&categoria=&p=1')}}" style="      font-size: 13px;  color: #242424;"><?php echo $valuesnav->nombre; ?></a>
                  
                      

                  <?php } ?>
            </div>
          </div>

        </div>
        <!--about end-->
      </div>
      <!--popular post end-->

      <div class="clearfix visible-sm"></div>

     

      <!--newsletter-->
      <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="about">
          <div class="lifestyle advertise">
            <h4>Newsletter</h4>
            <hr>
          </div>
          <p>Suscríbete a nuestro newsletter.</p>
          <form action="{{url('newsletter')}}" method="post">
            @csrf
            <div class="form-group">
              <input type="email" class="form-control" placeholder="Correo Electronico" name="news" required>
            </div>
            <button class="btn btn-danger btn-primary" type="submit" name="btn-submit">Suscríbete</button>
          </form>
        </div>
        <!--about end-->
      </div>
      <!--newsletter end-->
    </div>
    <!--row end-->
  </div>
  <!--container end-->
</section>
<section class="footer-bottom">
  <div class="container">
    <div class="row">
      <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="copyright">
          <div class="col-md-6 col-sm-4 col-xs-12">
            <p class="left">  © Copyright © AMIS <?php echo date("Y") ?> Todos los derechos reservados</p>
          </div>
          <div class="col-md-6 col-sm-8 col-xs-12 hidden-xs">
            <!-- <nav class="navbar navbar-default">
              <ul class="nav navbar-nav pull-right">
                <li class="active"><a href="index.html"> Home</a></li>
                
                <li class=""><a href=""> Contact</a></li>
              </ul>
            </nav> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<!--footer section end-->
<div class="modal fade" id="exampleModal6" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <div style="display:flex; justify-content:center;"><h3 class="modal-title" id="exampleModalLabel">¡Te has suscrito a nuestro newsletter! </h3></div>
      </div>
      <div class="modal-body">
          <div class="form-group">
            <div style="display:flex; justify-content:center;"><label>Muchas Gracias </label></div>
          </div>

      </div>
      <div class="modal-footer">
      <div style="display:flex; justify-content:center;">
        <button type="submit" class="btn btn-danger btn-primary" data-dismiss="modal">Aceptar</button>
      </div>

      </div>
    </div>
  </div>
</div>
<!--bootstrap core JavaScript
    ==================================================-->
<!--placed at the end of the document so the pages load faster-->

<!--ticker js-->
<script src="{{url('public/web/js/breakingNews.js')}}"></script>

<!-- owl carousel-->
<script src="{{url('public/web/js/owl.carousel.min.js')}}"></script>

<!-- flickity carousel-->
<script src="{{url('public/web/js/flickity.pkgd.min.js')}}"></script>

<!--custom js-->
<script src="{{url('public/web/js/custom.js')}}"></script>

 @if(\Session::has('activo'))
      <script type="text/javascript">
    $('#exampleModal6').modal('show');
  </script>
 @endif
@yield('js')
</body>
</html>
