<?php $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"); ?>
<!--all section-->
<div class="main-wrapper single-blog">
  <div class="container">
    <div class="row">

      <div class="col-md-12 col-sm-12">
      <?php 
            $imagen_nota = $nota[0]->imagen ?? '';
              if(strpos($imagen_nota, "http") === FALSE){
                  $imagen_nota = url('public/notas/'.$imagen_nota);
              }
            ?>
        <div class="header-image img-padding"> 
          <?php
          $video = $nota[0]->video ?? '';
          if(!empty($video)){ ?>
            <iframe width="100%" height="415" src="https://www.youtube.com/embed/{{$video}}" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
          <?php } else { ?>
              <img alt="" src="{{$imagen_nota}}"> <i class="{{$nota[0]->icon}}"></i> <a href="#"></a> 
          <?php } ?>
        </div>
    </div>

      <div class="col-md-8 col-sm-12">

      
        
        <div class="col-md-12 col-sm-12 col-xs-12 nopadding">
          <div class="breadcrumb"> <a href="{{route('home')}}">Inicio</a> | <a href="{{url('buscar?q=&clave=&seccion=&categoria='.$nota[0]->tipo_slug.'&p=1')}}">{{ $nota[0]->tipo_name ?? '' }}</a> | <a class="topic">{{ $nota[0]->titulo ?? '' }}</a> </div>
        </div>
        <div class="clearfix"></div>
        <!--health heading-->
        <div class="lifestyle blog-title">
          <h1>{{ $nota[0]->titulo ?? '' }}</h1>
          <hr>
        </div>
        <!--end health--> 
        <!--category section-->
        <div class="fashion">
            <?php foreach($tags as $v){ ?>
                <a href="{{url('buscar?q=&clave=&seccion=&categoria='.$v->slug.'&p=1')}}"><span class="naranja"><?php echo $v->nombre; ?></span></a>
            <?php } ?>
             <a href="#" class="pull-right"><i class="fa fa-calendar"></i> <i >
                 <?php $fecha = $nota[0]->fecha ?? '0000-00-00 00:00:00';
                    echo $meses[date('n', strtotime($fecha))-1].' '.date( "d, Y", strtotime($fecha) );
                  ?>
                  </i> </a> 
            </div>
            
            
        <div class="paragraph single-para"> 
            <?php echo $nota[0]->texto ?? ''; ?>
        </div>
        <!--paragraph end--> 
        
        <!--post-sharing -->
        <?php 
        if($nota[0]->tags != ''){
          
        $tags = $nota[0]->tags ?? ''; 
              $tag_explode = explode(',', $tags);
              ?>
            <div class="tag-cloud-post"> <i class="fa fa-tags"></i> 
            <?php 
                foreach ($tag_explode as $v) { ?>
                  <a href="{{url('buscar?q=&clave='.$v.'&seccion=&categoria=&p=1')}}">#<?php echo $v; ?></a> 
            <?php } ?>        
            </div>
          <?php  
          } ?>        
          
        <!-- end post-sharing --> 
        
        <!--section related post-->
        <div class="section"> 
          <!--You May Also Like  heading-->
          <div class="lifestyle">
            <h4>TAMBIÉN TE PUEDE INTERESAR </h4>
            <hr>
          </div>
          <!--end You May Also Like -->
          
          <div class="row"> 

          <?php foreach($notas_categoria as $v){ ?>
            <!--post-->
            <div class="col-md-4 col-sm-4 col-xs-12">
                <div class="header-image" style="min-height:150px; "> 
                    <a href="{{route('nota', $v->slug)}}">
                    <?php 
                    $imag = $v->imagen ?? '';
                      if(strpos($imag, "http") === FALSE){
                          $imag = url('public/notas/'.$imag);
                      }
                    ?>
                    <img alt="" src="{{ $imag }}" style="height: 150px; width:100%;">
                    
                    <span style="padding: 15px; font-weight: 600;">  {{$v->titulo}}</span> 
                    </a>
                </div>
            </div>
            <!--post end--> 
          <?php } ?>
            
          
          </div>
          <!--row end--> 
        </div>
        <!--section related post end--> 
        
      
        
        
      </div>
      <!--col-md-8 end-->
      
      <div class="col-md-4 col-sm-12 col-xs-12">
        <div class="widget">
          <div class="search">
            <form action="{{url('buscar')}}" method="GET">
            <div class="input-group stylish-input-group">
              <input name="q" type="text" class="form-control"  placeholder="Buscar por Título" >
              <input name="clave" type="hidden"  value="">
              <input name="seccion" type="hidden"  value="">
              <input name="categoria" type="hidden"  value="">
              <input type="hidden" name="p" value="1">
              <span class="input-group-addon">
              <button type="submit"> <span class="fa fa-search"></span> </button>
              </span> 
            </div>
            </form>
          </div>
        </div>
        <div class="widget"> 
          <!--social media heading-->
          <div class="lifestyle">
            <h4>Compartir</h4>
            <hr>
          </div>
          <!--end social media--> 
          <!--social media-->
          <div class="social-media-widget">
            <ul class="list-social clearfix">
              <li class="facebook">
                <a class="facebook" href="javascript: void(0)" style="margin-right:3px; color:white !important;"
                    onclick="window.open(`https://www.facebook.com/sharer/sharer.php?u={{ url('nota/' .$slug) }}','sharer','toolbar=0,status=0,width=548,height=325`);">
                  <i class="fa fa-facebook"></i>
                </a>
              </li>
              <li class="twitter">
                <a href="javascript: void(0)" style="margin-right:3px; color:white !important;"
                  onclick="window.open(`https://twitter.com/share?text={{  $nota[0]->titulo ?? '' }}&url={{ url('nota/' .$slug) }}&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325`);"
                  class="">
                  <i class="fa fa-twitter"></i>
                </a>
              </li>
              <li class="whatsapp">
                <a href="javascript: void(0)" style="color: #fff; background-color: #25D366;"
                onclick="window.open(`https://api.whatsapp.com/send?text={{  $nota[0]->titulo ?? '' }} - {{ url('nota/' .$slug) }}','sharer','toolbar=0,status=0,width=548,height=325`);"
                class="Whatsapp"> 
                  <i class="fa fa-whatsapp"></i>
                </a>
              </li>
            </ul>
          </div>
          <!--social media end--> 
        </div>
        
        <div class="widget"> 
          <!--Recent Posts heading-->
          <div class="lifestyle advertise">
            <h4>Últimas Noticias</h4>
            <hr>
          </div>
          <!--end Recent Posts--> 
          <!--recent section--> 
          <?php foreach($notas as $v){ ?>
          <!--media -->
          <div class="media">
             <?php 
              $imag_note = $v->imagen ?? '';
                if(strpos($imag_note, "http") === FALSE){
                    $imag_note = url('public/notas/'.$imag_note);
                }
              ?>
            <div class="media-left"> <a href="{{route('nota', $v->slug)}}"> <img class="media-object" src=" {{$imag_note}}" style="width:120px;     height: 100px; object-fit: cover;" alt="one"> </a> </div>
            <div class="media-body technology"> <a href="{{route('nota', $v->slug)}}">
              <h4 class="media-heading">{{$v->titulo}}</h4>
              </a> <small><?php 
                       echo $meses[date('n', strtotime($v->fecha))-1].' '.date( "d, Y", strtotime($v->fecha) );
                    ?></small> </div>
          </div>
          <!--media  end--> 
          <?php } ?> 
        </div>
       
       
        <div class="widget"> 
          <!--Recent Posts heading-->
          <div class="lifestyle advertise">
            <h4>Secciones</h4>
            <hr>
          </div>
          <!--end Recent Posts--> 
          <!--Instagram section-->
          <div class="tag_cloud">
          <?php               
            $sectionnav = DB::table('categorias')->where('seccion', 1)->get();
            foreach ($sectionnav as $key => $valuesnav) { ?>
            <a href="{{url('buscar?q=&clave=&seccion='.$valuesnav->slug.'&categoria=&p=1')}}"><?php echo $valuesnav->nombre; ?></a>
          <?php } ?>
          </div>
        </div>
      </div>
    </div>
    <!--row end--> 
  </div>
  <!--container end--> 
</div>
<!--wrapper end--> 
<!--all section end--> 
