@extends('layouts.web')
@section('title', 'Inicio')
@section('content')
    


@include('sitio.buscador')



  <input type="hidden" id="q" value="<?php echo $q;?>">
  <input type="hidden" id="clave" value="<?php echo $clave;?>">
  <input type="hidden" id="seccion" value="<?php echo $seccion;?>">
  <input type="hidden" id="categoria" value="<?php echo $categoria;?>">

  <div class="latest-category">
    <div class="container">
      <div class="row" id="inicio_notas">
        <div class="col-md-12 col-xs-12 col-sm-12 nota_contenedor_buscador" id="tag_container">
         
         @include('sitio.lista_notas')
          
        </div>
    </div>
  </div>
</div>
<!--wrapper end--> 




@endsection

@section('js')
<script type="text/javascript">
    $(window).on('hashchange', function() {
        if (window.location.hash) {
            var page = window.location.hash.replace('#', '');
            console.log('number page:');
            console.log(page);
            if (page == Number.NaN || page <= 0) {
                return false;
            }else{
                getData(page);
            }
        }
    });
    
    $(document).ready(function()
    {
        
        $(document).on('click', '.pagination a',function(event)
        {

            $('li').removeClass('active');
            $(this).parent('li').addClass('active');
  
            var myurl = $(this).attr('href');
            var page=$(this).attr('href').split('page=')[1];

            event.preventDefault();            
            getData(page);
        });
  
    });
  
    function getData(page){
        $.ajax(
        {
            url: './buscar?q='+$('#q').val()+'&clave='+$('#clave').val()+'&seccion='+$('#seccion').val()+'&categoria='+$('#categoria').val()+'&p=1&page=' + page,
            type: "get",
            datatype: "html"
        }).done(function(data){
            $("#tag_container").empty().html(data);
            location.hash = page;
            $([document.documentElement, document.body]).animate({
                scrollTop: $("#inicio_notas").offset().top
            }, 800);
        }).fail(function(jqXHR, ajaxOptions, thrownError){
              alert('No response from server');
        });
    }
</script>
@endsection