<?php $__env->startSection('contenido'); ?>
<?php  $sitio = DB::table('sitios')->select('nombre', 'id')->where('sitios.id', $id)->get(); ?>

<?php 
    if (isset($sitio[0]->nombre)) {
        $sitio_name = $sitio[0]->nombre;
        $sitio_id = $sitio[0]->id;
    } else {
        $sitio_name = '';
        $sitio_id = '';
    }
?>
<?php echo $__env->make('admin/title_section', ['title' => "Agregar Nota", 'one' => "Agregar nota", 'one_url' => "admin/sitio/".$id."/notas", 'back' => "admin/sitio/".$id."/notas",'sitio' => $sitio_name, 'sitio_id' => $sitio_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<!-- <script src="//cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script> -->
<script src="https://cdn.ckeditor.com/4.16.0/standard-all/ckeditor.js"></script>
<?php date_default_timezone_set("America/Mexico_City"); setlocale(LC_TIME,'es_MX.UTF-8'); ?>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<style>
/* HIDE RADIO */
.radio_img [type=radio] { 
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* IMAGE STYLES */
.radio_img [type=radio] + img {
  cursor: pointer;
  width: 100%;
}

/* CHECKED STYLES */
.radio_img [type=radio]:checked + img {
  outline: 3px solid #28a745;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #007bff !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: white !important;
    border-right: 0px solid #aaa;
}
</style>
<div class="content">
<?php if(count($categorias) == 0){ ?>
<div class="alert alert-primary" role="alert">
  Es necesario agregar una categoría antes de crear la nota. <a href="<?php echo e(url('admin/sitio/'.$id.'/categorias')); ?>">Crear Categoría</a>
</div>
<?php } ?>

  <form action="<?php echo e(url('admin/crear_nota')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-9">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Crear Nota
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Título <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text" class="form-control" id="nombre" name="nombre" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="customFile" class="col-sm-2 col-form-label">Imagen Principal <span>*</span></label>
                            <div class="col-sm-10">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFile" name="imagenprincipal" required>
                                    <label class="custom-file-label" for="customFile">Selecciona una imagen</label>
                                </div>
                                <small>Tamaño minimo recomendado (1024×576):</small>
                            </div>
                        </div>
                       

                        <div class="form-group row">
                            <div class="col-sm-2">
                                <label for="correo" class=" col-form-label">Nota Completa </label>
                                <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 13px;" data-toggle="modal" data-target="#exampleModal"><i class="fas fa-image"></i> Agregar Imagen</p>
                                <p class="btn btn-primary" id="add_image" style="cursor:pointer; font-size: 10px; max-width: 126px;" data-toggle="modal" data-target="#exampleModalAddContemt"> ¿Cómo Agregar tweets y video de YouTube?</p>

                                
                                
                                
                            </div>
                            <div class="col-sm-10">
                            <textarea rows="10" cols="50" name="texto" class="form-control textarea" style="overflow:auto;" required id="editor"></textarea>
                            </div>
                        </div>

                        
                            <input type="hidden" id="frase" name="frase">
                            
                        <div class="form-group row">
                                <label for="youtube" class="col-sm-2 col-form-label">Video Youtube </label>
                                
                               
                           
                            <div class="col-sm-9">
                            <input type="text"  class="form-control" id="youtube" name="youtube">
                            </div>
                            <a tabindex="0" class=" popover-info col-sm-1" role="button" data-toggle="popover" data-trigger="focus" 
                                title="¿Cómo agregar el video de YouTube?" 
                                data-content='Poner solo el código del video ejemplo "6_JaPEycnLw" del enlace "https://www.youtube.com/watch?v=6_JaPEycnLw"'>
                                <i class="fas fa-question-circle"></i>
                            </a>
                        </div>
                        <!-- <div class="form-group row">
                            <label for="facebook" class="col-sm-2 col-form-label">Video Facebook*(Opcional): </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="facebook" name="facebook">
                            </div>
                        </div> -->

                        <div class="row">
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group row">
                                <label for="fecha" class="col-sm-4 col-form-label">Fecha </label>
                                <div class="col-sm-8">
                                <input type="date"  class="form-control" id="fecha" name="fecha" required value="<?php echo $fecha_act = strftime("%Y-%m-%d"); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-sm-12">
                            <div class="form-group row">
                                <label for="hora" class="col-sm-2 col-form-label">Hora </label>
                                <div class="col-sm-10">
                                <input type="time"  class="form-control" id="hora" name="hora" required value="<?php echo $hora_act = strftime("%H:%M:%S"); ?>">
                                </div>
                            </div>
                        </div>
                        </div>

                        
                        

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                        <div class="form-group row">
                            <label for="slug" class="col-sm-2 col-form-label">Slug*</label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="slug" name="slug" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="descripcion" class="col-sm-2 col-form-label" required >Descripción del sitio</label>
                            <div class="col-sm-10">
                            <!-- is-valid -->
                            <textarea name="descripcion" id="descripcion" cols="3"  rows="3" class="form-control " data-counter="250"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="clave" class="col-sm-2 col-form-label" required>Palabras Clave</label>
                            <div class="col-sm-10">
                            <!-- <input type="text" data-role="tagsinput"  class="form-control" id="clave" name="tags"> -->
                            <select class="js-example-basic-multiple form-control" name="tags[]" multiple="multiple" style="width: 100%;">
                                <?php foreach ($tags as $key => $v): ?>
                                    <option value="<?php echo e($v->id_tag); ?>"><?php echo e($v->descripcionTag); ?></option>
                                <?php endforeach ?>
                            </select>
                            </div>
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->




                </div>
                <div class="col-md-3">

                

                    <div class="card card-warning card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fas fa-folder-plus"></i>
                                Información de la Nota
                            </h3>
                        </div>
                        <div class="card-body">
                                
                        <!-- <div class="form-group row"> -->
                        <label for="periodistas" class="">Editor</label>
                            <!-- <div class="col-sm-10"> -->
                                <select name="periodistas" id="periodistas" class="form-control">
                                    <option value="">Selecciona un Editor</option>
                                    <?php foreach($periodistas as $v){ ?>
                                        <option value="<?php echo e($v->id); ?>" <?php if(Auth::user()->id == $v->id){ echo "selected"; } ?>><?php echo e($v->name); ?></option>
                                    <?php } ?>
                                </select>
                            <!-- </div> -->
                        <!-- </div> -->
                        
                        <!-- <div class="form-group row"> -->
                        <label for="sitio" class="">Sitio</label>
                            <!-- <div class="col-sm-10"> -->
                                <select name="sitio" id="sitio" class="form-control" required>
                                    <option value="">Selecciona un sitio</option>
                                    <?php foreach($sitio as $v){ ?>
                                        <option value="<?php echo e($v->id); ?>"  <?php if(!empty($id)){ if($id == $v->id){ echo "selected"; } } ?>><?php echo e($v->nombre); ?></option>
                                    <?php } ?>
                                </select>
                            <!-- </div> -->
                        <!-- </div> -->


                        <label for="">Selecciona una Categoría</label>
                        <select name="categoria" id="categoria" class="form-control" onchange="subcategory(this.value);" required>
                            <option value="">Selecciona una Categoría</option>
                            <?php foreach($categorias as $v){ ?>
                                <option value="<?php echo e($v->id_cat); ?>"><?php echo e($v->nombre); ?></option>
                            <?php } ?>
                        </select>

                        <label for="">Selecciona una Sub Categoría</label>
                        <select name="subcategoria" id="subcategoria" class="form-control">
                            <option value="">Selecciona una Sub Categoría</option>
                        </select>


                        <div class="row" style="display:flex; flex-direction:column;">
                            <label for="">¿Es una nota principal?:</label>
                            <div style="display:flex;     flex-direction: initial;
    align-content: center;
    justify-content: center;">
                            <div class="form-check  " style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="principal" id="seccion1" checked value="0" onclick="toggle(this)">
                                <label class="form-check-label" for="seccion1">
                                    No
                                </label>
                            </div>
                            <div class="form-check  "  style="    margin-left: 25px;">
                                <input class="form-check-input" type="radio" name="principal" id="seccion2"  value="1" onclick="toggle(this)">
                                <label class="form-check-label" for="seccion2">
                                    Si
                                </label>
                            </div>
                            </div>

                            <div id="oculto"  style="display:none; width:100%">
                            <label for="">Selecciona una Sección:</label>
                                <select name="seccion" class="form-control">
                                    <option value="">Selecciona una Sección</option>
                                    <?php foreach($menu as $v){ ?>
                                        <option value="<?php echo e($v->id_menu); ?>"><?php echo e($v->descripcionMenu); ?></option>
                                    <?php } ?>
                                 </select>
                                 <!-- <label for="">Prioridad:</label> -->
                                <input type="hidden" id="prioridad" class="form-control" name="prioridad" value="0">
                            </div>
                        </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-th-list"></i>
                                Selecciona un Template 
                            </h3>
                        </div>
                        <div class="card-body">

                            <!-- <div style="display:flex; justify-content:center; align-items:center"> -->
                           <div class="row radio_img">
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="1" checked>
                                <img src="<?php echo e(url('public/images/detail_1.png')); ?>">
                                </label>
                                </div>
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="2">
                                <img src="<?php echo e(url('public/images/detail_2.png')); ?>">
                                </label>
                                </div>
                                <div class="col-4">
                                <label>
                                <input type="radio" name="template" value="3">
                                <img src="<?php echo e(url('public/images/detail_3.png')); ?>">
                                </label>
                                </div>
                           </div>
                               <!-- <img src="<?php echo e(url('public/admin/dist/details/detail_1.png')); ?>" alt=""> -->

                            <!-- </div> -->
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->


                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Estatus
                            </h3>
                        </div>
                        <div class="card-body">

                            <div style="display:flex; justify-content:center; align-items:center">
                                <select name="estatus" id="estatus" class="form-control">
                                    <option value="1">Publicar</option>
                                    <option value="0">Borrador</option>
                                </select>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
                

            <!-- </div>/.col 12 -->
        </div>
    </div>


<div class="form-actions form-actions-fixed-top hidden">
    <h3 class="titulo_nav">Agregar Nota</h3>
    <div class="btn-set">
        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
    </div>
</div>

    </form>

</div>


<!-- Modal -->
<div class="modal fade " id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-image"></i> Agregar Imagen</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form enctype="multipart/form-data" id="imageUploadForm">
      <?php echo csrf_field(); ?>
      <div class="modal-body">
            <div class="custom-file">
                <label for="enlace">Título de la Imagen (Opcional)</label>
                <input type="text" id="enlace" class="form-control" name="titulo">
            </div>
            <br>
            <label for="img_ck" style="margin-top: 10px;">Imagen <span>*</span></label>

            <div class="custom-file">
                <input type="file" class="custom-file-input" id="file" name="file">
                <label class="custom-file-label" for="img_ck" name="file">Selecciona una imagen</label>
            </div>
            <input type="hidden" id="url" value="<?php echo e(url('/')); ?>">
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
        <button type="button" class="btn btn-primary" id="save_img">Guardar</button>
      </div>
      </form>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade " id="exampleModalAddContemt" tabindex="-1" role="dialog" aria-labelledby="exampleModalAddContemtLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-image"></i> ¿Como Agregar tweets y video de YouTube?</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form enctype="multipart/form-data" id="imageUploadForm">
        <?php echo csrf_field(); ?>
        <div class="modal-body">
            <p>Para agregar un Video de YouTube ó un Tweet se necesita oprimir el botón con el título "Insertar Media incrustado", en pantalla aparecera una ventana modal donde se debe ingresar la URL.</p>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/i1.png')); ?>" style="width:100%; max-width:530px"></div>
            <hr>
            <div style="display:flex; justify-content:center;"><h5>YouTube</h5></div>
            <p>Se debe poner la URL completa del video, en el editor de texto se podrá observar un ejemplo del video.</p>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/y1.png')); ?>" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/y2.png')); ?>" style="width:100%; max-width:530px"></div>
            <hr>
            <div style="display:flex; justify-content:center;"><h5>Twitter</h5></div>
            <p>Cuando se oprime el botón "Tweet insertado" dentro de Twitter, se muestra un código de embed, haciendo scroll hacia la parte de arriba se encuentra el siguiente campo de texto con la url del tweet.</p>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/t2.png')); ?>" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/t1.png')); ?>" style="width:100%; max-width:530px"></div>
            <div style="display:flex; justify-content:center;"><img src="<?php echo e(url('public/admin/instrucciones/t3.png')); ?>" style="width:100%; max-width:530px"></div>
            <p>En el editor se va a observar el texto de tweet, cuando se visualice en el sitio el tweet aparecerá completo.</p>


        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        </div>
        </form>
      </div>
    </div>
  </div>


<script>
   //crear slug
    //  $( "#nombre").blur(function() {
    $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('editor',{
        extraPlugins: 'image2,uploadimage,embed,autoembed',
        height: 400,
        embed_provider: '//ckeditor.iframe.ly/api/oembed?url={url}&callback={callback}',
    });
    $('.js-example-basic-multiple').select2({
        tags:[],
        tokenSeparators: [",", " "]
    });
    $('.js-example-basic-multiple2').select2({
        tags:[],
        tokenSeparators: [",", " "]
    });
    $("#save_img").click(function (e) {
        //CKEDITOR.instances[$('.add_shortcode_btn_trigger').data('result')].insertHtml('[' + $short_code_key.val() + attributes + ']' + content + '[/' + $short_code_key.val() + ']');
        console.log("emtra");
        $("#imageUploadForm").submit();

            e.preventDefault;

        });
        $('#imageUploadForm').on('submit',(function(e) {
        e.preventDefault();
        var formData = new FormData(this);
        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
                url: '<?php echo e(url("admin/ajax_file")); ?>',
                type: 'POST',              
                data: formData,
                processData: false,  // tell jQuery not to process the data
                contentType: false,
                success: function(result){      
                    $('#enlace').val('');
                    $('#file').val('');              
                    CKEDITOR.instances.editor.insertHtml('<img alt="'+$('#enlace').val()+'" height="100" src="'+$('#url').val()+'/public/public/'+result['file']+'" />');
                    $('#exampleModal').modal('hide');
                },
                error: function(data){
                    console.log(data);
                }
            });
        // $.ajax({
        //     type:'POST',
        //     url: $(this).attr('action'),
        //     data:formData,
        //     cache:false,
        //     contentType: false,
        //     processData: false,
        //     success:function(data){
        //         console.log("success");
        //         console.log(data);
        //     },
        //     error: function(data){
        //         console.log("error");
        //         console.log(data);
        //     }
        // });
    }));

        // $('#enlace').val();
        // $('#exampleModal').modal('hide');
        // CKEDITOR.instances.editor.insertHtml('<img alt="titulo" height="100" src="http://localhost/revista/public/periodistas/hablemos-de-diner-periodista8.png" />');

        // console.log($('#enlace').val());


        
    });

    function toggle(elemento) {
        console.log('entra f');
         if(elemento.value=="0") {
             document.getElementById("oculto").style.display = "none";
             // document.getElementById("img_u").style.display = "block";
          }else{
              if(elemento.value=="1"){
             // document.getElementById("img_u").style.display = "none";
             document.getElementById("oculto").style.display = "block";
              }
           }
       }

       function subcategory(id){
                $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },                url: '<?php echo e(url("admin/ajax_sub_categoria")); ?>',
                type: 'POST',
                data: {id: id},
                success: function(contenido){
                    $('#subcategoria').empty();
                    $('#subcategoria').append('<option value=""> - </option>');
                    $(contenido).each(function(key,value){
                        $('#subcategoria').append('<option value="'+value.id_sub+'">'+value.nombre_sub+'</option>');
                    });

                },
            });


        }

</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin_sitio', ['id' => $id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/sitio/agregar_nota.blade.php ENDPATH**/ ?>