<?php
  date_default_timezone_set('America/Mexico_City'); 
  $f3 = new \DateTime();
  $f3->format('Y-m-d H:i:s');
  $configuracion = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte',30)
  ->OrderBy('id','DESC')
  ->limit(1)
  ->get();
  ?>
    <?php foreach ($configuracion as $key => $v): ?>
    <?php
       if(count($configuracion) != 0){
        $categoria = $v->categoria;
        $subcategoria = $v->subcategoria;
        $categoria2 = $v->categoria2;
        $subcategoria2 = $v->subcategoria2;
        $val1_t = $v->val1;
        $val2_t = $v->val2;
        $val3_t = $v->val3;
        $val4_t = $v->val4;

        if($subcategoria != 0){ 
          $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(4)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas = DB::table('notas')->where('sitio', $id)->limit(4)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->limit(4)->orderBy('id_nota', 'DESC')->get();
          }
        }

        if($subcategoria2 != 0){ 
          $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->where('subcategoria', $subcategoria2)->limit(10)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas_slider = DB::table('notas')->where('sitio', $id)->limit(10)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->limit(10)->orderBy('id_nota', 'DESC')->get();

          }
        }
        
       } else {
        $categoria = 0; 
        $subcategoria = 0; 
        $categoria2 = 0; 
        $subcategoria2 = 0; 
        $val1_t = "Por Definir"; 
        $val2_t = "Por Definir"; 
        $val3_t = "Por Definir"; 
        $val4_t = 10; 
       }
       

    ?>
  <?php endforeach; ?>
  <?php if(count($configuracion) != 0){ ?> 
      
      <section class="module highlight">
        <div class="container">
          <div class="row no-gutter">
          <div class="col-md-8">
            <div class="module-title">
            <div class="module-title">
                <h3 class="title"><span class="bg-1">  <?php echo $val1_t; ?> </span></h3>
                <h3 class="subtitle"> <?php echo $val2_t;?> </h3>
              </div>
            </div>
            <div class="row no-gutter">
              <!--========== BEGIN .COL-MD-6 ==========-->
              <div class="col-sm-12 col-md-12">
                <!--========== BEGIN .NEWS ==========-->
                <div class="news">
                
                  <?php foreach($notas as $v) { ?>
                       

                  <div class="col-md-6">
                  <?php if(!empty($slug)){ ?>
                    <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                  <?php } else { ?>
                    <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                  <?php } ?>
                    <div class="item-image-1" style="height:300px;">
                    <?php 
                    $imag = $v->imagen;
                    if (strpos($v->imagen, "http") === FALSE) {
                      $imag = url('/public/img/' . $v->imagen);
                    } ?>
                    <img class="img-responsive img-full" style="height: 300px;"  src="<?php echo e($imag); ?>" alt=""></div>
                    <div class="item-content">
                      <div class="title-left title-style04 underline04">
                        <h3><strong><?php echo e($v->titulo); ?></strong></h3>
                      </div>
                      <p><?php echo e($v->descripcion); ?></p>
                    </div>
                    </a>
                  </div>

                 

                  <?php } ?>
                  
                 
                </div>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <div class="block-title-2">
              <h3><span class="bg-3" style="    padding: 6px 16px;"><strong > <?php echo e($val3_t); ?>  </strong></span></h3>
            </div>

            <div class="sidebar-newsfeed">
              <!-- Begin .newsfeed -->
              <div class="newsfeed-4">
                <ul>
                <?php foreach($notas_slider as $v) { ?>
                      
                  <li>
                  <?php if(!empty($slug)){ ?>
                    <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                  <?php } else { ?>
                    <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                  <?php } ?>
                  <div class="item">
                  <?php 
                    $imag2 = $v->imagen;
                    if (strpos($v->imagen, "http") === FALSE) {
                      $imag2 = url('/public/img/' . $v->imagen);
                    } ?>
                    <div class="item-image"><img class="img-responsive img-full" src="<?php echo e($imag2); ?>" alt=""></div>
                    <div class="item-content">
                      <h4 class="ellipsis"><?php echo e($v->titulo); ?></h4>                      
                      <p class="ellipsis"> <?php if(strlen($v->descripcion) > 130){ ?>
                                      <p class=""><?php echo substr($v->descripcion, 0, 130); ?>...</p>
                                    <?php } else { ?>
                                      <p class=""><?php echo substr($v->descripcion, 0, 130); ?></p>
                                    <?php } ?></p>
                    </div>
                  </div>
                  </a>
                </li>
                <?php } ?>
                </ul>
              </div>
            </div>
          </div>
          </div>
        </div>
      </section>      


<?php } ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/treinta.blade.php ENDPATH**/ ?>