<?php $__env->startSection('contenido'); ?>
<?php  $sitio = DB::table('sitios')->select('nombre', 'id')->where('sitios.id', $id)->get(); ?>
<?php 
    if (isset($sitio[0]->nombre)) {
        $sitio_name = $sitio[0]->nombre;
        $sitio_id = $sitio[0]->id;
    } else {
        $sitio_name = '';
        $sitio_id = '';
    }
?>
<?php echo $__env->make('admin/title_section', ['title' => "Agregar Banner", 'one' => "Agregar Banner", 'one_url' => "admin/", 'back' => "admin/",'sitio' => $sitio_name, 'sitio_id' => $sitio_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.css">
<div class="content">
  <form action="<?php echo e(url('admin/sitio/'.$id.'/banner_add')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->

            <div class="col-md-4">

                <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Agregar Banner
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class=" col-form-label">Título <span>*</span></label>
                            <input type="text" id="nombre" class="form-control" id="nombre" name="nombre" required>
                            <input type="hidden" id="id"  id="id" name="id" value="<?php echo $id; ?>">
                        </div>
                        <div class="form-group row">
                            <label for="enlace" class=" col-form-label">Enlace <span>*</span></label>
                            <input type="text" id="enlace" class="form-control" id="enlace" name="enlace" required>
                        </div>
                        <div class="form-group row">
                            <div class="color-primario" style="width: 100%;">
                                <label for="color-primario-input" class="col-form-label" required>Imagen</label>
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFile" name="imagen">
                                    <label class="custom-file-label" for="customFile">Selecciona una imagen</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                        <label for="estatus" class=" col-form-label">Estatus</label>
                                <select name="estatus" id="estatus" class="form-control">
                                <option value="0">Activo</option>
                                <option value="1">Inactivo</option>
                                </select>
                        </div>
                        

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                  

                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>

                <div class="form-actions form-actions-fixed-top hidden">
                    <h3 class="titulo_nav">Crear Banner</h3>
                    <div class="btn-set">
                        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
                    </div>
                </div>

            </form>


                <div class="col-md-8">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Listado de Banners
                            </h3>
                        </div>
                        <div class="card-body">


                        <div class="table table-responsive">
                                <table class="table table-bordered table-striped" id="table">
                                    <thead>
                                        <tr class="filters">
                                            <th>ID</th>
                                            <th>Nombre</th>
                                            <th>Imagen</th>
                                            <th>Estatus</th>
                                            <th>Acciones</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                <?php $i=1; ?>
                                <?php $__currentLoopData = $banner; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><strong><?php echo e($v->id_banner); ?></strong></td>
                                            <td><?php echo e($v->nombre); ?></td>
                                            <td><img src="<?php echo e(url('public/img/banner/' . $v->slug . '.webp')); ?>" style="height: 30px;"></td>
                                            <td>
                                                <?php if($v->active == 1): ?>
                                                <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/banner_active')); ?>" style="display: inline-block;">
                                                <?php echo csrf_field(); ?>

                                                <input type="hidden" name="id" value="<?php echo e($v->id_banner); ?>">
                                                <input type="hidden" name="aut" value="0">
                                                <button type="submit" class="btn btn-danger">Inactivo</button>
                                                </form>
                                                <?php else: ?>
                                                <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/banner_active')); ?>" style="display: inline-block;">
                                                <?php echo csrf_field(); ?>

                                                <input type="hidden" name="id" value="<?php echo e($v->id_banner); ?>">
                                                <input type="hidden" name="aut" value="1">
                                                <button type="submit" class="btn btn-success">Activo</button>
                                                </form>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <a href="<?php echo e(url('admin/sitio/'.$id.'/banner_edit/'.$v->id_banner)); ?>" style=" " class="btn btn-primary" title="Editar">
                                                    <i class="fa fa-edit" data-size="20" title="Editar Menú"></i>
                                                </a>
                                           
                                                <button  data-toggle="modal" data-target="#del<?php echo e($v->id_banner); ?>" class="btn btn-danger"><i class="fas fa-trash" data-size="20"  title="Eliminar"></i>
                                                </button>
                                                <div class="modal fade" id="del<?php echo e($v->id_banner); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                    <div class="modal-header" style="background:#DF1B1B;">
                                                    <h3 class="modal-title" style="color: white"><strong>Confirmación de Eliminación</strong></h3>
                                                    </div>
                                                    <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente el registro:<br><strong><?php echo e($v->nombre); ?></strong></p>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                                        <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/banner_del')); ?>" style="display: inline-block;">
                                                        <?php echo csrf_field(); ?>

                                                        <input type="hidden" name="id" value="<?php echo e($v->id_banner); ?>">
                                                        <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                                        </form>
                                                    </div>
                                                    </div>
                                                </div>
                                                </div>
                                            </td>
                                        </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                                </div>

            

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>




</div>

<script>
   //crear slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('editor');
  });
</script>
<script>
  $(function () {
      // Basic instantiation:
      $('#color-primario-input').colorpicker();
      $('#color-primario-input').on('colorpickerChange', function(event) {
        $('#color-primario-input').css('background', event.color.toString());
        console.log(event.color.toString());
      });
     
    });    
  </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin_sitio', ['id' => $id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/admin/sitio/banner.blade.php ENDPATH**/ ?>