<!-- .....................................  10 Nota destacada y cuadro de notas a personalizar por tag .............................-->

<?php date_default_timezone_set('America/Mexico_City');
$f3 = new \DateTime();
$f3->format('Y-m-d H:i:s');

$config = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte', 10)
  ->OrderBy('id', 'DESC')
  ->limit(1)
  ->get();
//Valores por defeccto $id, 14
//valores de prueba $id,5
?>
<?php if (count($config) != 0) { ?>
  <?php foreach ($config as $key => $v) {
    if (!empty($v->val1)) {
      $val1_t = $v->val1 + 1;
    } else {
      $val1_t = 1;
    }
    $categoria = $v->categoria;
    $subcategoria = $v->subcategoria;
  }
  if ($subcategoria != 0) {
    $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit($val1_t)->orderBy('id_nota', 'DESC')->get();
  } else {
    if ($categoria == 0) {
      $notas = DB::table('notas')->where('sitio', $id)->limit($val1_t)->orderBy('id_nota', 'DESC')->get();
    } else {
      $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->limit($val1_t)->orderBy('id_nota', 'DESC')->get();
    }
  }

  if (count($notas) >= 2) {
  ?>

    <div class="row no-gutter">
      <!--========== BEGIN .COL-MD-8 ==========-->
      <div class="col-md-8">

        <!-- Begin .entry-block-->
        <div class="entry-block-full">
          <div class="image-full">
            <?php if (!empty($slug)) { ?>
              <a href="<?php echo e(url($slug.'/nota/'.$notas[0]->slug)); ?>" class="img-link">
              <?php } else { ?>
                <a href="<?php echo e(url('./nota/'.$notas[0]->slug)); ?>" class="img-link">
                <?php } ?>
                <?php 
                $imagen_uno = $notas[0]->imagen;
                if (strpos($notas[0]->imagen, "http") === FALSE) {
                  $imagen_uno = url('/public/img/' . $notas[0]->imagen);
                } ?>
                <img src="<?php echo e($imagen_uno); ?>" alt="">
                </a>
          </div>
          <div class="content">
            <h3>

              <?php if (!empty($slug)) { ?>
                <a href="<?php echo e(url($slug.'/nota/'.$notas[0]->slug)); ?>" class="img-link">
                <?php } else { ?>
                  <a href="<?php echo e(url('./nota/'.$notas[0]->slug)); ?>" class="img-link">
                  <?php } ?>
                  <?php echo e($notas[0]->titulo); ?> | <?php echo e($notas[0]->frase); ?>

                  </a>
            </h3>
          </div>
        </div>
        <!-- End .entry-block-->

      </div>
      <div class="col-md-4">
        <!--========== BEGIN .SIDEBAR-NEWSFEED ==========-->
        <div class="sidebar-newsfeed">
          <!-- Begin .newsfeed -->
          <div class="newsfeed-3">

            <ul>
              <?php for ($i = 1; $i < $val1_t; $i++) { ?>

                <li>
                  <div class="item">
                    <div class="item-image">
                      <?php if (!empty($slug)) { ?>
                        <a href="<?php echo e(url($slug.'/nota/'.$notas[$i]->slug)); ?>" class="img-link">
                        <?php } else { ?>
                          <a href="<?php echo e(url('./nota/'.$notas[$i]->slug)); ?>" class="img-link">
                          <?php } ?>
                          <?php 
                          $imagen_dos = $notas[$i]->imagen;
                          if (strpos($notas[$i]->imagen, "http") === FALSE) {
                            $imagen_dos = url('/public/img/' . $notas[$i]->imagen);
                          } ?>
                          <img class="img-responsive img-full" src="<?php echo e($imagen_dos); ?>" alt=""></a>
                    </div>
                    <div class="item-content">
                      <h4 class="ellipsis">
                        <?php if (!empty($slug)) { ?>
                          <a href="<?php echo e(url($slug.'/nota/'.$notas[$i]->slug)); ?>" class="img-link">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$notas[$i]->slug)); ?>" class="img-link">
                            <?php } ?>
                            <?php echo e($notas[$i]->titulo); ?>

                            </a>
                      </h4>
                      <p class="ellipsis">
                        <?php if (!empty($slug)) { ?>
                          <a href="<?php echo e(url($slug.'/nota/'.$notas[$i]->slug)); ?>" class="img-link">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$notas[$i]->slug)); ?>" class="img-link">
                            <?php } ?>
                            <?php if (strlen($notas[$i]->descripcion) > 100) { ?>
                              <p><?php echo substr($notas[$i]->descripcion, 0, 100); ?>...</p>
                            <?php } else { ?>
                              <p><?php echo substr($notas[$i]->descripcion, 0, 100); ?></p>
                            <?php } ?>

                            </a>
                      </p>
                    </div>
                  </div>
                </li>
              <?php } ?>
            </ul>
          </div>
        </div>
      </div>

    </div>
<?php } // count notas
} //count config
?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/diez.blade.php ENDPATH**/ ?>