<?php $__env->startSection('contenido'); ?>
<?php echo $__env->make('admin/title_section', [
    'title' => "Sitios", 
    'one' => "Sitios", 
    'one_url' => "sitios"
    ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<style>
.item-table-filter {
    float: left;
    min-width: 130px;
    margin-right: 10px;
    margin-bottom: 10px;
}

</style>


<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
            
                <div class="card card-primary card-outline"> 
                    <div class="card-header">
                        <h3 class="card-title">
                            <i class="fas fa-edit"></i>
                            Lista de Sitios
                        </h3>
                    </div>
                    <div class="card-body">

                        <div class="row table-filter-container m-b-20">
                            <div class="col-sm-10">
                            <?php echo csrf_field(); ?>
                                <form action="sitios_search" method="GET">
                                
                                <!-- <div class="item-table-filter">
                                    <p class="text-muted"><small>Tipo de Nota</small></p>
                                    <select name="post_type" class="form-control">
                                        <option value="">Todo</option>
                                        <option value="article">articulo</option>
                                        <option value="video">video</option>
                                    </select>
                                </div>
                                <div class="item-table-filter">
                                    <p class="text-muted"><small>Categoría</small></p>
                                    <select class="form-control dynamic" id="category_id" name="category_id"
                                            data-dependent="sub_category_id">
                                        <option value="">Todo</option>
                                        
                                    </select>
                                </div>-->
                                <div class="item-table-filter">
                                    <div class="form-group">
                                        <p class="text-muted"><small>Estatus</small></p>
                                        <select class="form-control dynamic"
                                                name="estatus">
                                            <option value="">Todos</option>
                                            <option value="1" <?php if(!empty($estatus)){ if($estatus == 1){ echo "selected"; } } ?>>Activo</option>
                                            <option value="0" <?php if(!empty($estatus)){ if($estatus == 0){ echo "selected"; } } ?>>Inactivo</option>
                                        </select>
                                    </div>
                                </div> 
                                <div class="item-table-filter">
                                    <p class="text-muted"><small>Buscar por palabra clave</small></p>
                                    <input name="search" class="form-control" placeholder="Buscar" autocomplete="false"
                                            type="search"  value="<?php if(!empty($search)){ echo $search;  } ?>">
                                </div>
                                <div class="item-table-filter md-top-10 item-table-style">
                                    <p>&nbsp;</p>
                                    <button type="submit" class="btn bg-primary"><i class="fas fa-search" style="font-size: 13px;"></i> Buscar</button>
                                </div>
                                </form>
                                
                            </div>
                            <div class="col-sm-2">
                                <?php if(Auth::user()->tipo == 1){ ?>
                                    <a href="<?php echo e(url('admin/sitios_add_form')); ?>" class="btn bg-primary"><i class="fas fa-plus" style="font-size: 13px;"></i> Agregar sitio</a>
                                <?php } ?>
                            </div>


                            <div class="col-12">
                                <div class="table-responsive all-pages">
                                    <table class="table table-bordered table-striped" role="grid">
                                        <thead>
                                            <tr role="row">
                                                <th width="20">#</th>
                                                <th>Nombre</th>
                                                <?php if(Auth::user()->tipo == 1){ ?>
                                                <th width="100">Estatus</th>
                                                <?php } ?>
                                                <th width="250">Acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php foreach($info as $v){ ?>
                                                <tr>
                                                    <td><?php echo $v->id ?></td>
                                                    <td><?php echo $v->nombre ?></td>
                                                    <?php if(Auth::user()->tipo == 1){ ?>

                                                    <td>
                                                        <form method="post" action="<?php echo e(url('admin/sitios_active')); ?>" >
                                                            <?php echo csrf_field(); ?>
                                                            <input type="hidden" name="id" value="<?php echo e($v->id); ?>">
                                                            <?php if($v->activo == 1){ ?>
                                                                <input type="hidden" name="activo" value="0">
                                                                <?php if($v->id != 1){ ?>
                                                                    <button type="submit" class="btn btn-success btn-sm" title="Click para activar" >Activo</button>
                                                                <?php } else { ?>
                                                                    <p class="btn btn-success btn-sm" title="No se puede cambiar el estatus del sitio princial" >Activo</p>    
                                                                <?php } ?>
                                                            <?php } else { ?>
                                                                <input type="hidden" name="activo" value="1">
                                                                <button type="submit" class="btn btn-danger btn-sm" title="Click para activar" >Inactivo</button>
                                                            <?php } ?>
                                                        </form>
                                                    </td>
                                                    <?php } ?>
                                                    <td>
                                                    <a href="<?php echo e(url('admin/sitio/'.$v->id)); ?>" class="btn btn-info" style="float: left; margin: 1px" title="Administrar web"><i class="fas fa-cog" aria-hidden="true"></i></a>
                                                    <?php if($v->id != 1){ ?>
                                                        <a href="<?php echo e(url('/'.$v->slug.'/inicio')); ?>" target="_blank" class="btn btn-warning" style="float: left; margin: 1px" title="Ver sitio web"><i class="fas fa-eye"></i></a>
                                                    <?php } else { ?>
                                                        <a href="<?php echo e(url('/')); ?>" target="_blank" class="btn btn-warning" style="float: left; margin: 1px" title="Ver sitio web"><i class="fas fa-eye"></i></a>
                                                    <?php } ?>

                                                    <?php if(Auth::user()->tipo == 1){ ?>

                                                    <a href="<?php echo e(url('admin/sitios_edit/'.$v->id)); ?>" class="btn btn-primary" style="float: left; margin: 1px" title="Editar"><i class="fas fa-edit" aria-hidden="true"></i></a>
                                                    <?php if($v->id != 1){ ?>
                                                    <form method="post" action="<?php echo e(url('admin/sitios_del')); ?>" onsubmit="return confirm('Desea eliminar el Registro.');">
                                                        <?php echo csrf_field(); ?>
                                                        <input type="hidden" name="id" value="<?php echo e($v->id); ?>">
                                                        <input type="hidden" name="logo" value="<?php echo e($v->logo); ?>">
                                                        <input type="hidden" name="favicon" value="<?php echo e($v->favicon); ?>">
                                                    <button type="submit" class="btn btn-danger" title="Eliminar" ><i class="fas fa-trash" aria-hidden="true" ></i></button>
                                                    </form>
                                                    <?php } ?>                                                    
                                                    <?php } ?>
                                                </td>

                                                </tr>
                                            <?php } ?>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="row">
                                <div class="col-12 col-sm-6">
                                    <div class="block-header">
                                        <small>Mostrando <?php echo e($info->firstItem()); ?> a <?php echo e($info->lastItem()); ?> de <?php echo e($info->total()); ?> entradas</small>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6 text-right">
                                    <div class="table-info-pagination float-right">

                                    <?php if($info->lastPage() != 1 || $info->lastPage() != 0 ){ ?>
                                    <nav>
                                     <?php if($info->lastPage() > 1): ?>
                                        <ul class="pagination">
                                            <li class=" page-item<?php echo e(($info->currentPage() == 1) ? ' disabled' : ''); ?>">
                                                <a class="page-link" href="<?php echo e($info->url(1)); ?>">‹</a>
                                            </li>
                                            <?php for($i = 1; $i <= $info->lastPage(); $i++): ?>
                                                <?php $link_limit = 7;
                                                $half_total_links = floor($link_limit / 2);
                                                $from = $info->currentPage() - $half_total_links;
                                                $to = $info->currentPage() + $half_total_links;
                                                if ($info->currentPage() < $half_total_links) {
                                                $to += $half_total_links - $info->currentPage();
                                                }
                                                if ($info->lastPage() - $info->currentPage() < $half_total_links) {
                                                    $from -= $half_total_links - ($info->lastPage() - $info->currentPage()) - 1;
                                                }
                                                ?>
                                                <?php if($from < $i && $i < $to): ?>
                                                    <li  class="page-item <?php echo e(($info->currentPage() == $i) ? ' active' : ''); ?>">
                                                        <?php if(empty($search)){ ?>
                                                            <a class="page-link" href="<?php echo e($info->url($i)); ?>"><?php echo e($i); ?></a>
                                                        <?php } else { ?>
                                                            <a class="page-link" href="<?php echo e(url('admin/sitios_search?search='.$search.'&page='.$i)); ?>"><?php echo e($i); ?></a>
                                                        <?php }  ?>
                                                    </li>
                                                <?php endif; ?>
                                            <?php endfor; ?>
                                            <li class=" page-item<?php echo e(($info->currentPage() == $info->lastPage()) ? ' disabled' : ''); ?>">
                                                <a class="page-link" href="<?php echo e($info->url($info->currentPage()+1)); ?>" >›</a>
                                            </li>
                                        </ul>
                                        <?php endif; ?>
                                        </nav>
                                    <?php } ?>
                                    </div>
                                </div>
                            </div>
                            </div>


                        </div>

                <!-- /.card -->
                    </div>
                </div>


            </div>
        </div>
    </div>
</div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/admin/administrador/sitios.blade.php ENDPATH**/ ?>