<?php
date_default_timezone_set('America/Mexico_City');
$f3 = new \DateTime();
$f3->format('Y-m-d H:i:s');

$config = DB::table('configuracion')
        ->where('seccion', $id)
        ->where('id_menu', $id_menu)
        ->where('parte',12)
        ->OrderBy('id','DESC')
        ->limit(1)
        ->get();
        //Valores por defeccto $id, 14
        //valores de prueba $id,5
        ?>
<?php if(count($config) != 0){ ?>
<?php foreach ($config as $key => $v) {
  if(!empty($v->val1)){ $val1_t = $v->val1; } else { $val1_t = "Por Definir"; }
  if(!empty($v->val2)){ $val2_t = $v->val2; } else { $val2_t = 4; }
  $categoria = $v->categoria;
  $subcategoria = $v->subcategoria;
}
if($subcategoria != 0){
  $notas = DB::table('notas')->select('notas.*','categorias.nombre','categorias.slug as cat_slug')->join('categorias', 'categorias.id_cat', '=', 'notas.categoria')->where('sitio', $id)->where('notas.fecha', '<=', $f3)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(5)->orderBy('notas.fecha', 'DESC')->get();
} else {
  if($categoria == 0){
    $notas = DB::table('notas')->select('notas.*','categorias.nombre','categorias.slug as cat_slug')->join('categorias', 'categorias.id_cat', '=', 'notas.categoria')->where('sitio', $id)->where('notas.fecha', '<=', $f3)->limit(5)->orderBy('notas.fecha', 'DESC')->get();
  } else {
    $notas = DB::table('notas')->select('notas.*','categorias.nombre','categorias.slug as cat_slug')->join('categorias', 'categorias.id_cat', '=', 'notas.categoria')->where('sitio', $id)->where('notas.fecha', '<=', $f3)->where('categoria', $categoria)->limit(5)->orderBy('notas.fecha', 'DESC')->get();
  }
}
?>

 <!--========== BEGIN .ROW ==========-->
   <div class="row no-gutter">

        <?php if (count($notas) != 0){ ?>


        <?php if (!empty($notas[0]->titulo)){ ?>
     <!-- Begin .full-block-three-columns -->
           <div class="full-block-three-columns">
            <!-- Begin .container-full-->
            <div class="container-full bottom-text full-photo">
              <div class="entry-media">
              <?php
              $imag = $notas[0]->imagen;
              if (strpos($notas[0]->imagen, "http") === FALSE) {
                $imag = url('/public/img/' . $notas[0]->imagen);
              } ?>
                <div class="image" style="background-image: url(<?php echo e($imag); ?>);"></div>
              </div>
              <div class="content">
                <h2>
                    <?php if(!empty($slug)){ ?>
                      <a href="<?php echo e(url($slug.'/nota/'.$notas[0]->slug)); ?>" >
                    <?php } else { ?>
                      <a href="<?php echo e(url('./nota/'.$notas[0]->slug)); ?>" >
                    <?php } ?>
                        <?php echo e($notas[0]->titulo); ?>

                    </a>
                </h2>
                <h4><?php echo e($notas[0]->descripcion); ?></h4>
              </div>
            </div>
            <!-- End .container-full-->
          </div>
        <?php } ?>

        <?php if (!empty($notas[1]->titulo)){ ?>

     <!-- Begin .full-block-three-columns -->
     <div class="full-block-three-columns">
       <!-- Begin .container-half -->
       <div class="container-half" style="width: 100% !important;">
         <div class="entry-media">
        <?php
            $imag2 = $notas[1]->imagen;
            if (strpos($notas[1]->imagen, "http") === FALSE) {
              $imag2 = url('/public/img/' . $notas[1]->imagen);
            } ?>
           <div class="image" style="background-image: url(<?php echo e($imag2); ?>);">
            <span>

                <?php if(!empty($slug)){ ?>
                    <a href="<?php echo e(url($slug.'/categoria/'.$notas[1]->cat_slug)); ?>" style="color:white" class="label-1">
                  <?php } else { ?>
                    <a href="<?php echo e(url('./categoria/'.$notas[1]->cat_slug)); ?>" style="color:white" class="label-1">
                  <?php } ?>
                    <?php echo e($notas[1]->nombre); ?>

                </a>
            </span>

          </div>
           </div>
         <div class="content">
         <h4>
            <?php if(!empty($slug)){ ?>
              <a href="<?php echo e(url($slug.'/nota/'.$notas[1]->slug)); ?>" >
            <?php } else { ?>
              <a href="<?php echo e(url('./nota/'.$notas[1]->slug)); ?>" >
            <?php } ?>
                <?php echo e($notas[1]->titulo); ?>

            </a>
         </h4>
         <p>
            <?php if(!empty($slug)){ ?>
              <a href="<?php echo e(url($slug.'/nota/'.$notas[1]->slug)); ?>" >
            <?php } else { ?>
              <a href="<?php echo e(url('./nota/'.$notas[1]->slug)); ?>" >
            <?php } ?>
                <?php echo e($notas[1]->descripcion); ?>

            </a>
         </p>
         </div>
       </div>
       <?php } ?>

       <!-- End .container-half- -->
       <!-- Begin .entry-post -->
       <div class="entry-post">


       <?php if (!empty($notas[2]->titulo)){ ?>
          <?php for ($i=2; $i < count($notas); $i++) { ?>
            <div class="item">
              <div class="item-image">
                  <?php if(!empty($slug)){ ?>
                    <a href="<?php echo e(url($slug.'/nota/'.$notas[$i]->slug)); ?>" class="img-link">
                  <?php } else { ?>
                    <a href="<?php echo e(url('./nota/'.$notas[$i]->slug)); ?>" class="img-link">
                  <?php } ?>
                  <?php
                    $imag3 = $notas[$i]->imagen;
                    if (strpos($notas[$i]->imagen, "http") === FALSE) {
                      $imag3 = url('/public/img/' . $notas[$i]->imagen);
                    } ?>
                      <img class="img-responsive img-full" src="<?php echo e($imag3); ?>" alt="">
                  </a>
              </div>
              <div class="item-content">
                <div class="entry-meta bg-1">
                        <?php if(!empty($slug)){ ?>
                          <a href="<?php echo e(url($slug.'/categoria/'.$notas[$i]->cat_slug)); ?>" style="color:white">
                        <?php } else { ?>
                          <a href="<?php echo e(url('./categoria/'.$notas[$i]->cat_slug)); ?>" style="color:white">
                        <?php } ?>
                        <?php echo e($notas[$i]->nombre); ?>

                      </a>
                </div>
                  <p class="ellipsis">
                      <?php if(!empty($slug)){ ?>
                        <a href="<?php echo e(url($slug.'/nota/'.$notas[$i]->slug)); ?>" >
                      <?php } else { ?>
                        <a href="<?php echo e(url('./nota/'.$notas[$i]->slug)); ?>" >
                      <?php } ?>
                         <?php echo e($notas[$i]->titulo); ?>

                      </a>
                  </p>
              </div>
            </div>
          <?php } ?>
      <?php } ?>

     </div>


   </div>
   <?php } ?>
     <!-- End  .full-block-three-columns -->
     <!-- Begin .full-block-three-columns -->
     <div class="full-block-three-columns">
       <div class="sidebar-add-place"> <a href="#" target="_blank"><img src="<?php echo e(url('public/img/ad_300x600.jpg')); ?>" alt=""></a> </div>
     </div>
     <!-- End .col-full-block-three-columns -->
   </div>

<?php } ?>
<!-- .....................................  end12 .............................-->
<?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/secciones_home/doce.blade.php ENDPATH**/ ?>