<!--=====================================
  NOTA DESTACADA
======================================-->

<?php
date_default_timezone_set('America/Mexico_City');
$f3 = new \DateTime();
$f3->format('Y-m-d H:i:s');
 $con=0;

//  setlocale(LC_TIME, 'es_MX.UTF-8');
//  $f_hoy = date('Y-m-d H:i:s');

 $nota_destacada = DB::table('notas')
        ->where('seccion', $id_menu)
        ->where('sitio', $id)
        ->where('status', 1)
		->where('principal', 1)
        ->where('fecha', '<=', $f3)
		->OrderBy('fecha','DESC')
		->limit(5)
		->get();

?>

</div>
<!-- aqui insertaremos el slider -->
<?php if(count($nota_destacada)!=0): ?>
<div style="height: 400px; width: 100%; margin-bottom: 25px;">
<div id="carousel-example-generic" class="carousel slide" data-ride="carousel" style="height: 100%; width: 100%;">
  <!-- Indicators -->
  <?php if (count($nota_destacada) != 1): ?>

   <ol class="carousel-indicators">
    <?php $__currentLoopData = $nota_destacada; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value_destacada): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <?php if($con==0): ?>
        <li data-target="#carousel1" data-slide-to="0" class="active"></li>
      <?php else: ?>
        <li data-target="#carousel1" data-slide-to="<?php echo e($con); ?>"></li>
      <?php endif; ?>
      <?php
        $con++;
      ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  </ol>
  <?php endif ?>

  <!-- Wrapper for slides -->
  <div class="carousel-inner" role="listbox">

  <?php
    $cnt = 1;
    foreach ($nota_destacada as $key => $value_destacada):
    $titulo = $value_destacada->titulo;
    $descripcion = $value_destacada->descripcion;
    $imagen = $value_destacada->imagen;
    $slug_nota = $value_destacada->slug;
    if(strpos($imagen,"http")===FALSE){
      $imagen= url('/public/img/'.$imagen);
    }
    if($cnt==1){
      $act = "active";
    }else{
      $act="";
    }
  ?>
  <style>
    .imagen_destacada{
        background-repeat:no-repeat !important;
        background-size: 100% 100% !important;
        background-attachment: fixed  !important;
        background-position: center  !important;
        /* background: url('<?php echo e(url($imagen)); ?>') center center fixed;  */
        opacity: 0.6;
      }
    @media (max-width: 450px){
      .imagen_destacada{
        background-attachment: initial  !important;
        /* background-repeat:no-repeat !important; background-size: 100% 100% !important;  */
      }
    }
  </style>
  <div class="item <?php echo e($act); ?>" style="background-color: black;">
        <?php if(!empty($slug)){ ?>
          <a href="<?php echo e(url($slug.'/nota/'.$slug_nota)); ?>">
        <?php } else { ?>
          <a href="<?php echo e(url('nota/'.$slug_nota)); ?>">
        <?php } ?>

       <img  style="height: 400px; width: 100%; background: url(<?php echo e(url($imagen)); ?>); opacity: 0.6" class="imagen_destacada">
        <div class="carousel-caption">
          <h3 style="margin-bottom:25px;"><?php echo e($titulo); ?></h3>
          
        </div>
      </a>
      </div>
      <?php
      $cnt++;
      endforeach;?>
    </div>

    <!-- Controls -->
      <?php if (count($nota_destacada) != 1): ?>

    <a class="left carousel-control" href="#carousel-example-generic" role="button" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#carousel-example-generic" role="button" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
      <span class="sr-only">Next</span>
    </a>
      <?php endif ?>

  </div>
  </div>
  <?php endif; ?>

<?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/secciones_home/nota_destacada.blade.php ENDPATH**/ ?>