<!--========== BEGIN .MODULE ==========-->
<?php
  date_default_timezone_set('America/Mexico_City'); 
  $f3 = new \DateTime();
  $f3->format('Y-m-d H:i:s');
  $configuracion = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte',15)
  ->OrderBy('id','DESC')
  ->limit(1)
  ->get();
  ?>
    <?php foreach ($configuracion as $key => $v): ?>
    <?php
       if(count($configuracion) != 0){
        $categoria = $v->categoria;
        $subcategoria = $v->subcategoria;
        $categoria2 = $v->categoria2;
        $subcategoria2 = $v->subcategoria2;
        $val1_t = $v->val1;
        $val2_t = $v->val2;
        $val3_t = $v->val3;
        $val4_t = $v->val4;

        if($subcategoria != 0){ 
          $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(3)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas = DB::table('notas')->where('sitio', $id)->limit(3)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->limit(3)->orderBy('id_nota', 'DESC')->get();
          }
        }

        if($subcategoria2 != 0){ 
          $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->where('subcategoria', $subcategoria2)->limit(5)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas_slider = DB::table('notas')->where('sitio', $id)->limit(5)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->limit(5)->orderBy('id_nota', 'DESC')->get();

          }
        }
        
       } 
       

    ?>
  <?php endforeach; ?>
  <?php if(count($configuracion) != 0){ ?> 

    <section class="module-top">
      <div class="container">
        <!--========== BEGIN .ROW ==========-->
        <div class="row no-gutter">
          <!--========== BEGIN .COL-MD-8 ==========-->
          <div class="col-md-8">
            <div class="module-title">
              <h3 class="title"><span class="bg-1"><?php echo e($val1_t); ?></span></h3>
              <h3 class="subtitle"><?php echo e($val2_t); ?></h3>
            </div>
            <!--========== BEGIN .NEWS ==========-->
            <div class="news">
              <!-- Begin .item -->
              <?php foreach($notas as $v){ ?>
              <div class="item">  
                <div class="item-image-3">
                     <?php if(!empty($slug)){ ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                          <?php } ?>
                          <?php 
                          $imag = $v->imagen;
                          if (strpos($v->imagen, "http") === FALSE) {
                            $imag = url('/public/img/' . $v->imagen);
                          } ?>
                        <img class="img-responsive img-full" src="<?php echo e($imag); ?>" alt="" style="object-fit: cover; height: 100%; width:100%; object-position: 50% 50%;">
                    </a>
                </div>
                <div class="item-content">
                  <div class="title-left title-style04 underline04">
                    <h3>
                         <?php if(!empty($slug)){ ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>">
                          <?php } ?>
                            <strong> <?php echo e($v->titulo); ?></strong>
                        </a>
                    </h3>
                  </div>
                  <p class="ellipsis">
                       <?php if(!empty($slug)){ ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="external-link">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="external-link">
                          <?php } ?>
                          <strong><?php echo e($v->descripcion); ?></strong>
                      </a>
                  </p>
                </div>
              </div>
              <?php } ?>
              
            <!--========== End .NEWS ==========-->
          </div>
        </div>
          <!--========== END .COL-MD-8 ==========-->
          <!--========== BEGIN .COL-MD-4 ==========-->

          <div class="col-md-4">
            <!--========== BEGIN .SIDEBAR-POST ==========-->
            <!-- Begin .block-title-1 -->
            <div class="block-title-1">
              <h3><strong><?php echo e($val3_t); ?></strong></h3>
              </div>
            <!-- End .block-title-1 -->

            <div class="sidebar-post">
              <ul>
                <?php foreach($notas_slider as $v) { ?>
              
                <li>
                  <div class="item">
                    <div class="item-image">
                        <?php if(!empty($slug)){ ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                          <?php } ?>
                          <?php 
                          $imag2 = $v->imagen;
                          if (strpos($v->imagen, "http") === FALSE) {
                            $imag2 = url('/public/img/' . $v->imagen);
                          } ?>
                            <img class="img-responsive img-full" src="<?php echo e($imag2); ?>" alt="" style="object-fit: cover; height: 100%; width:100%; object-position: 50% 50%;">
                        </a>
                    </div>
                    <div class="item-content">
                      <p class="ellipsis">
                          <?php if(!empty($slug)){ ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>">
                          <?php } ?>
                              <strong><?php echo e($v->titulo); ?> </strong> <br>
                              <?php if(strlen($v->descripcion) > 130){ ?>
                              <p class="ellipsis"><?php echo substr($v->descripcion, 0, 130); ?>...</p>
                            <?php } else { ?>
                              <p class="ellipsis"><?php echo substr($v->descripcion, 0, 130); ?>...</p>
                            <?php } ?>
                              
                          </a>
                      </p>
                    </div>
                  </div>
                </li>
                  <?php } ?>
              </ul>
            </div>
            <!--========== END .SIDEBAR-POST ==========-->
            <!--========== BEGIN #SIDEBAR-NEWSLETTER ==========-->
            <div id="sidebar-newsletter" style="margin-top: -35px;">
              <!-- Begin .title-style01 -->
              <div class="title-style01">
                <h3  style="margin-top:1.7rem"><strong>Newsletter</strong></h3>
              </div>
              <!-- End .title-style01 -->
              <!-- Begin .sidebar-newsletter-form -->
              <div class="sidebar-newsletter-form">
              <form id="contact-form" method="post" action="<?php echo e(route('newsletter')); ?>">
                  <?php echo e(csrf_field()); ?>

                  <input id="form_lastname" type="hidden" name="id" value="<?php echo e($id); ?>">
                  <div class="input-group">
                    <input title="Newsletter" class="form-control" name="email" type="email" id="address" placeholder="Correo electrónico" data-validate="validate(required, email)" required>
                    <span class="input-group-btn">
                    <button type="submit" class="btn btn-success">Subscribirse</button>
                    </span> </div>
                </form>
                <span id="result" class="alertMsg"></span> </div>
              <!-- End .sidebar-newsletter-form -->
            </div>
            <!--========== END #SIDEBAR-NEWSLETTER ==========-->
          </div>
          <!--========== END .COL-MD-4 ==========-->
        </div>
      </div>
    </section>
    <!--========== END .MODULE ==========-->
<?php } ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/quince.blade.php ENDPATH**/ ?>