<?php $__env->startSection('contenido'); ?>
<?php  $sitio = DB::table('sitios')->select('nombre', 'id')->where('sitios.id', $id)->get(); ?>

<?php 
    if (isset($sitio[0]->nombre)) {
        $sitio_name = $sitio[0]->nombre;
        $sitio_id = $sitio[0]->id;
    } else {
        $sitio_name = '';
        $sitio_id = '';
    }
?>
<?php echo $__env->make('admin/title_section', ['title' => "Editar Menú", 'one' => "Editar Menú", 'one_url' => "admin/", 'back' => "admin/",'sitio' => $sitio_name, 'sitio_id' => $sitio_id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.css">
<div class="content">
    <form action="<?php echo e(url('admin/sitio/'.$id.'/menu_ed')); ?>" method="post" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="container-fluid">
            <div class="row">
                <!-- <div class="col-md-12"> -->

                <div class="col-md-4">

                    <div class="card card-warning card-outline">
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-edit"></i>
                                Editar Sección del Menú
                            </h3>
                            <a href="<?php echo e(url('admin/sitio/'.$id.'/menu')); ?>" style="color: black; float: right;"><i class="fas fa-times"></i></a>
                        </div>
                        <div class="card-body">

                            <div class="form-group row">
                                <label for="nombre" class=" col-form-label">Título <span>*</span></label>
                                <input type="text" id="nombre" class="form-control" id="nombre" name="nombre" required value="<?php echo $menu_edit[0]->descripcionMenu; ?>">
                                <input type="hidden" id="id" id="id" name="id" value="<?php echo  $menu_edit[0]->id_menu; ?>">
                            </div>
                            <div class="form-group row">
                                <div class="color-primario" style="width: 100%;">
                                    <label for="color-primario-input" class="col-form-label" required>Color</label>
                                    <input id="color-primario-input" class="form-control" type="text" value="<?php echo $menu_edit[0]->color; ?>" name="color" style="background: <?php echo $menu_edit[0]->color; ?>; color:white;" />
                                </div>
                            </div>
                            <div class="form-group row">
                                <label for="orden" class=" col-form-label">Orden <span>*</span></label>
                                <input type="number" id="orden" class="form-control" id="orden" name="orden" required value="<?php echo $menu_edit[0]->orden; ?>">
                            </div>
                            <div class="form-group row">
                                <label for="estatus" class=" col-form-label">Estatus</label>
                                <select name="estatus" id="estatus" class="form-control">
                                    <option value="0" <?php if ($menu_edit[0]->active == 0) {
                                                            echo 'selected';
                                                        } ?>>Activo</option>
                                    <option value="1" <?php if ($menu_edit[0]->active == 1) {
                                                            echo 'selected';
                                                        } ?>>Inactivo</option>
                                </select>
                            </div>



                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-warning card-outline">
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                            <div class="form-group row">
                                <label for="slug" class=" col-form-label">Slug*</label>
                                <input type="text" class="form-control" id="slug" name="slug" required value="<?php echo $menu_edit[0]->url_menu; ?>">
                            </div>
                            <div class="form-group row">
                                <label for="descripcion" class=" col-form-label" required>Descripción del Menú*</label>
                                <!-- is-valid -->
                                <textarea name="descripcion" id="descripcion" cols="3" rows="3" class="form-control " data-counter="250" required><?php echo $menu_edit[0]->descripcion; ?></textarea>
                            </div>
                            <div class="form-group row">
                                <label for="clave" class=" col-form-label" required>Palabras Clave*</label>
                                <input type="text" data-role="tagsinput" class="form-control" id="clave" name="tags" value="<?php echo $menu_edit[0]->tags; ?>" required>
                            </div>

                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div id="waypoint"></div>

                    <div class="card card-success card-outline">
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>

                <div class="form-actions form-actions-fixed-top hidden">
                    <h3 class="titulo_nav">Editar Menú</h3>
                    <div class="btn-set">
                        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                    </div>
                </div>

    </form>


    <div class="col-md-8">
        <div class="card card-primary card-outline">
            <div class="card-header">
                <h3 class="card-title">
                    <i class="fas fa-info"></i>
                    Información del sitio
                </h3>
            </div>
            <div class="card-body">


                <div class="table table-responsive">
                    <table class="table table-bordered table-striped" id="table">
                        <thead>
                            <tr class="filters">
                                <th>ID</th>
                                <th>Título</th>
                                <th>Estatus</th>
                                <th>Administrar sección</th>
                                <th>Acciones</th>

                            </tr>
                        </thead>
                        <tbody>
                            <?php $i = 1; ?>
                            <?php $__currentLoopData = $menu; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><strong><?php echo e($v->id_menu); ?></strong></td>
                                <td><?php echo e($v->descripcionMenu); ?></td>
                                <td>
                                    <?php if($v->active == 1): ?>
                                    <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/menu_active')); ?>" style="display: inline-block;">
                                        <?php echo csrf_field(); ?>

                                        <input type="hidden" name="id" value="<?php echo e($v->id_menu); ?>">
                                        <input type="hidden" name="aut" value="0">
                                        <button type="submit" class="btn btn-danger">Inactivo</button>
                                    </form>
                                    <?php else: ?>
                                    <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/menu_active')); ?>" style="display: inline-block;">
                                        <?php echo csrf_field(); ?>

                                        <input type="hidden" name="id" value="<?php echo e($v->id_menu); ?>">
                                        <input type="hidden" name="aut" value="1">
                                        <button type="submit" class="btn btn-success">Activo</button>
                                    </form>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <a href="<?php echo e(url('admin/sitio/'.$id.'/administrar_menu/'.$v->id_menu)); ?>" style=" border: 0px;" class="btn  btn-primary">
                                        Administrar
                                    </a>
                                </td>
                                <td>
                                    <a href="<?php echo e(url('admin/sitio/'.$id.'/menu_edit/'.$v->id_menu)); ?>" style=" " class="btn btn-primary" title="Editar">
                                        <i class="fa fa-edit" data-size="20" title="Editar Menú"></i>
                                    </a>

                                    <button data-toggle="modal" data-target="#del<?php echo e($v->id_menu); ?>" class="btn btn-danger"><i class="fas fa-trash" data-size="20" title="Eliminar"></i>
                                    </button>
                                    <div class="modal fade" id="del<?php echo e($v->id_menu); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header" style="background:#DF1B1B;">
                                                    <h3 class="modal-title" style="color: white"><strong>Confirmación de Eliminación</strong></h3>
                                                </div>
                                                <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente el registro:<br><strong><?php echo e($v->descripcionMenu); ?></strong></p>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                                    <form method="post" action="<?php echo e(url('admin/sitio/'.$id.'/menu_del')); ?>" style="display: inline-block;">
                                                        <?php echo csrf_field(); ?>

                                                        <input type="hidden" name="id" value="<?php echo e($v->id_menu); ?>">
                                                        <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>




            </div><!-- /.card-doby -->
        </div><!-- /.card -->
    </div>
    <!-- </div>/.col 12 -->
</div>
</div>




</div>

<script>
    //Editar slug
    //  $( "#nombre").blur(function() {
    $("#nombre").keyup(function() {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = {
            nombre: nombre,
            _token: token
        };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function(result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });


    $(function() {
        // Replace the <textarea id="editor1"> with a CKEditor
        // instance, using default configuration.
        CKEDITOR.replace('editor');
    });
</script>
<script>
    $(function() {
        // Basic instantiation:
        $('#color-primario-input').colorpicker();
        $('#color-primario-input').on('colorpickerChange', function(event) {
            $('#color-primario-input').css('background', event.color.toString());
            console.log(event.color.toString());
        });

    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin_sitio', ['id' => $id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/sitio/menu_edit.blade.php ENDPATH**/ ?>