<?php $__env->startSection('contenido'); ?>

<section class="content-header">
    <div class="container-fluid">
    <div class="row mb-2">
        <div class="col-sm-4">
        <div style="display:flex; align-items:center;">
            <a href="<?php echo e(url('admin/sitio/'.$id.'/administrar_menu/'.$id_menu)); ?>"><i class="fas fa-arrow-circle-left" style="font-size:20px;    margin-right: 10px; color: #007bff;"></i></a>
            <h1>Administrar Sección</h1>
        </div>
        </div>
        <div class="col-sm-8">
            <?php  $sitio = DB::table('sitios')->select('nombre', 'id')->where('sitios.id', $id)->get(); 
                    $menu_text = DB::table('menu')->where('id_menu', $id_menu)->get();

            ?>

            <?php 
                if (isset($sitio[0]->nombre)) {
                    $sitio_name = $sitio[0]->nombre;
                    $sitio_id = $sitio[0]->id;
                } else {
                    $sitio_name = '';
                    $sitio_id = '';
                }
            ?>

            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="http://localhost/revista/admin">Inicio</a></li>
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id)); ?>"><?php echo e($sitio_name); ?></a></li>
      
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id.'/menu')); ?>">Menú - <?php echo e($menu_text[0]->descripcionMenu); ?></a></li>
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id.'/administrar_menu/'.$id_menu)); ?>">Agregar Contenido</a></li>
                  <li class="breadcrumb-item active">Administrar Sección</li>
                </ol>

        </div>
    </div>
    </div><!-- /.container-fluid -->
</section>


<div class="content">
  
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
                <div class="col-md-12">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Datos de la Sección
                            </h3>
                        </div>
                        <div class="card-body">
                        

                        <form enctype="multipart/form-data" method="post" action="<?php echo e(url('admin/configuracion_secciones')); ?>">
                            <?php echo csrf_field(); ?>

                            <hr>
                            <div class="row">

                            <div class="col-md-12">
                                <input type="hidden" name="id" value="<?php foreach ($info as $key => $v) { if(!empty($v->id)){ echo $id_edit = $v->id; }  } ?>">
                                <input type="hidden" name="add" value="<?php echo e($add); ?>">
                                <input type="hidden" name="sec" value="<?php echo e($id); ?>">
                                <input type="hidden" name="id_menu" value="<?php echo e($id_menu); ?>">
                               <input type="hidden" name="id" value="<?php foreach ($info as $key => $v) { if(!empty($v->id)){ echo $id_edit = $v->id; } else { echo 0;} } ?>">                  
                                <input type="hidden" name="tipo" value="<?php if(empty($id_edit)){ echo "add"; } else { echo "edit"; } ?>">
                  
                               
                                <label for="">Selecciona una Categoría</label>
                                    <select name="categoria" id="categoria" class="form-control" onchange="subcategory(this.value);" required>
                                        <option value="0">Ultimas Notas</option>
                                        <?php foreach($categorias as $v){ ?>
                                            <option value="<?php echo e($v->id_cat); ?>" <?php if(!empty($info[0]->categoria)){ if($v->id_cat == $info[0]->categoria){ echo "selected"; } } ?> ><?php echo e($v->nombre); ?></option>
                                        <?php } ?>
                                    </select>
                                    <?php if(!empty($info[0]->subcategoria)){ $sub_cat = DB::table('sub_categorias')->where('id_cat','=',$info[0]->categoria)->get(); } ?>
                                    <label>Subcategoría(opcional):</label>
                                    <select name="subcategoria" id="subcategoria" class="form-control">
                                        <option value="">Selecciona una Opción</option>
                                        <?php if(!empty($sub_cat)){ ?>
                                            <?php foreach($sub_cat as $v){ ?>
                                             <option value="<?php echo e($v->id_sub); ?>" <?php if(!empty($info[0]->subcategoria)){ if($v->id_sub == $info[0]->subcategoria){ echo "selected"; } } ?> ><?php echo e($v->nombre_sub); ?></option>
                                            <?php } ?>
                                         <?php } ?>
                                    </select>
                               
                            </div>
                            
                            
                            </div>
                            <br>
                            <hr>
                            <input type="submit" value="Guardar" class="form-control btn btn-md btn-primary">
                        </form>

                        <h3>Imagen de Ejemplo de la sección</h3>

                        <?php  foreach ($contenido as $key => $v): ?>
                        <img src="<?php echo e(url('public/img_secciones/'.$v->img_contenido)); ?>" style="width:100%">
                        <?php endforeach; ?>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>
</div>
<script>
function subcategory(id){
        $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },                
        url: '<?php echo e(url("admin/ajax_sub_categoria")); ?>',
        type: 'POST',
        data: {id: id},
        success: function(contenido){
            $('#subcategoria').empty();
            $('#subcategoria').append('<option value=""> - </option>');
            $(contenido).each(function(key,value){
                $('#subcategoria').append('<option value="'+value.id_sub+'">'+value.nombre_sub+'</option>');
            });

        },
    });
}


</script>


<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin_sitio', ['id' => $id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/secciones_admin/veintitres.blade.php ENDPATH**/ ?>