<?php
date_default_timezone_set('America/Mexico_City');
$f3 = new \DateTime();
$f3->format('Y-m-d H:i:s');
$configuracion = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte', 3)
  ->OrderBy('id', 'DESC')
  ->limit(1)
  ->get();
if (count($configuracion) != 0) {
?>
  <?php foreach ($configuracion as $key => $v) : ?>
    <?php
    $categoria = $v->categoria;
    $subcategoria = $v->subcategoria;

    $categoria2 = $v->categoria2;
    $subcategoria2 = $v->subcategoria2;
    ?>
  <?php endforeach; ?>

  <?php
  if ($subcategoria != 0) {
    $notas = DB::table('notas')->where('fecha', '<=', $f3)->where('categoria', $categoria)->where('sitio', $id)->where('subcategoria', $subcategoria)->limit(2)->orderBy('fecha', 'DESC')->get();
  } else {
    $notas = DB::table('notas')->where('fecha', '<=', $f3)->where('categoria', $categoria)->where('sitio', $id)->limit(2)->orderBy('fecha', 'DESC')->get();
  }
  if ($subcategoria2 != 0) {
    $notas_slider = DB::table('notas')->where('fecha', '<=', $f3)->where('categoria', $categoria2)->where('sitio', $id)->where('subcategoria', $subcategoria2)->limit(10)->orderBy('fecha', 'DESC')->get();
  } else {
    if ($categoria == 0) {
      $notas_slider = DB::table('notas')->where('fecha', '<=', $f3)->where('sitio', $id)->limit(10)->orderBy('fecha', 'DESC')->get();
    } else {
      $notas_slider = DB::table('notas')->where('fecha', '<=', $f3)->where('sitio', $id)->where('categoria', $categoria2)->limit(10)->orderBy('fecha', 'DESC')->get();
    }
  }
  ?>

  <div class="row no-gutter col-md-12">
    <!-- Begin .full-block-three-columns-equal -->
    <div class="full-block-three-columns-equal col-md-3 col-sm-12">
      <!-- Begin .container-full-->
      <?php
      if (count($notas) >= 1) {
        $titulo = $notas[0]->titulo;
        $slug1 = $notas[0]->slug;
        $imagen = $notas[0]->imagen;
        $frase = $notas[0]->frase;
        $texto = $notas[0]->texto;
        $descripcion = $notas[0]->descripcion;
        $fecha = $notas[0]->fecha;
        $url_m = 'inicio';
        if (strpos($imagen, "http") === FALSE) {
          $imagen = url('public/img/' . $imagen);
        }
      } else {
        $titulo = 'Por definir';
        $slug1 = '#';
        $imagen = url('public/img/image_no_found.png');
        $frase = 'Por definir';
        $texto = 'Por definir';
        $descripcion = 'Por definir';
        $fecha = Null;
        $url_m = "#";
      } ?>
      <div class="container-full bottom-text full-photo">
        <?php if (!empty($slug)) { ?>
          <a href="<?php echo e(url($slug.'/nota/'.$slug1)); ?>">
          <?php } else { ?>
            <a href="<?php echo e(url('nota/'.$slug1)); ?>">
            <?php } ?>
            <div class="entry-media">
              <div class="image" style="background-image: url(<?php echo e($imagen); ?>);"></div>
            </div>
            <div class="content">
              <h2 style="color:white;"><?php echo $titulo; ?></h2>
              <h4><?php echo $descripcion; ?></h4>
            </div>
            </a>
            <!-- End .content -->
      </div>
      <!-- End .container-full-->
    </div>
    <!-- End .full-block-three-columns-equal -->
    <?php
    if (count($notas) >= 2) {
      $titulo2 = $notas[1]->titulo;
      $slug2 = $notas[1]->slug;
      $imagen2 = $notas[1]->imagen;
      $frase2 = $notas[1]->frase;
      $texto2 = $notas[1]->texto;
      $video2 = $notas[1]->video;
      $descripcion2 = $notas[1]->descripcion;
      $fecha2 = $notas[1]->fecha;
      $url_m2 = 'inicio';
      if (strpos($imagen2, "http") === FALSE) {
        $imagen2 = url('public/img/' . $imagen2);
      }
    } else {
      $titulo2 = 'Por definir';
      $slug2 = '#';
      $video2 = '#';
      $imagen2 = url('public/img/image_no_found.png');
      $frase2 = 'Por definir';
      $texto2 = 'Por definir';
      $descripcion2 = 'Por definir';
      $fecha2 = Null;
      $url_m2 = "#";
    } ?>
    <!-- Begin .full-block-three-columns-equal -->
    <div class="full-block-three-columns-equal col-md-3 col-sm-12">
      <!-- Begin .container-full -->
      <style media="screen">
        .container-full .content p {
          padding: 0 22px;
          border-bottom: 0px solid rgba(0, 0, 0, 0.065) !important;
          padding: 0 22px;
        }
      </style>
      <?php if (!empty($slug)) { ?>
        <a href="<?php echo e(url($slug.'/nota/'.$slug2)); ?>">
        <?php } else { ?>
          <a href="<?php echo e(url('nota/'.$slug2)); ?>">
          <?php } ?>
          <div class="container-full bottom-text big-photo other" style="width:100%;">
            <div class="entry-media">
              <div class="image" style="height: 120px; background-image: url(<?php echo e($imagen2); ?>); min-height: 350px; height: auto" />

            </div>
          </div>
          <!-- Begin .content -->
          <div class="content">
            <div class="entry-title">
              <div class="title-left title-style04 underline04">
                <h3><?php echo $titulo2; ?></h3>
              </div>
            </div>
            <p style="border-bottom:0px !important;"><?php echo $descripcion2; ?></p>
          </div>
          <!-- End .content -->
    </div>
    </a>
    <!-- End .container-full  -->
  </div>
  <!-- End .full-block-three-columns-equal -->


  <!-- Begin .full-block-three-columns-equal -->


  <div class="full-block-three-columns-equal col-md-3 col-sm-12">
    <!--========== BEGIN .SIDEBAR-NEWSFEED ==========-->
    <div class="sidebar-newsfeed">
      <!-- Begin .newsfeed -->
      <div class="newsfeed-3">
        <ul>
          <?php for ($i = 0; $i < count($notas_slider); $i++) { ?>
            <?php
            if (count($notas_slider) >= $i) {
              $titulo4 = $notas_slider[$i]->titulo;
              $slug4 = $notas_slider[$i]->slug;
              $imagen4 = $notas_slider[$i]->imagen;
              $frase4 = $notas_slider[$i]->frase;
              $texto4 = $notas_slider[$i]->texto;
              $descripcion4 = $notas_slider[$i]->descripcion;
              $fecha4 = $notas_slider[$i]->fecha;
              $url_m4 = 'inicio';
              if (strpos($imagen4, "http") === FALSE) {
                $imagen4 = url('public/img/' . $imagen4);
              }
            } else {
              $titulo4 = 'Por definir';
              $slug4 = '#';
              $imagen4 = url('public/img/image_no_found.png');
              $frase4 = 'Por definir';
              $texto4 = 'Por definir';
              $descripcion4 = 'Por definir';
              $fecha4 = Null;
              $url_m4 = "#";
            } ?>

            <li>
              <div class="item">
                <div class="item-image">
                  <?php if (!empty($slug)) { ?>
                    <a href="<?php echo e(url($slug.'/nota/'.$slug4)); ?>" class="img-link">
                    <?php } else { ?>
                      <a href="<?php echo e(url('nota/'.$slug4)); ?>" class="img-link">
                      <?php } ?>
                      <img class="img-responsive img-full" src="<?php echo e(url($imagen4)); ?>" style="" alt=""></a>
                </div>
                <div class="item-content">
                  <div>
                  </div>
                  <h4 class="ellipsis">
                    <?php if (!empty($slug)) { ?>
                      <a href="<?php echo e(url($slug.'/nota/'.$slug4)); ?>">
                      <?php } else { ?>
                        <a href="<?php echo e(url('nota/'.$slug4)); ?>">
                        <?php } ?>
                        <?php echo $titulo4; ?></a>
                  </h4>
                  <p class="ellipsis">
                    <?php if (!empty($slug)) { ?>
                      <a href="<?php echo e(url($slug.'/nota/'.$slug4)); ?>">
                      <?php } else { ?>
                        <a href="<?php echo e(url('nota/'.$slug4)); ?>">
                        <?php } ?>
                        <?php if (strlen($descripcion4) > 130) { ?>
                          <p class="ellipsis"><?php echo substr($descripcion4, 0, 130); ?>...</p>
                        <?php } else { ?>
                          <p class="ellipsis"><?php echo $descripcion4; ?></p>
                        <?php } ?>
                        <?php //echo $descripcion4;
                        ?>
                        </a>
                  </p>
                </div>
              </div>
            </li>
          <?php } ?>
        </ul>

      </div>
      <!-- End .newsfeed -->
    </div>
    <!--========== END .SIDEBAR-NEWSFEED ==========-->

    <!--========== BEGIN #SIDEBAR-SOCIAL-BUTTONS ==========-->
    <div class="sidebar-social-icons" style="float: right;">
      <ul class="sidebar-social-buttons">
        <?php $rsg = DB::table('sitio_informacion')->where('id', $id)->get(); ?>
        <?php foreach ($rsg as $r) { ?>
          <?php if (!empty($r->facebook)) { ?><li> <a href="<?php echo e($r->facebook); ?>" class="facebook"><i class="fa fa-facebook"></i></a></li> <?php } ?>
          <?php if (!empty($r->twitter)) { ?><li> <a href="<?php echo e($r->twitter); ?>" class="twitter"><i class="fa fa-twitter"></i></a> </li> <?php } ?>
          <?php if (!empty($r->youtube)) { ?><li> <a href="<?php echo e($r->youtube); ?>" class="youtube"> <i class="fa fa-youtube"></i></a> </li> <?php } ?>
          <?php if (!empty($r->google)) { ?><li> <a href="<?php echo e($r->google); ?>" class="google-plus"><i class="fa fa-google-plus"></i></a> </li> <?php } ?>
          <?php if (!empty($r->linkedin)) { ?><li> <a href="<?php echo e($r->linkedin); ?>" class="linkedin"><i class="fa fa-linkedin"></i></a> </li> <?php } ?>
          <?php if (!empty($r->instagram)) { ?><li> <a href="<?php echo e($r->instagram); ?>" class="instagram"> <i class="fa fa-instagram"></i></a> </li> <?php } ?>
        <?php } ?>
      </ul>
    </div>
    <!--========== END .SIDEBAR-SOCIAL-BUTTONS ==========-->
  </div>
  <!--========== END .full-block-three-columns-equal ==========-->
  </div>
  <!-- .....................................  end 3 .............................-->
<?php } ?>
<?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/secciones_home/tres.blade.php ENDPATH**/ ?>