$(document).ready(function () {
    $('#table').DataTable({
        order: [[0, "desc"]],
        pageLength: 25,
        language: {
            url: 'https://cdn.datatables.net/plug-ins/1.10.22/i18n/Spanish.json'
        }
    });
    $('#table_excel').DataTable({
        order: [[0, "desc"]],
        pageLength: 25,
        language: {
            url: 'https://cdn.datatables.net/plug-ins/1.10.22/i18n/Spanish.json'
        },
        dom: 'Bfrtip',
        buttons: [
            'excel', 'csv', 'pdf'
        ]
    });

   

    $(".custom-file-input").on("change", function () {
        var fileName = $(this).val().split("\\").pop();
        $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
    });
    //punto para navegacion fixed
    var waypoint = new Waypoint({
        element: document.getElementById('waypoint'),
        handler: function (direction) {
            if (direction === 'down') {
                $('.form-actions-fixed-top').removeClass('hidden');
            } else {
                $('.form-actions-fixed-top').addClass('hidden');
            }
        }
    })


    //contar caracteres se usa con data-counter
    // countCharacter() {
    $.fn.charCounter = function (max, settings) {
        max = max || 100;
        settings = $.extend({
            container: '<span></span>',
            classname: 'charcounter',
            format: '(%1 Caracteres Restantes)',
            pulse: true,
            delay: 0
        }, settings);
        let p, timeout;

        let count = (el, container) => {
            el = $(el);
            if (el.val().length > max) {
                el.val(el.val().substring(0, max));
                if (settings.pulse && !p) {
                    pulse(container, true);
                }
            }
            if (settings.delay > 0) {
                if (timeout) {
                    window.clearTimeout(timeout);
                }
                timeout = window.setTimeout(() => {
                    container.html(settings.format.replace(/%1/, (max - el.val().length)));
                }, settings.delay);
            } else {
                container.html(settings.format.replace(/%1/, (max - el.val().length)));
            }
        };

        let pulse = (el, again) => {
            if (p) {
                window.clearTimeout(p);
                p = null;
            }
            el.animate({
                opacity: 0.1
            }, 100, () => {
                $(el).animate({
                    opacity: 1.0
                }, 100);
            });
            if (again) {
                p = window.setTimeout(() => {
                    pulse(el)
                }, 200);
            }
        };

        return this.each((index, el) => {
            let container;
            if (!settings.container.match(/^<.+>$/)) {
                // use existing element to hold counter message
                container = $(settings.container);
            } else {
                // append element to hold counter message (clean up old element first)
                $(el).next('.' + settings.classname).remove();
                container = $(settings.container)
                    .insertAfter(el)
                    .addClass(settings.classname);
            }
            $(el)
                .unbind('.charCounter')
                .bind('keydown.charCounter', () => {
                    count(el, container);
                })
                .bind('keypress.charCounter', () => {
                    count(el, container);
                })
                .bind('keyup.charCounter', () => {
                    count(el, container);
                })
                .bind('focus.charCounter', () => {
                    count(el, container);
                })
                .bind('mouseover.charCounter', () => {
                    count(el, container);
                })
                .bind('mouseout.charCounter', () => {
                    count(el, container);
                })
                .bind('paste.charCounter', () => {
                    setTimeout(() => {
                        count(el, container);
                    }, 10);
                });
            if (el.addEventListener) {
                el.addEventListener('input', () => {
                    count(el, container);
                }, false);
            }
            count(el, container);
        });
    };

    $(document).on('click', 'input[data-counter], textarea[data-counter]', (event) => {
        $(event.currentTarget).charCounter($(event.currentTarget).data('counter'), {
            container: '<small></small>'
        });
    });
    // }





});

