@extends('layouts.admin')
@section('contenido')

@include('admin/title_section', ['title' => "Administrador", 'one' => "Administrador", 'dos' => "Editar Administrador",'one_url' => "administrador", 'back' => "admin/administrador"])

<div class="content">
  <form action="{{url('admin/perfil_ed')}}" method="post" enctype="multipart/form-data">
    @csrf
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-9">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-edit"></i>
                                Editar la información del sitio
                            </h3>
                        </div>
                        <div class="card-body">
                        <input type="hidden"  name="id" value="<?php echo $administrador[0]->id ?>">

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Nombre <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombre" name="nombre" required value="<?php echo $administrador[0]->name ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Correo Electronico <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombre" name="email" required value="<?php echo $administrador[0]->email ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Nickname <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombre" name="nickname" required value="<?php echo $administrador[0]->nickname ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Descripción <span>*</span></label>
                            <div class="col-sm-10">
                            <textarea name="descripcion" id="descripcion" cols="3" rows="3" class="form-control"><?php echo $administrador[0]->texto ?></textarea>
                            </div>
                        </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>
                <div class="col-md-3">
                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-images"></i>
                                Imagen de perfil
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center; ">
                                    
                                <div class="form-group row">
                                    <div class="custom-file">
                                        <input type="file" class="custom-file-input" id="customFilefav" name="img">
                                        <label class="custom-file-label" for="customFilefav">Selecciona una imagen</label>
                                    </div>
                                    <small for="nombreSitio" style="width:100%; margin: 5px;">Imagen Cargada </small>
                                    <img src="{{url('public/periodistas/'.$administrador[0]->periodista_img)}}" alt="" style="max-height:50px; margin:5px;">
                                </div>
                                <input type="hidden" name="imagen_actual" value="<?php echo $administrador[0]->periodista_img;?>">

                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Editar Información</button>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
                

            <!-- </div>/.col 12 -->
        </div>
    </div>
    </form>

</div>


<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <div style="display:flex; align-items:center;">
                <h1>Cambiar Contraseña</h1>
            </div>
          </div>
        
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <div class="col-md-12">
    <div class="card card-primary card-outline"> 
        <div class="card-header">
            <h3 class="card-title">
                <i class="fas fa-edit"></i>
                Editar contraseña
            </h3>
        </div>
        <div class="card-body">
        <form action="{{url('admin/perfil_pass')}}" method="post" >
        @csrf
            <input type="hidden"  name="id" value="<?php echo $administrador[0]->id ?>">

            <div class="form-group row">
                <label for="nombre" class="col-sm-2 col-form-label">Nueva Contraseña <span>*</span></label>
                <div class="col-sm-10">
                <input type="password"  class="form-control" id="nombre" name="password" required>
                </div>
            </div>

            <div class="form-group row">
                <label for="nombre" class="col-sm-2 col-form-label">Confirma la contraseña <span>*</span></label>
                <div class="col-sm-10">
                <input type="password"  class="form-control" id="nombre" name="password_confirmation" required>
                </div>
            </div>

            <div class="form-group row">
                <label for="nombre" class="col-sm-2 col-form-label"></label>
                <div class="col-sm-10">
                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Editar Contraseña</button>
                </div>
            </div>
        </form>

    
        </div><!-- /.card-doby -->
    </div><!-- /.card -->
</div>
<br>
		
@endsection