@extends('layouts.admin')
@section('contenido')
@include('admin/title_section', ['title' => "Editores", 'one' => "Editores", 'one_url' => "admin/", 'back' => "admin/"])

<div class="content">
  
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-12">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-list"></i>
                                Lista de Editores
                            </h3>
							<a href="{{url('admin/agregar_editor')}}" class="btn btn-primary" style="    font-size: 13px; padding: 5px; margin: -5px; float: right;"><i class="fas fa-plus"></i>  Agregar Editor</a>
                        </div>
                        <div class="card-body">
                        

                        <div class="table-responsive">
			<table class="table table-striped table-bordered table-condensed table-hover" id="table">
				<thead>            
					<th>Id</th>
					<th>Nombre</th>
					<th>Email</th>
					<th>Modificar</th>
					<th>Eliminar</th>
				</thead>
				@foreach ($editor as $adm)
				<tr>
					<td>{{ $adm->id}}</td>
					<td>{{ $adm->name}}</td>
					<td>{{ $adm->email}}</td>
					<td>
					<a href="{{url('admin/editar_editor/'.$adm->id)}}"><button class="btn btn-info btn">Modificar</button></a>
					</td>
					<td>	
					<form action="{{route('administrador.destroy', $adm->id) }}" method="POST">
		 		{{ csrf_field() }}
				 <input type="hidden" name="_method" value="DELETE">
		 			<button type="submit" name="" class="btn btn-danger btn" value="Eliminar" onclick="return confirm('¿Desea elimiar a el editor?');">Eliminar</button> 

		 		</form>					 
					</td>
				</tr>
				
				@endforeach
			</table>






                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>
            
                

            <!-- </div>/.col 12 -->
        </div>
    </div>

</div>
<br>
@stop
