@extends('layouts.web')
@section('title', 'Inicio')
@section('content')
    

<div class="slider"><!-- slider -->
  <?php $meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"); ?>
    @foreach ($principales as $v)
    <div class="item" style="min-height: 80vh;">
    <div class="color-overlay"></div>
    <?php 
    $img1 = $v->imagen;
      if(strpos($img1, "http") === FALSE){
          $img1 = url('public/notas/'.$img1);
      }
    ?>
    <div class="slider-pic"  style="min-height: 80vh;"><img src="{{$img1}}" alt="" style="height: 100vh; object-fit:cover;"></div>
    <div class="container">
      <div class="slider-caption"><!-- slider caption -->
        <h1 class="slider-title">{{$v->titulo}}</h1>
        <p class="slider-content">{{$v->frase}}</p>
        <a href="{{route('nota', $v->slug)}}" class="btn btn-default btn-white btn-lg"> Leer más</a> </div>
      <!-- /.slider caption --> 
    </div>
  </div>
  @endforeach

  
</div>
<!-- /.slider -->
<div class="container-fluid hidden-xs">
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12 nopadding">
      <div id="feature-slider" class="touch-carousel">
        @foreach ($sub_principales as $v)
        <div class="feature-item"> 
          <!--header-image-->
          <div class="header-image img-padding"> 
            <?php 
              $img2 = $v->imagen;
                if(strpos($img2, "http") === FALSE){
                    $img2 = url('public/notas/'.$img2);
                }
              ?>
            <img alt="" src="{{ $img2 }}" style="height: 200px; object-fit:cover;">
            <i class="{{ $v->icon }}"></i> <span> <a href="{{route('nota', $v->slug)}}"> {{$v->titulo}}</a></span> 
          </div>
          <!--header-image end--> 
        </div>
       @endforeach
        
      </div>
    </div>
  </div>
</div>

@include('sitio.buscador')


 <div class="carousel-video">
<?php $category = DB::table('categorias')->where('seccion', 1)->where('estatus', 0)->get(); ?>
 @foreach ($category as $c)
     

    <div class="carousel-cell">
      <div class="papular-videos">
        <div class="container">
          <div class="row">
            <div class="col-md-12 col-xs-12 col-sm-12">
              <div class="lifestyle">
                <h4>{{$c->nombre}}</h4>
                <hr>
              </div>
            </div>

            <?php   
                    $nota_cental_category = DB::table('nota_has_categoria') 
                            ->leftJoin('notas', 'nota_has_categoria.id_nota', '=', 'notas.id_nota')
                            ->join('tipo_de_nota', 'tipo_de_nota.tipo_id', '=', 'notas.tipo_de_nota')
                            ->select('nota_has_categoria.*', 'notas.*', 'tipo_de_nota.icon')
                            ->where('id_categoria', $c->id_cat)
                            ->limit(1)
                            ->orderBy('notas.id_nota', 'DESC')
                            ->get(); 
                    $notas_category = DB::table('nota_has_categoria') 
                        ->leftJoin('notas', 'nota_has_categoria.id_nota', '=', 'notas.id_nota')
                        ->leftJoin('categorias', 'nota_has_categoria.id_categoria', '=', 'categorias.id_cat')
                        ->join('tipo_de_nota', 'tipo_de_nota.tipo_id', '=', 'notas.tipo_de_nota')
                        ->select('notas.titulo','notas.descripcion','notas.slug','notas.imagen','notas.fecha','tipo_de_nota.tipo_name','tipo_de_nota.slug as tipo_slug','categorias.nombre','categorias.slug as cat_slug')
                        ->where('id_categoria', $c->id_cat)
                        ->skip(1)->take(3)
                        ->orderBy('notas.id_nota', 'DESC')
                        ->groupBy('nota_has_categoria.id_nota')
                        ->get(); 
            ?>

            <!--sidebar section-->
            <div class="col-md-6 col-sm-12 col-xs-12"> 
              
              <!--header-image-->
              <?php foreach($nota_cental_category as $v){ ?>
                <a href="{{route('nota', $v->slug)}}" style="color:white;">
                <div class="header-image img-padding"> 
                      <?php 
                      $img3 = $v->imagen;
                        if(strpos($img3, "http") === FALSE){
                            $img3 = url('public/notas/'.$img3);
                        }
                      ?>
                      <img alt="" src="{{$img3}}">
                      <i class="{{$v->icon}}" style="border-color: #a238d0 transparent transparent;"></i> 
                    
                    <span>
                       <p style="    color: white; font-size: 2rem; position: absolute; bottom: 0; padding: 10px 20px; letter-spacing: 1px;"> {{$v->titulo}}</p>
                    </span> 
                    
                </div>
                </a>
              <?php } ?>
              <!--header-image end--> 
              
            </div>
            <div class="col-md-6 col-sm-12 col-xs-12"> 
              
            <?php foreach($notas_category as $v){ ?>
              <!--media 2-->
              <div class="media">
                <div class="media-left"> 
                  <?php 
                    $img4 = $v->imagen;
                      if(strpos($img4, "http") === FALSE){
                          $img4 = url('public/notas/'.$img4);
                      }
                    ?>
                  <a href="{{route('nota', $v->slug)}}"> <img class="media-object" src="{{$img4}}"  style="max-height: 150px;    width: 150px; object-fit: cover;"> </a> </div>
                <div class="media-body technology"> 
                    <a href="{{url('buscar?q=&clave=&seccion=&categoria='.$v->tipo_slug.'&p=1')}}"><span class="blue">{{$v->tipo_name}}</span></a>
                    <a href="{{url('buscar?q=&clave=&seccion='.$v->cat_slug.'&categoria=&p=1')}}"> <span class="green">{{$v->nombre}}</span> </a>
                <a href="{{route('nota', $v->slug)}}">
                  <h4 class="media-heading">{{$v->titulo}}</h4>
                </a>
                <!-- <p>$v->frase</p> -->
                  <small>
                    <?php 
                       echo $meses[date('n', strtotime($v->fecha))-1].' '.date( "d, Y", strtotime($v->fecha) );
                    ?>
                  </small> </div>
              </div>
              <!--media 2 end--> 
            <?php } ?>
            
              
            </div>
          </div>
        </div>
      </div>
    </div>
     @endforeach
   
  </div>
  
  <div class="latest-category">
    <div class="container">
      <div class="row" id="inicio_notas">
        <div class="col-md-8 col-xs-12 col-sm-12 nota_contenedor" id="tag_container">
         
         @include('sitio.lista_notas')
          
        </div>
        <div class="col-md-4 col-sm-12 col-xs-12">
          <div class="widget"> 
            <!--social media heading-->
            <div class="lifestyle social-media">
              <h4>Tweets Recientes</h4>
              <hr>
            </div>
            <!--end social media--> 
            <div style="height: 800px; overflow-y:auto;">
                <a class="twitter-timeline" href="https://twitter.com/AMIS_mx?ref_src=twsrc%5Etfw">Tweets by AMIS_mx</a> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
            </div>
          </div>
          
        
        <!--recent section end--> 
        
      </div>
    </div>
  </div>
</div>
<!--wrapper end--> 




@endsection

@section('js')
<script type="text/javascript">
    $(window).on('hashchange', function() {
      refresh();
    });
    
    $(document).ready(function()
    {
     refresh();  
     
        $(document).on('click', '.pagination a',function(event)
        {
            $('li').removeClass('active');
            $(this).parent('li').addClass('active');
  
            var myurl = $(this).attr('href');
            var page=$(this).attr('href').split('page=')[1];

            event.preventDefault();            
            getData(page);
        });
  
    });


    function refresh(){
        if (window.location.hash) {
            var page = window.location.hash.replace('#', '');
            console.log(page);
            if (page == Number.NaN || page <= 0) {
        //         return false;
                getData(1);
            }else{
                getData(page);
            }
        }
    }
  
    function getData(page){
        $.ajax(
        {
            url: './inicio?page=' + page,
            type: "get",
            datatype: "html"
        }).done(function(data){
            $("#tag_container").empty().html(data);
            location.hash = page;
            $([document.documentElement, document.body]).animate({
                scrollTop: $("#inicio_notas").offset().top
            }, 1000);
        }).fail(function(jqXHR, ajaxOptions, thrownError){
              alert('No response from server');
        });
    }

    
</script>
@endsection