<style>
  .entry-block-small {
    height: 460px !important;
  }
</style>
<?php
date_default_timezone_set('America/Mexico_City');
$f3 = new \DateTime();
$f3->format('Y-m-d H:i:s');
$configuracion = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte', 25)
  ->OrderBy('id', 'DESC')
  ->limit(1)
  ->get();
?>
<?php foreach ($configuracion as $key => $v) : ?>
  <?php
  if (count($configuracion) != 0) {
    $categoria = $v->categoria;
    $subcategoria = $v->subcategoria;
    $categoria2 = $v->categoria2;
    $subcategoria2 = $v->subcategoria2;
    $val1_t = $v->val1;
    $val2_t = $v->val2;
    $val3_t = $v->val3;
    $val4_t = $v->val4;

    if ($subcategoria != 0) {
      $notas = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(3)->orderBy('fecha', 'DESC')->get();
    } else {
      if ($categoria == 0) {
        $notas = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->limit(3)->orderBy('fecha', 'DESC')->get();
      } else {
        $notas = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->where('categoria', $categoria)->limit(3)->orderBy('fecha', 'DESC')->get();
      }
    }

    if ($subcategoria2 != 0) {
      $notas_slider = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->where('categoria', $categoria2)->where('subcategoria', $subcategoria2)->limit(3)->orderBy('fecha', 'DESC')->get();
    } else {
      if ($categoria == 0) {
        $notas_slider = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->limit(3)->orderBy('fecha', 'DESC')->get();
      } else {
        $notas_slider = DB::table('notas')->where('sitio', $id)->where('fecha', '<=', $f3)->where('categoria', $categoria2)->limit(3)->orderBy('fecha', 'DESC')->get();
      }
    }
  } else {
    $categoria = 0;
    $subcategoria = 0;
    $categoria2 = 0;
    $subcategoria2 = 0;
    $val1_t = "Por Definir";
    $val2_t = "Por Definir";
    $val3_t = "Por Definir";
    $val4_t = 10;
  }


  ?>
<?php endforeach; ?>
<?php if (count($configuracion) != 0) {

  if (count($notas) >= 2) {
?>

    <section class="module highlight">
      <div class="container">
        <div class="row no-gutter">
          <!--========== BEGIN .COL-MD-12 ==========-->
          <div class="col-md-12">
            <div class="container">


              <div class="module-title">
                <h3 class="title"><span class="bg-<?php echo rand(1, 12) ?>"><?php echo e($val1_t); ?></span></h3>
                <h3 class="subtitle"><?php echo e($val2_t); ?></h3>
              </div>
              <div class="article">

                <?php foreach ($notas as $v) { ?>
                  <div class="entry-block-small">
                    <div class="entry-image">

                      <?php if (!empty($slug)) { ?>
                        <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                        <?php } else { ?>
                          <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                          <?php } ?>
                          <?php
                          $imag1 = $v->imagen;
                          if (strpos($v->imagen, "http") === FALSE) {
                            $imag1 = url('/public/img/' . $v->imagen);
                          } ?>
                          <img class="img-responsive img-full" src="<?php echo e($imag1); ?>" alt="">
                          </a>
                    </div>
                    <div class="entry-content">
                      <div class="title-left title-style04 underline04">
                        <h3>
                          <?php if (!empty($slug)) { ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>">
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>">
                              <?php } ?>
                              <?php echo e($v->titulo); ?>

                              </a>
                        </h3>
                        <?php
                        $fecha_forma = date_create($v->fecha); ?>
                        <?php date_default_timezone_set("America/Mexico_City");
                        setlocale(LC_TIME, 'es_MX.UTF-8'); ?>
                        <p> <i class="fa fa-clock-o"></i> <span class="date"><strong><?php echo  date_format($fecha_forma, 'M d Y'); ?> </strong></span> <strong><?php echo date_format($fecha_forma, 'g:i A'); ?></strong></p>


                      </div>
                      <p>
                        <?php if (!empty($slug)) { ?>
                          <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="">
                            <?php } ?>
                            <?php if (strlen($v->descripcion) > 210) { ?>
                              <p class=""><?php echo substr($v->descripcion, 0, 200); ?>...</p>
                            <?php } else { ?>
                              <p class=""><?php echo substr($v->descripcion, 0, 200); ?>...</p>
                            <?php } ?>
                            </a>
                      </p>
                    </div>
                  </div>

                <?php } ?>


              </div>
            </div>
            <!--******************************************************
                      SEGUNDA SECCION CON OTRO TITULO Y OTROS CONTENIDOS
                      (MODIFICAR CONSULTAS PARA QUE CUADREN CON LA INFORMACION
                      A MOSTRAR)
                      ********************************************************-->
            <div class="container">
              <div class="module-title">
                <h3 class="title"><span class="bg-<?php echo rand(1, 14) ?>"><?php echo e($val3_t); ?></span></h3>
                <h3 class="subtitle"><?php echo e($val4_t); ?></h3>
              </div>
              <div class="article">

                <?php foreach ($notas_slider as $v) { ?>
                  <div class="entry-block-small">
                    <div class="entry-image">
                      <?php if (!empty($slug)) { ?>
                        <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                        <?php } else { ?>
                          <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                          <?php } ?>
                          <?php
                          $imag2 = $v->imagen;
                          if (strpos($v->imagen, "http") === FALSE) {
                            $imag2 = url('/public/img/' . $v->imagen);
                          } ?>
                          <img class="img-responsive img-full" src="<?php echo e($imag2); ?>" alt="">
                          </a>
                    </div>
                    <div class="entry-content">
                      <div class="title-left title-style04 underline04">
                        <h>
                          <?php if (!empty($slug)) { ?>
                            <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                              <?php } ?>
                              <?php echo e($v->titulo); ?></a>
                        </h>
                        <?php
                        $fecha_forma = date_create($v->fecha); ?>
                        <?php date_default_timezone_set("America/Mexico_City");
                        setlocale(LC_TIME, 'es_MX.UTF-8'); ?>
                        <p> <i class="fa fa-clock-o"></i> <span class="date"><strong><?php echo  date_format($fecha_forma, 'M d Y'); ?> </strong></span> <strong><?php echo date_format($fecha_forma, 'g:i A'); ?></strong></p>

                      </div>
                      <p>
                        <?php if (!empty($slug)) { ?>
                          <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="">
                          <?php } else { ?>
                            <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="">
                            <?php } ?>
                            <?php if (strlen($v->descripcion) > 210) { ?>
                              <p class=""><?php echo substr($v->descripcion, 0, 200); ?>...</p>
                            <?php } else { ?>
                              <p class=""><?php echo substr($v->descripcion, 0, 200); ?>...</p>
                            <?php } ?>
                            </a>
                      </p>
                    </div>
                  </div>
                <?php } ?>



              </div>
            </div>
          </div>
          <!--========== END .COL-MD-12 ==========-->
        </div>
      </div>
    </section>

<?php }
} ?>
<?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/secciones_home/veinticinco.blade.php ENDPATH**/ ?>