<?php
  date_default_timezone_set('America/Mexico_City'); 
  $f3 = new \DateTime();
  $f3->format('Y-m-d H:i:s');
  $configuracion = DB::table('configuracion')
  ->where('seccion', $id)
  ->where('id_menu', $id_menu)
  ->where('parte',21)
  ->OrderBy('id','DESC')
  ->limit(1)
  ->get();
  ?>
    <?php foreach ($configuracion as $key => $v): ?>
    <?php
       if(count($configuracion) != 0){
        $categoria = $v->categoria;
        $subcategoria = $v->subcategoria;
        $categoria2 = $v->categoria2;
        $subcategoria2 = $v->subcategoria2;
        $val1_t = $v->val1;
        $val2_t = $v->val2;
        $val3_t = $v->val3;
        // $val4_t = $v->val4;

        if($subcategoria != 0){ 
          $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(6)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas = DB::table('notas')->where('sitio', $id)->limit(6)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria)->limit(6)->orderBy('id_nota', 'DESC')->get();
          }
        }

        if($subcategoria2 != 0){ 
          $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->where('subcategoria', $subcategoria2)->limit($val4_t)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 100000){
            $notas_slider = DB::table('notas')->where('sitio', $id)->limit(5)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas_slider = DB::table('notas')->where('sitio', $id)->where('categoria', $categoria2)->limit(5)->orderBy('id_nota', 'DESC')->get();

          }
        }
       } else {
        $categoria = 0; 
        $subcategoria = 0; 
        $categoria2 = 0; 

        $subcategoria2 = 0; 
        $val1_t = "Por Definir"; 
        $val2_t = "Por Definir"; 
        $val3_t = "Por Definir"; 
        $val4_t = 10; 
       }
       

    ?>
  <?php endforeach; ?>
  <?php if(count($configuracion) != 0){ ?>      
<section class="module ">
      <div class="container">
        <div class="">
          <!--========== BEGIN .COL-MD-8 ==========-->
          <div class="col-md-8">
            <!--========== BEGIN .ARTICLE ==========-->
                  <div class="module-title">
                    <h3 class="title"><span class="bg-6"><?php echo e($val1_t); ?> </span></h3>
                    <h3 class="subtitle"><?php echo e($val2_t); ?></h3>
                  </div>

              
                  <div class="article">
                  
                  <?php foreach ($notas as $key => $v){ ?>
                    
                   
                        
                    <div class="entry-block-small">
                      <div class="entry-image">
                             <?php if(!empty($slug)){ ?>
                              <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" >
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" >
                            <?php } ?>
                            <?php 
                            $imag1 = $v->imagen;
                            if (strpos($v->imagen, "http") === FALSE) {
                              $imag1 = url('/public/img/' . $v->imagen);
                            } ?>
                          <img class="img-responsive img-full" src="<?php echo e($imag1); ?>" alt="" style="object-fit: cover; height: 100%; width:100%; object-position: 50% 50%;">
                          </a>
                          <span>
                          <?php if(!empty($slug)){ ?>
                              <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="label-<?php echo rand(1,14);?>" >
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="label-<?php echo rand(1,14);?>" >
                            <?php } ?>
                          <?php echo e($v->titulo); ?>

                          </a>
                          </span> 
                      </div>
                      <div class="content">
                        <!-- <h3>
                          <?php if(!empty($slug)){ ?>
                              <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" >
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" >
                            <?php } ?>
                        <?php echo e($v->frase); ?></a></h3> -->
                        <p>
                        <?php if(!empty($slug)){ ?>
                          <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="external-link">
                        <?php } else { ?>
                          <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="external-link">
                        <?php } ?>
                        <strong><?php echo e($v->descripcion); ?></strong></a></p>
                      </div>
                    </div>

                    <?php } ?>
                    
                
                </div>


              <!--========== END ARTICLE ==========-->
             </div>
            </div>

            <!--========== END .COL-MD-8 ==========-->
            <div class="col-md-4">
            <!-- Begin .title-style02 -->
              
            <div class="title-style02">
              <h3><?php echo e($val3_t); ?></h3>
            </div>
            <!---End .title-style02-->


            <!--========== BEGIN #SIDEBAR-NEWSFEED ==========-->
            <div class="sidebar-newsfeed">
              <!-- Begin .newsfeed -->
              <div class="newsfeed-6">
                <ul>
                
                <?php foreach($notas_slider as $v){ ?>

                   <li>
                    <div class="item">
                      <div class="item-image">
                      <?php if(!empty($slug)){ ?>
                        <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" class="img-link">
                      <?php } else { ?>
                        <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" class="img-link">
                      <?php } ?>
                      <?php 
                            $imag2 = $v->imagen;
                            if (strpos($v->imagen, "http") === FALSE) {
                              $imag2 = url('/public/img/' . $v->imagen);
                            } ?>
                      <img class="img-responsive img-full" src="<?php echo e($imag2); ?>" alt=""  style="object-fit: cover; height: 100%; width:100%; object-position: 50% 50%;"></a></div>
                      <div class="item-content">
                        <h4 class="ellipsis">
                            <?php if(!empty($slug)){ ?>
                              <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" >
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" >
                            <?php } ?>
                        <?php echo e($v->titulo); ?></a></h4>
                        <?php if(!empty($slug)){ ?>
                              <a href="<?php echo e(url($slug.'/nota/'.$v->slug)); ?>" >
                            <?php } else { ?>
                              <a href="<?php echo e(url('./nota/'.$v->slug)); ?>" >
                            <?php } ?>
                            <?php if(strlen($v->descripcion) > 200){ ?>
                              <p class="ellipsis"><?php echo substr($v->descripcion, 0, 200); ?>...</p>
                            <?php } else { ?>
                              <p class="ellipsis"><?php echo substr($v->descripcion, 0, 200); ?></p>
                            <?php } ?>
                        </a>
                      </div>
                    </div>
                  </li>
                  <?php } ?>


                </ul>
              </div>
              <!-- End .newsfeed -->

            </div>
            <!--========== END #SIDEBAR-NEWSFEED ==========-->
          </div>
          <!--========== END .COL-MD-4 ==========-->

          </div>
        </div>
      </div>
    </section>
    <!--========== END .MODULE ==========-->
<?php } ?>
<?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/veintiuno.blade.php ENDPATH**/ ?>