<!doctype html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" href="<?php echo e(url('public/web/images/amis_fav.png')); ?>" type="image/x-icon">
<title><?php echo $__env->yieldContent('title'); ?> | AMIS Prensa</title>
<!--bootstrap css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/bootstrap.css')); ?>">
<!--font awsome css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/font-awesome.min.css')); ?>">
<!--ionicons css-->
<link rel="stylesheet" type="text/css" href="<?php echo e(url('public/web/css/ionicons.min.css')); ?>">
<!--ticker css-->
<link rel="stylesheet" type="text/css" href="<?php echo e(url('public/web/css/breakingNews.css')); ?>">
<!--mega-menu css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/mega-menu.css')); ?>">
<!--Flickity css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/flickity.css')); ?>" media="screen">
<!--style css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/style.css')); ?>">
<!--owl slider css-->
<link rel="stylesheet" href="<?php echo e(url('public/web/css/owl.carousel.css')); ?>">

<!--jquery js-->
<script src="<?php echo e(url('public/web/js/jquery.js')); ?>"></script>
<!--bootstrap js-->
<script src="<?php echo e(url('public/web/js/bootstrap.js')); ?>"></script>

<!--[if lt IE 9]
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    [endif]-->

</head>

<body>
<div id="spinner">
  <div class="spinner-img"> <img alt="FoodPro Preloader" src="<?php echo e(url('public/web/images/loader.gif')); ?>" /> </div>
</div>
<section class="top-bar">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12 col-xs-12 col-sm-12 nopadding">
        <div class="col-md-1 col-xs-12 col-sm-2 nopadding hidden-xs hidden-sm">
          <?php
            setlocale(LC_ALL,"es_MX");
            echo " <div class='weather'> <span>".strftime("%d")."</span> ".strftime("%b").", ".strftime("%Y")."</div>";
          ?>
        </div>
        <div class="col-md-8 col-xs-12 col-sm-12">
          <div class="breakingNews" id="bn1">
            <div class="bn-title">
              <h2>Nuevo : </h2>
            </div>
            <ul>
               <?php
                $text = DB::table('notas')->OrderBy('id_nota','DESC')->limit(20)->get();
                foreach ($text as $valu) { ?>
                  <li style="list-style: none;"><a href="<?php echo e(url('nota/'.$valu->slug)); ?>"><?php echo e($valu->titulo); ?></a></li>
                <?php } ?>    
            </ul>
            <div class="bn-navi"> <span></span> <span></span> </div>
          </div>
        </div>
        <div class="col-md-3 col-xs-12 col-sm-2 nopadding hidden-xs hidden-sm">
          <div class="search pull-right"> 
            <a target="_blank" href="https://www.facebook.com/AMISmx/"><i class="fa fa-facebook"></i></a> 
            <a target="_blank" href="https://twitter.com/prensAMIS"><i class="fa fa- fa-twitter"></i></a> 
            <a target="_blank" href="https://www.linkedin.com/company/amismx/c"><i class="fa fa- fa-linkedin"></i></a> 
            <a target="_blank" href="https://www.youtube.com/channel/UCOt5LS9TVvnmdDIuRazgz_A"><i class="fa fa- fa-youtube"></i></a> 
          </div>
        </div>
      </div>
    </div>
  </div>
</section>

<!--header section-->
<section class="top-header">
  <div class="container">
    <div class="row">
      <!--logo-->
      <div class="col-md-2 col-sm-3 col-xs-12">
        <div class="logo"> <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(url('public/web/images/logo_amis.png')); ?>" class="img-responsive" alt="logo"></a> </div>
      </div>
      <!--logo end-->

      <!--navigation-->
      <div class="col-md-10 col-sm-9 col-xs-12">
        <nav class="navbar navbar-default yamm">
          <div class="container-full">
            <div class="navbar-header">
              <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar"> <span class="sr-only">Toggle navigation</span> <span class="icon-bar"></span> <span class="icon-bar"></span> <span class="icon-bar"></span> </button>
            </div>
            <div id="navbar" class="navbar-collapse collapse">
              <ul class="nav navbar-nav pull-right">


                <li class="active"><a href="<?php echo e(url('/')); ?>"> Inicio</a></li>
                <li class="dropdown yamm-fw"> <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">Secciones <span class="fa fa-angle-down"></span></a>
                  <ul class="dropdown-menu">
                    <li>
                      <div class="yamm-content">
                        <div class="row">
                        
                        
                           <?php               
                          $sectionnav = DB::table('categorias')->where('seccion', 1)->get();
                          foreach ($sectionnav as $key => $valuesnav) { ?>

                            <div class="col-md-3 col-sm-6 col-xs-12">
                              <div class="widget">
                                <div class="widget-title">
                                  <a href="<?php echo e(url('buscar?q=&clave=&seccion='.$valuesnav->slug.'&categoria=&p=1')); ?>"><h4><?php echo $valuesnav->nombre; ?></h4></a>
                                  <hr>
                                </div>
                                <!-- end widget-title -->
                                </div>
                              <!-- end widget -->
                            </div>

                            <?php } ?>
                        


                        </div>
                      </div>
                      <!-- end ttmenu-content -->
                    </li>
                  </ul>
                </li>
                
                


              </ul>
            </div>
            <!--/.nav-collapse -->
          </div>
          <!--/.container-fluid -->
        </nav>
      </div>
      <!--navigation end-->

    </div>
    <!--row end-->
  </div>
  <!--container end-->
</section>
<!--header section end-->
<?php /**PATH /Applications/MAMP/htdocs/amisprensa/resources/views/layouts/header.blade.php ENDPATH**/ ?>