<?php $__env->startSection('contenido'); ?>


<section class="content-header">
    <div class="container-fluid">
    <div class="row mb-2">
        <div class="col-sm-4">
        <div style="display:flex; align-items:center;">
            <a href="<?php echo e(url('admin/sitio/'.$id.'/administrar_menu/'.$id_menu)); ?>"><i class="fas fa-arrow-circle-left" style="font-size:20px;    margin-right: 10px; color: #007bff;"></i></a>
            <h1>Administrar Sección</h1>
        </div>
        </div>
        <div class="col-sm-8">
            <?php  $sitio = DB::table('sitios')->select('nombre', 'id')->where('sitios.id', $id)->get(); 
                    $menu_text = DB::table('menu')->where('id_menu', $id_menu)->get();

            ?>

            <?php 
                if (isset($sitio[0]->nombre)) {
                    $sitio_name = $sitio[0]->nombre;
                    $sitio_id = $sitio[0]->id;
                } else {
                    $sitio_name = '';
                    $sitio_id = '';
                }
            ?>

            <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="http://localhost/revista/admin">Inicio</a></li>
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id)); ?>"><?php echo e($sitio_name); ?></a></li>
      
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id.'/menu')); ?>">Menú - <?php echo e($menu_text[0]->descripcionMenu); ?></a></li>
                <li class="breadcrumb-item active"><a href="<?php echo e(url('admin/sitio/'.$sitio_id.'/administrar_menu/'.$id_menu)); ?>">Agregar Contenido</a></li>
                  <li class="breadcrumb-item active">Administrar Sección</li>
                </ol>

        </div>
    </div>
    </div><!-- /.container-fluid -->
</section>


<div class="content">
  
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
                <div class="col-md-12">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Contenido del sitio
                            </h3>
                        </div>
                        <div class="card-body">
                        

                    <form enctype="multipart/form-data" method="post" action="<?php echo e(url('admin/configuracion_secciones')); ?>" style="width:100%">
                       <div class="row">
                       <div class="col-md-6">
                                    <?php echo csrf_field(); ?>


                                    <h3 style="text-align: center;">Contenido Notas Principales</h3>
                                    <input type="hidden" name="id" value="<?php foreach ($info as $key => $v) { if(!empty($v->id)){ echo $id_edit = $v->id; }  } ?>">
                                    <input type="hidden" name="add" value="<?php echo e($add); ?>">
                                    <input type="hidden" name="sec" value="<?php echo e($id); ?>">
                                    <input type="hidden" name="id_menu" value="<?php echo e($id_menu); ?>">
                                    <input type="hidden" name="tipo" value="<?php if(empty($info[0]->id)){ echo "add"; } else { echo "edit"; } ?>">
                                   
                                    <label>Título del Recuadro Rojo en la Parte 1:</label>
                                    <input type="hidden" name="val1_tipo" value="texto">
                                    <input type="text" name="val1" class="form-control" required value="<?php foreach ($info as $key => $v) { echo $v->val1; } ?>">
                                    <label>Subtítulo en la Parte 1 :</label>
                                    <input type="hidden" name="val2_tipo" value="texto">
                                    <input type="text" name="val2" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val2; } ?>">
                                    
                                    <label for="">Selecciona una Categoría</label>
                                    <select name="categoria" id="categoria" class="form-control" onchange="subcategory(this.value);" required>
                                        <option value="">Selecciona una Categoría</option>
                                        <option value="0">Últimas Notas</option>
                                        <?php foreach($categorias as $v){ ?>
                                            <option value="<?php echo e($v->id_cat); ?>" <?php if(!empty($info[0]->categoria)){ if($v->id_cat == $info[0]->categoria){ echo "selected"; } } ?> ><?php echo e($v->nombre); ?></option>
                                        <?php } ?>
                                    </select>
                                    <?php if(!empty($info[0]->subcategoria)){ $sub_cat = DB::table('sub_categorias')->where('id_cat','=',$info[0]->categoria)->get(); } ?>
                                    <label>Subcategoría(opcional):</label>
                                    <select name="subcategoria" id="subcategoria" class="form-control">
                                        <option value="">Selecciona una Opción</option>

                                        <?php if(!empty($sub_cat)){ ?>
                                            <?php foreach($sub_cat as $v){ ?>
                                             <option value="<?php echo e($v->id_sub); ?>" <?php if(!empty($info[0]->subcategoria)){ if($v->id_sub == $info[0]->subcategoria){ echo "selected"; } } ?> ><?php echo e($v->nombre_sub); ?></option>
                                            <?php } ?>
                                         <?php } ?>
                                    </select>
                       </div>
                       <div class="col-md-6">
                                     <h3 style="text-align: center;">Contenido Slider</h3>
                                     <label>Título en la Parte 2</label>
                                    <input type="hidden" name="val3_tipo" value="texto">
                                    <input type="text" name="val3" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val3; $val3 = $v->val3; } ?>">
                                    <!-- <label>Número de Notas</label><small> (Minimo 5)</small> -->
                                    <input type="hidden" name="val4_tipo" value="texto">
                                    <input type="hidden" name="val4" class="form-control" value="5">
                                   

                                    <label>Categoría:</label>
                                    <select  class="form-control" name="categoria2" id="categoria2"  onchange="subcategory2(this.value);">
                                        <option value="">Selecciona una Categoría</option>
                                        <option value="0">Ultimas Notas</option>

                                        <?php foreach($categorias as $v){ ?>
                                            <option value="<?php echo e($v->id_cat); ?>" <?php if(!empty($info[0]->categoria2)){ if($v->id_cat == $info[0]->categoria2){ echo "selected"; } } ?>><?php echo e($v->nombre); ?></option>
                                        <?php } ?>
                                    </select>
                                    <?php if(!empty($info[0]->subcategoria2)){ $sub_cat2 = DB::table('sub_categorias')->where('id_cat','=',$info[0]->categoria2)->get(); } ?>

                                    <label>Sub Categoría(opcional):</label>
                                    <select name="subcategoria2" id="subcategoria2" class="form-control">
                                        <option value="">Selecciona una Opción</option>
                                        <?php if(!empty($sub_cat2)){ ?>
                                            <?php foreach($sub_cat2 as $v){ ?>
                                             <option value="<?php echo e($v->id_sub); ?>" <?php if(!empty($info[0]->subcategoria2)){ if($v->id_sub == $info[0]->subcategoria2){ echo "selected"; } } ?> ><?php echo e($v->nombre_sub); ?></option>
                                            <?php } ?>
                                         <?php } ?>
                                    </select>
                       </div>
                       
                       <input type="submit" value="Guardar" class="form-control btn btn-md btn-primary" style="margin-top:15px;">
                       
                       </div>
                            </form>

                        <hr>
                        <h5>Imagen de Ejemplo de la sección</h5>
                        <?php  foreach ($contenido as $key => $v): ?>
                        <img src="<?php echo e(url('public/img_secciones/'.$v->img_contenido)); ?>" style="width:100%">
                        <?php endforeach; ?>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>
</div>

<script>
function subcategory(id){
        $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },                
        url: '<?php echo e(url("admin/ajax_sub_categoria")); ?>',
        type: 'POST',
        data: {id: id},
        success: function(contenido){
            $('#subcategoria').empty();
            $('#subcategoria').append('<option value=""> - </option>');
            $(contenido).each(function(key,value){
                $('#subcategoria').append('<option value="'+value.id_sub+'">'+value.nombre_sub+'</option>');
            });

        },
    });
}

function subcategory2(id){
        $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },             
        url: '<?php echo e(url("admin/ajax_sub_categoria")); ?>',
        type: 'POST',
        data: {id: id},
        success: function(contenido){
            $('#subcategoria2').empty();
            $('#subcategoria2').append('<option value=""> - </option>');
            $(contenido).each(function(key,value){
                $('#subcategoria2').append('<option value="'+value.id_sub+'">'+value.nombre_sub+'</option>');
            });

        },
    });
}
</script>

<?php $__env->stopSection(); ?>



<!-- Main content -->
<!-- <section class="content paddingleft_right15">
    <div class="row">
        <div class="panel panel-primary ">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <center>
                      Administrar Sección
                    </center>
                </h4>
            </div>
            <div class="panel-body">

                <a href="<?php echo e(url('admin/administrar_menu/'.$id)); ?>" class="btn btn-warning">Regresar</a>

                <form enctype="multipart/form-data" method="post" action="<?php echo e(url('admin/configuracion_secciones')); ?>">
                    <?php echo csrf_field(); ?>

                    <hr>
                    <input type="hidden" name="id" value="<?php foreach ($info as $key => $v) { if(!empty($v->id)){ echo $id_edit = $v->id; }  } ?>">
                    <input type="hidden" name="add" value="<?php echo e($add); ?>">
                    <input type="hidden" name="sec" value="<?php echo e($id); ?>">
                   <label>Título 1 (Parte roja):</label>
                   <input type="hidden" name="val1_tipo" value="texto">
                   <input type="text" name="val1" class="form-control" required value="<?php foreach ($info as $key => $v) { echo $v->val1; } ?>">
                   <label>SubTítulo 1:</label>
                   <input type="hidden" name="val2_tipo" value="texto">
                   <input type="text" name="val2" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val2; } ?>">
                   <label>Título 2 (Parte azul):</label>
                   <input type="hidden" name="val3_tipo" value="texto">
                   <input type="text" name="val3" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val3;} ?>">
                  <label>SubtTítulo 2:</label>
                   <input type="hidden" name="val4_tipo" value="texto">
                   <input type="text" name="val4" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val4; } ?>">
                   <label>Título 3 (Parte azul):</label>
                   <input type="hidden" name="val5_tipo" value="texto">
                   <input type="text" name="val5" class="form-control" required  value="<?php foreach ($info as $key => $v) { echo $v->val5;} ?>">                  

                
                   
                   <input type="hidden" name="tipo" value="<?php if(empty($val4)){ echo "add"; } else { echo "edit"; } ?>">

                   <?php if(!empty($val4)){ ?>
                   <small>Imagen Cargada:</small> <br>
                   <img src="<?php echo e(url('public/img/secciones/'.$val4)); ?>" alt=""><br>
                 <?php } ?>
                   <br>
                   <hr>

                   <input type="submit" value="Guardar" class="form-control btn btn-md btn-primary">
               </form>

                  <h3>Imagen de Ejemplo de la sección</h3>

                  <?php foreach ($contenido as $key => $v): ?>
                    <img src="<?php echo e(url('public/img_secciones/'.$v->img_contenido)); ?>" style="width:100%">
                  <?php endforeach; ?>
            </div>
        </div>
    </div>
</section>
 -->

<?php echo $__env->make('layouts.admin_sitio', ['id' => $id], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/secciones_admin/quince.blade.php ENDPATH**/ ?>