<?php $__env->startSection('contenido'); ?>

<?php echo $__env->make('admin/title_section', ['title' => "Notas", 'one' => "Notas", 'one_url' => "admin/", 'back' => "admin/"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="content">
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->



                <div class="col-md-12">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-list"></i>
                                Listado de Notas
                            </h3>
                            <a href="<?php echo e(url('admin/agregar_nota')); ?>" class="btn btn-primary" style="    font-size: 13px; padding: 5px; margin: -5px; float: right;"><i class="fas fa-plus"></i>  Agregar Nota</a>
                        </div>
                        <div class="card-body">


                        <div class="table table-responsive">
                <table class="table table-bordered table-striped" id="table">
                    <thead>
                        <tr class="">
                            <th class="">ID</th>
                            <th class="">Fecha</th>
                            <th>Título</th>
                            <th>Sitio y Categoría</th>
                            <th>Estatus</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                   <?php $i=1;  ?>
                   <?php $__currentLoopData = $notas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $n): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                          <td><?php echo e($n->id_nota); ?></td>
                          <td><strong><?php echo e(date('d-m-Y', strtotime($n->fecha))); ?></strong></td>
                          <td><?php echo e($n->titulo); ?></td>
                          <td><?php echo e($n->nombre_sitio); ?> - <?php echo e($n->nombre); ?></td>
                          <td>
                            <?php if($n->status == 0): ?>  
                               <form method="post" action="<?php echo e(url('admin/nota_act')); ?>" style="display: inline-block;">
                                   <?php echo csrf_field(); ?>

                                   <input type="hidden" name="id" value="<?php echo e($n->id_nota); ?>">
                                   <input type="hidden" name="aut" value="1">
                                   <button type="submit" class="btn btn-xs btn-danger">Sin Autorizar</button>
                                   </form>
                            <?php else: ?> 
                               <form method="post" action="<?php echo e(url('admin/nota_act')); ?>" style="display: inline-block;">
                                   <?php echo csrf_field(); ?>

                                   <input type="hidden" name="id" value="<?php echo e($n->id_nota); ?>">
                                   <input type="hidden" name="aut" value="0">
                                   <button type="submit" class="btn btn-xs btn-success">Autorizado</button>
                                   </form>
                            <?php endif; ?> 
                          </td>
                          <td>
                              
                                 <?php if($info[0]->slug != 'hablemos-de-dinero'){ ?>
                                    <a href="<?php echo e(url($info[0]->slug.'/nota/'.$n->slug_nota)); ?>" target="_blank" class="btn btn-warning">  <i class="fa fa-eye" data-size="20" title="Ver Nota"></i></a>
                                 <?php } else { ?>
                                  <a href="<?php echo e(url('nota/'.$n->slug_nota)); ?>" target="_blank" class="btn btn-warning">  <i class="fa fa-eye" data-size="20" title="Ver Nota"></i></a>
                                 <?php } ?>
                                <a href="<?php echo e(url('admin/nota_edit/'.$n->id_nota)); ?>" class="btn btn-primary">  <i class="fa fa-edit" data-size="20" title="Editar Nota"></i></a>

                                <button type="submit" data-toggle="modal" data-target="#del<?php echo e($n->id_nota); ?>" class="btn btn-danger"><i class="fas fa-trash" data-size="20" title="Eliminar Nota"></i>
                                </button>
                                <div class="modal fade" id="del<?php echo e($n->id_nota); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                  <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                    <div class="modal-header" style="background:#DF1B1B;">
                                      <h3 class="modal-title"><strong>Confirmación de Eliminación</strong></h3>
                                    </div>
                                      <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente la Nota:<br><strong><?php echo e($n->titulo); ?></strong></p>
                                      <div class="modal-footer">
                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                        <form method="post" action="<?php echo e(url('admin/nota_delete')); ?>" style="display: inline-block;">
                                         <?php echo csrf_field(); ?>

                                         <input type="hidden" name="id" value="<?php echo e($n->id_nota); ?>">
                                         <input type="hidden" name="imagen" value="<?php echo e($n->imagen); ?>">
                                         <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                        </form>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                            </td>
                     
                        </tr>
               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>



                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>




</div>

<script>
   //crear slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  $(function () {
    // Replace the <textarea id="editor1"> with a CKEditor
    // instance, using default configuration.
    CKEDITOR.replace('editor');
  });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', ['id' => 1], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/sitio/notas_general.blade.php ENDPATH**/ ?>