<?php $__env->startSection('contenido'); ?>
<?php echo $__env->make('admin/title_section', ['title' => "Sitios", 'one' => "Sitios", 'one_url' => "sitios", 'dos' => "Agregar Sitio", 'back' => "admin/sitios"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.css">

<div class="content">
  <form action="<?php echo e(url('admin/sitios_add')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-9">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Información del sitio
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class="col-sm-2 col-form-label">Nombre <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text" id="nombre" class="form-control" id="nombre" name="nombre" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="customFile" class="col-sm-2 col-form-label">Logo </label>
                            <div class="col-sm-10">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFile" name="logo">
                                    <label class="custom-file-label" for="customFile">Selecciona una imagen</label>
                                </div>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="customFilefav" class="col-sm-2 col-form-label">Favicon </label>
                            <div class="col-sm-10">
                            <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFilefav" name="favicon">
                                    <label class="custom-file-label" for="customFilefav">Selecciona una imagen</label>
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="telefono" class="col-sm-2 col-form-label">Teléfono </label>
                            <div class="col-sm-10">
                            <input type="tel"  class="form-control" id="telefono" name="telefono">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="correo" class="col-sm-2 col-form-label">Correo </label>
                            <div class="col-sm-10">
                            <input type="email"  class="form-control" id="correo" name="correo">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="facebook" class="col-sm-2 col-form-label">Facebook </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="facebook" name="facebook">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="twitter" class="col-sm-2 col-form-label">Twitter </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="twitter" name="twitter">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="youtube" class="col-sm-2 col-form-label">Youtube </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="youtube" name="youtube">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="instagram" class="col-sm-2 col-form-label">Instagram </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="instagram" name="instagram">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="linkedin" class="col-sm-2 col-form-label">Linkedin </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="linkedin" name="linkedin">
                            </div>
                        </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                        <div class="form-group row">
                            <label for="slug" class="col-sm-2 col-form-label">Slug*</label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="slug" name="slug" required>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="descripcion" class="col-sm-2 col-form-label" required >Descripción del sitio*</label>
                            <div class="col-sm-10">
                            <!-- is-valid -->
                            <textarea name="descripcion" id="descripcion" cols="3"  rows="3" class="form-control " data-counter="250"></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="clave" class="col-sm-2 col-form-label" required>Palabras Clave*</label>
                            <div class="col-sm-10">
                            <input type="text" data-role="tagsinput"  class="form-control" id="clave" name="tags">
                            </div>
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->




                </div>
                <div class="col-md-3">

                

                    <div class="card card-warning card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Color
                            </h3>
                        </div>
                        <div class="card-body">

                            <div class="color-primario">
                                <label for="color-primario-input" class="col-form-label" required>Color del menú</label>
                                <input id="color-primario-input" class="form-control" type="text" value="#074198" name="color" style="background: #074198; color:white;"/>
                            </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Estatus
                            </h3>
                        </div>
                        <div class="card-body">

                     

                            <div style="display:flex; justify-content:center; align-items:center">
                                <select name="estatus" id="estatus" class="form-control">
                                    <option value="1">Publicar</option>
                                    <option value="0">Borrador</option>
                                </select>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
                

            <!-- </div>/.col 12 -->
        </div>
    </div>


<div class="form-actions form-actions-fixed-top hidden">
    <h3 class="titulo_nav">Agregar Sitio</h3>
    <div class="btn-set">
        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
    </div>
</div>

    </form>

</div>

<script>
   //crear slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });
</script>
<script>
  $(function () {
      // Basic instantiation:
      $('#color-primario-input').colorpicker();
      $('#color-primario-input').on('colorpickerChange', function(event) {
        $('#color-primario-input').css('background', event.color.toString());
        console.log(event.color.toString());
      });
      $('#color-secundario-input').colorpicker();
      
      $('#color-secundario-input').on('colorpickerChange', function(event) {
        $('#color-secundario-input').css('background', event.color.toString());
        console.log(event.color.toString());
      });
    });    
  </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/admin/administrador/sitios_form.blade.php ENDPATH**/ ?>