<?php $__env->startSection('contenido'); ?>

<?php echo $__env->make('admin/title_section', ['title' => "Secciones", 'one' => "Secciones", 'one_url' => "admin/", 'back' => "admin/"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="content">
  <form action="<?php echo e(route('secciones_add')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->

            <div class="col-md-4">

                <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-plus"></i>
                                Crear Sección 
                            </h3>
                        </div>
                        <div class="card-body">

                        <div class="form-group row">
                            <label for="nombre" class=" col-form-label">Título <span>*</span></label>
                            <input type="text" id="nombre" class="form-control" id="nombre" name="nombre" required>
                        </div>
                       
                        <div class="form-group row">
                            <label for="orden" class=" col-form-label">Agregar el menú princiál <span>*</span></label>
                            <select class="form-control" id="seccion" name="seccion">
                                <option value="0">No</option>
                                <option value="1">Si</option>
                            </select>
                        </div>
                        <div class="form-group row">
                        <label for="estatus" class=" col-form-label">Estatus</label>
                                <select name="estatus" id="estatus" class="form-control">
                                <option value="0">Activo</option>
                                <option value="1">Inactivo</option>
                                </select>
                        </div>
                        

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                        <div class="form-group row">
                            <label for="slug" class=" col-form-label">Slug*</label>
                            <input type="text"  class="form-control" id="slug" name="slug" required>
                        </div>
                        <div class="form-group row">
                            <label for="descripcion" class=" col-form-label" required >Descripción del Menú*</label>
                            <!-- is-valid -->
                            <textarea name="descripcion" id="descripcion" cols="3"  rows="3" class="form-control " data-counter="250"></textarea>
                        </div>
                        <div class="form-group row">
                            <label for="clave" class=" col-form-label">Palabras Clave*</label>
                            <input type="text" data-role="tagsinput"  class="form-control" id="clave" name="tags">
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div id="waypoint"></div>

                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>

                <div class="form-actions form-actions-fixed-top hidden">
                    <h3 class="titulo_nav">Crear Categoría</h3>
                    <div class="btn-set">
                        <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
                    </div>
                </div>

            </form>


                <div class="col-md-8">
                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-info"></i>
                                Información del sitio
                            </h3>
                        </div>
                        <div class="card-body">


                        <div class="table table-responsive">
                                <table class="table table-bordered table-striped" id="table">
                                    <thead>
                                        <tr class="filters">
                                            <th>ID</th>
                                            <th>Título</th>
                                            <th>Estatus</th>
                                            <th>Acciones</th>
                                            
                                        </tr>
                                    </thead>
                                    <tbody>
                                <?php $i=1; ?>
                                <?php $__currentLoopData = $info; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><strong><?php echo e($v->id_cat); ?></strong></td>
                                            <td><?php echo e($v->nombre); ?></td>
                                            <td>
                                                <?php if($v->estatus == 1): ?>
                                                <form method="post" action="<?php echo e(route('secciones_active')); ?>" style="display: inline-block;">
                                                <?php echo csrf_field(); ?>

                                                <input type="hidden" name="id" value="<?php echo e($v->id_cat); ?>">
                                                <input type="hidden" name="estatus" value="0">
                                                <!-- <button type="submit" class="btn btn-danger">Inactivo</button> -->
                                                <input type="submit" class="btn btn-danger" value="Inactivo">
                                                </form>
                                                <?php else: ?>
                                                <form method="post" action="<?php echo e(route('secciones_active')); ?>" style="display: inline-block;">
                                                <?php echo csrf_field(); ?>

                                                <input type="hidden" name="id" value="<?php echo e($v->id_cat); ?>">
                                                <input type="hidden" name="estatus" value="1">
                                                <!-- <button type="submit" class="btn btn-success">Activo</button> -->
                                                <input type="submit" class="btn btn-success" value="Activo">
                                                </form>
                                                <?php endif; ?>
                                            </td>
                                            
                                            <td>
                                                <a href="<?php echo e(route('secciones_edit', $v->id_cat)); ?>" style=" " class="btn btn-primary" title="Editar">
                                                    <i class="fa fa-edit" data-size="20" title="Editar"></i>
                                                </a>
                                           
                                                <a  data-toggle="modal" data-target="#del<?php echo e($v->id_cat); ?>" class="btn btn-danger"><i class="fas fa-trash" data-size="20"  title="Eliminar"></i>
                                                </a>
                                                <div class="modal fade" id="del<?php echo e($v->id_cat); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                    <div class="modal-header" style="background:#DF1B1B;">
                                                    <h3 class="modal-title" style="color: white"><strong>Confirmación de Eliminación</strong></h3>
                                                    </div>
                                                    <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente el registro:<br>
                                                        <strong><?php echo e($v->nombre); ?></strong>
                                                    </p>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                                        <form method="post" action="<?php echo e(route('secciones_del')); ?>" style="display: inline-block;">
                                                        <?php echo csrf_field(); ?>

                                                        <input type="hidden" name="id" value="<?php echo e($v->id_cat); ?>">
                                                        <input type="submit" class="btn btn-md btn-danger" value="Aceptar">
                                                        </form>
                                                    </div>
                                                    </div>
                                                </div>
                                                </div>
                                            </td>
                                        </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                                </div>

            

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>
            <!-- </div>/.col 12 -->
        </div>
    </div>




</div>

<script>
   //crear slug
    //  $( "#nombre").blur(function() {
        $("#nombre").keyup(function () {
        var nombre = $('#nombre').val();
        var token = '<?php echo e(csrf_token()); ?>';
        var data = { nombre: nombre, _token: token };
        $.ajax({
            type: "post",
            url: "<?php echo e(url('admin/ajax_slug')); ?>",
            data: data,
            success: function (result) {
                //console.log(result.result);
                $("#slug").val(result.result);
            }
        });
    });

    
  
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', ['id' => 1], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/periodistasconta/public_html/amisprensa/resources/views/admin/secciones/lista_secciones.blade.php ENDPATH**/ ?>