<?php $__env->startSection('contenido'); ?>
<?php echo $__env->make('admin/title_section', ['title' => "Sitios", 'one' => "Sitios", 'one_url' => "sitios", 'dos' => "Editar Sitio", 'back' => "admin/sitios"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/js/bootstrap-colorpicker.min.js"></script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-colorpicker/3.2.0/css/bootstrap-colorpicker.css">
<div class="content">
  <form action="<?php echo e(url('admin/sitios_ed')); ?>" method="post" enctype="multipart/form-data">
    <?php echo csrf_field(); ?>
    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->
            
                <div class="col-md-9">

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-edit"></i>
                                Editar la información del sitio
                            </h3>
                        </div>
                        <div class="card-body">
                        <input type="hidden"  name="id" value="<?php echo $info[0]->id ?>">

                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Nombre <span>*</span></label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="nombre" required value="<?php echo $info[0]->nombre ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Logo </label>
                            <div class="col-sm-10">
                                <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFile" name="logo">
                                    <label class="custom-file-label" for="customFile">Selecciona una imagen</label>
                                </div>
                            </div>
                            <small for="nombreSitio" class="col-sm-2">Imagen Cargada </small>
                            <div class="col-sm-10">
                                <img src="<?php echo e(url('public/img/'.$info[0]->logo)); ?>" alt="" style="max-height:80px; margin:5px;">
                            </div>
                        
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Favicon </label>
                            <div class="col-sm-10">
                            <div class="custom-file">
                                    <input type="file" class="custom-file-input" id="customFilefav" name="favicon">
                                    <label class="custom-file-label" for="customFilefav">Selecciona una imagen</label>
                                </div>
                            </div>
                            <small for="nombreSitio" class="col-sm-2">Imagen Cargada </small>
                            <div class="col-sm-10">
                                <img src="<?php echo e(url('public/img/'.$info[0]->favicon)); ?>" alt="" style="max-height:50px; margin:5px;">
                            </div>
                        </div>
                        <input type="hidden" name="logo_actual" value="<?php echo $info[0]->logo;?>">
                        <input type="hidden" name="fav_actual" value="<?php echo $info[0]->favicon;?>">
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Teléfono </label>
                            <div class="col-sm-10">
                            <input type="tel"  class="form-control" id="nombreSitio" name="telefono" value="<?php echo $info_sitio[0]->telefono; ?>">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Correo </label>
                            <div class="col-sm-10">
                            <input type="email"  class="form-control" id="nombreSitio" name="correo" value="<?php echo $info_sitio[0]->correo; ?>">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Facebook </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="facebook" value="<?php echo $info_sitio[0]->facebook; ?>">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Twitter </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="twitter" value="<?php echo $info_sitio[0]->twitter; ?>">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Youtube </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="youtube" value="<?php echo $info_sitio[0]->youtube; ?>">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Instagram </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="instagram" value="<?php echo $info_sitio[0]->instagram; ?>">
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Linkedin </label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="nombreSitio" name="linkedin" value="<?php echo $info_sitio[0]->linkedin; ?>">
                            </div>
                        </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-primary card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="fab fa-searchengin"></i>
                                SEO
                            </h3>
                        </div>
                        <div class="card-body">
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Slug*</label>
                            <div class="col-sm-10">
                            <input type="text"  class="form-control" id="slug" name="slug" required value="<?php echo $info[0]->slug ?>">
                            </div>
                        </div>    
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Descripción del sitio</label>
                            <div class="col-sm-10">
                            <textarea name="descripcion" id="descripcion" cols="3"  rows="3" class="form-control" data-counter="250"><?php echo $info[0]->descripcion_seo ?></textarea>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="nombreSitio" class="col-sm-2 col-form-label">Palabras Clave</label>
                            <div class="col-sm-10">
                            <input type="text" data-role="tagsinput"  class="form-control" id="nombreSitio" name="tags" value="<?php echo $info[0]->keywords_seo ?>">
                            </div>
                        </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->




                </div>
                <div class="col-md-3">

                    <div class="card card-warning card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Color
                            </h3>
                        </div>
                        <div class="card-body">

                            <div class="color-primario">
                                <label for="color-primario-input" class="col-form-label" required>Color del menú</label>
                                <input id="color-primario-input" class="form-control" type="text" value="<?php echo $info[0]->color ?>" name="color" style="background: <?php echo $info[0]->color ?>; color:white;"/>
                            </div>

                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                    <div class="card card-info card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="fas fa-check"></i>
                                Estatus
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <select name="estatus" id="estatus" class="form-control">
                                    <option value="1" <?php if($info[0]->activo == 1){ echo 'selected'; } ?>>Publicar</option>
                                    <option value="0" <?php if($info[0]->activo == 0){ echo 'selected'; } ?>>Borrador</option>
                                </select>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                    <div id="waypoint"></div>
                    <div class="card card-success card-outline"> 
                        <div class="card-header">
                            <h3 class="card-title">
                            <i class="far fa-save"></i>
                                Guardar
                            </h3>
                        </div>
                        <div class="card-body">
                            <div style="display:flex; justify-content:center; align-items:center">
                                <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button>
                            </div>
                    
                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->
                </div>

            <!-- </div>/.col 12 -->
        </div>
    </div>
    <div class="form-actions form-actions-fixed-top hidden">
    <h3 class="titulo_nav">Editar Sitio</h3>
        <div class="btn-set">
            <button type="submit" class="btn btn-success"><i class="far fa-paper-plane"></i> Guardar</button> 
        </div>
    </div>
    </form>

</div>

<script>
//  $( "#nombre").blur(function() {
$( "#nombre").keyup(function() {
    var nombre = $('#nombre').val();
    var token = '<?php echo e(csrf_token()); ?>';
    var data={nombre:nombre,_token:token};
    $.ajax({
        type: "post",
        url: "<?php echo e(url('admin/ajax_slug')); ?>",
        data: data,
        success: function (result) {
            //console.log(result.result);
            $("#slug").val(result.result);
        }
    });    
});
</script>
<script>
  $(function () {
      // Basic instantiation:
      $('#color-primario-input').colorpicker();
      $('#color-primario-input').on('colorpickerChange', function(event) {
        $('#color-primario-input').css('background', event.color.toString());
        console.log(event.color.toString());
      });
      $('#color-secundario-input').colorpicker();
      
      $('#color-secundario-input').on('colorpickerChange', function(event) {
        $('#color-secundario-input').css('background', event.color.toString());
        console.log(event.color.toString());
      });
    });    
  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/admin/administrador/sitios_edit.blade.php ENDPATH**/ ?>