<?php
  date_default_timezone_set('America/Mexico_City'); 
  $f3 = new \DateTime();
  $f3->format('Y-m-d H:i:s');
  $configuracion = DB::table('configuracion')
  ->where('seccion',$id_menu)
  ->where('parte',4)
  ->OrderBy('id','DESC')
  ->limit(1)
  ->get();
  ?>
    <?php foreach ($configuracion as $key => $v): ?>
    <?php
       if(count($configuracion) != 0){
        $categoria = $v->categoria;
        $subcategoria = $v->subcategoria;
        $categoria2 = $v->categoria2;
        $subcategoria2 = $v->subcategoria2;
        $val1_t = $v->val1;
        $val2_t = $v->val2;
        $val3_t = $v->val3;
        $val4_t = $v->val4;

        if($subcategoria != 0){ 
          $notas = DB::table('notas')->where('categoria', $categoria)->where('subcategoria', $subcategoria)->limit(16)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas = DB::table('notas')->limit(16)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas = DB::table('notas')->where('categoria', $categoria)->limit(16)->orderBy('id_nota', 'DESC')->get();
          }
        }

        if($subcategoria2 != 0){ 
          $notas_slider = DB::table('notas')->where('categoria', $categoria2)->where('subcategoria', $subcategoria2)->limit(7)->orderBy('id_nota', 'DESC')->get();
        } else {
          if($categoria == 0){
            $notas_slider = DB::table('notas')->limit(7)->orderBy('id_nota', 'DESC')->get();
          } else {
            $notas_slider = DB::table('notas')->where('categoria', $categoria2)->limit(7)->orderBy('id_nota', 'DESC')->get();

          }
        }
        
       } else {
        $categoria = 0; 
        $subcategoria = 0; 
        $categoria2 = 0; 
        $subcategoria2 = 0; 
        $val1_t = "Por Definir"; 
        $val2_t = "Por Definir"; 
        $val3_t = "Por Definir"; 
        $val4_t = 10; 
       }
       

    ?>
  <?php endforeach; ?>
  <?php if(count($configuracion) != 0){ ?>  

          <!--========== BEGIN .MODULE ==========-->
          <section class="module highlight" style="margin-top: 10px; margin-bottom: 10px;">
            <div class="container">
              <div class="row no-gutter">
                  <!--========== BEGIN .COL-MD-8 ==========-->
                  <div class="col-md-8">
                    <div class="module-title">
                      <h3 class="title"><span class="bg-1"><?php echo e($val1_t); ?></span></h3>
                      <h3 class="subtitle"><?php echo e($val2_t); ?></h3>
                    </div>        
                     <div class="news">
                      <!-- Begin .news-block -->
                      <div class="news-block">
         <?php foreach ($notas as $key => $v):  ?>
           
                        
                  <div class="item-block">
                    <div class="item-image"><a class="img-link" href="<?php echo e(url('noticias/'.$v->slug)); ?>"><img class="img-responsive img-full" src="<?php echo e(url('public/img/'.$v->imagen)); ?>" alt=""></a></div>
                    <div class="item-content">
                      <?php
                        $fecha_forma = date_create($v->fecha); ?>
                        <?php date_default_timezone_set("America/Mexico_City"); setlocale(LC_TIME,'es_MX.UTF-8'); ?>

                        <p> <i class="fa fa-clock-o"></i> <span class="date"><strong><?php echo  date_format($fecha_forma, 'M d Y'); ?> </strong></span> <strong><?php echo date_format($fecha_forma, 'g:i A'); ?></strong></p>
                      <p><a href="<?php echo e(url('noticias/'.$v->slug)); ?>"><strong><?php echo e($v->titulo); ?>:</strong> <?php echo e($v->frase); ?></a></p>
                    </div>
                  </div>      

        <?php endforeach; ?>
                        </div>
                      </div>
                      <!--========== END .NEWS ==========-->
                    </div>
                    <!--========== END .COL-MD-8 ==========-->
                    <!--========== BEGIN .COL-MD-4 ==========-->

                      <div class="col-md-4">
                        <!-- Begin .title-style02 -->
                        <div class="title-style02">
                          <h3><strong><?php echo e($val3_t); ?></strong></h3>
                        </div>
                        
                          <ul class="list list-mark-2">
                        <?php foreach ($notas as $key => $value_destacada) :
                          $titulo = $value_destacada->titulo;
                          $descripcion = $value_destacada->descripcion;
                          $subtitulo = $value_destacada->frase;
                          $imagen = $value_destacada->imagen;
                          $slug = $value_destacada->slug;
                          if(strpos($imagen,"http")===FALSE){
                            $imagen='http://induccionweb.com/revista/public/img/imagen_notas/'.$imagen;
                          }
                          ?>
                            <li><a href="<?php echo e(url('nota_destacada/'.$slug)); ?>"><strong><?php echo e($titulo); ?></strong>:<?php echo e($descripcion); ?></a> </li>
                          <?php endforeach; ?>
                          </ul>
                           <!--========== BEGIN SIDEBAR-VIDEO ==========-->
                            <!-- Begin .sidebar-block -->
                            <!--========== 
                            FALTA POR MODIFICAR ESTA PARTE, 
                            DE DONDE VIENEN LOS VIDEOS, DE QUE NOTAS SALEN, ETC
                             ==========-->
                           
                            <!-- End  .sidebar-block -->
                            <!--========== END SIDEBAR-VIDEO ==========-->
                            
                            <!--========== BEGIN #SIDEBAR-NEWSLETTER ==========-->

                            <div id="sidebar-newsletter">
                              <!-- Begin .title-style01 -->
                              <div class="title-style01">
                                <h3><strong>Newsletter</strong></h3>
                              </div>
                              <!-- End .title-style01 -->
                              <!-- Begin .sidebar-newsletter-form -->
                              <div class="sidebar-newsletter-form">
                                <form class="form-horizontal" action="include/subscribe.php" id="subscribeForm" method="POST">
                                  <div class="input-group">
                                    <input title="Newsletter" class="form-control" name="email" type="email" id="address" placeholder="Enter Your Email Address" data-validate="validate(required, email)" required>
                                    <span class="input-group-btn">
                                    <button type="submit" class="btn btn-success">Subscribe</button>
                                    </span> </div>
                                </form>
                                <span id="result" class="alertMsg"></span> </div>
                              <!-- End .sidebar-newsletter-form -->
                            </div>
                            <!--========== END #SIDEBAR-NEWSLETTER ==========-->

                    </div>
                    <!--========== END .COL-MD-4 ==========-->
                  </div>
                </div>
              </section>
<?php } ?><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/catorce.blade.php ENDPATH**/ ?>