<section class="module highlight">
  <div class="container">
    <div class="row no-gutter">
      <!--========== BEGIN .COL-MD-8 ==========-->
      <div class="col-md-8">
        <div class="container">
          <div class="module-title">
            <h3 class="title"><span class="bg-6">Arts Show</span></h3>
            <h3 class="subtitle">Galleries</h3>
          </div>
          <!--========== BEGIN .ARTICLE ==========-->
          <div class="article">
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a><span><a class="label-6" href="#">Classical Music</a></span> </div>
              <div class="content">
                <h3><a href="#">Alma Deutscher plays the violin and piano superbly </a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>Alma Deutscher</strong> is a composer of piano and violin sonatas, string quartets and lately a full-length opera...</a></p>
                <div> <a href="music-opera.html"><span class="read-more">Music & Opera</span></a> </div>
              </div>
            </div>
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a> <span><a class="label-1" href="#">Pop Music</a></span></div>
              <div class="content">
                <h3><a href="#">In January 1997, David recorded a radio interview to celebrate... </a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>Like the TV show</strong> this is your Life, with tributes...</a></p>
                <div> <a href="#"><span class="read-more">Continue reading</span></a> </div>
              </div>
            </div>
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a><span><a class="label-12" href="#">Rock Music</a></span> </div>
              <div class="content">
                <h3><a href="#">Guitarist Keith R. once said: "Everyone else wanted to be...</a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>Tributes</strong> have been paid to pioneering rock guitarist...</a></p>
                <div> <a href="#"><span class="read-more">Continue reading</span></a> </div>
              </div>
            </div>
          </div>
          <!--========== END ARTICLE ==========-->
        </div>
        <div class="container">
          <!--========== BEGIN .ARTICLE ==========-->
          <div class="article">
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a><span><a class="label-5" href="#">Theatre</a></span> </div>
              <div class="content">
                <h3><a href="#">Living the theater of dreams in Sydney</a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>Most of us work</strong> to make money - and if it happens to be by doing something we love, we're considered lucky.</a></p>
                <div> <a href="theatre-dance.html"><span class="read-more">Theatre & Dance</span></a> </div>
              </div>
            </div>
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a> <span><a class="label-11" href="#">Dance</a></span></div>
              <div class="content">
                <h3><a href="#">Humans around the world dance to the same beat. </a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>A new study</strong> has found that songs from around the world tend to share features...</a></p>
                <div> <a href="#"><span class="read-more">Continue reading</span></a> </div>
              </div>
            </div>
            <div class="entry-block-small">
              <div class="entry-image"><a class="img-link" href="#"><img class="img-responsive img-full" src="<?php echo e(asset('public/img/image_800x400.jpg')); ?>" alt=""></a><span><a class="label-6" href="#">Ballet</a></span> </div>
              <div class="content">
                <h3><a href="#">Ballet Beautiful by Jane Helen Bowers</a></h3>
                <p><a href="#" target="_blank" class="external-link"><strong>We provide</strong> the highest level of professional ballet training within an academic...</a></p>
                <div> <a href="#"><span class="read-more">Continue reading</span></a> </div>
              </div>
            </div>
          </div>
          <!--========== END ARTICLE ==========-->
        </div>
      </div>
      <!--========== END .COL-MD-8 ==========-->
      <!--========== BEGIN .COL-MD-4 ==========-->
      <div class="col-md-4">
        <!--========== BEGIN SIDEBAR-VIDEO ==========-->
        <!-- Begin .block-title-2 -->
        <div class="block-title-2">
          <h3><strong>Art</strong> Video</h3>
        </div>
        <!-- End .block-title-1 -->
        <!-- Begin .sidebar-block -->
        <div class="sidebar-block">
          <div class="video-container">
            <iframe src="https://player.vimeo.com/video/90897409?title=0&byline=0&portrait=0" class="video" title="Advertisement"></iframe>
          </div>
        </div>
        <!-- End  .sidebar-block -->
        <!-- Begin .sidebar-block -->
        <div class="sidebar-block">
          <div class="video-container">
            <iframe src="https://player.vimeo.com/video/116510414?title=0&byline=0&portrait=0" class="video" title="Advertisement"></iframe>
          </div>
        </div>
        <!-- End  .sidebar-block -->
        <!--========== END SIDEBAR-VIDEO ==========-->
        <!-- Begin .sidebar-block -->
        <div class="sidebar-block">
          <div class="video-container">
            <iframe src="https://player.vimeo.com/video/36883752?title=0&byline=0&portrait=0" class="video" title="Advertisement"></iframe>
          </div>
        </div>
        <!-- End  .sidebar-block -->
        <!--========== BEGIN #SIDEBAR-NEWSLETTER ==========-->
        <div id="sidebar-newsletter">
          <!-- Begin .title-style01 -->
          <div class="title-style01">
            <h3><strong>Newsletter</strong></h3>
          </div>
          <!-- End .title-style01 -->
          <!-- Begin .sidebar-newsletter-form -->
          <div class="sidebar-newsletter-form">
            <form class="form-horizontal" action="include/subscribe.php" id="subscribeForm" method="POST">
              <div class="input-group">
                <input title="Newsletter" class="form-control" name="email" type="email" id="address" placeholder="Enter Your Email Address" data-validate="validate(required, email)" required>
                <span class="input-group-btn">
                  <button type="submit" class="btn btn-success">Subscribe</button>
                </span>
              </div>
            </form>
            <span id="result" class="alertMsg"></span>
          </div>
          <!-- End .sidebar-newsletter-form -->
        </div>
        <!--========== END #SIDEBAR-NEWSLETTER ==========-->
      </div>
      <!--========== END .COL-MD-4 ==========-->
    </div>
  </div>
</section><?php /**PATH /Applications/MAMP/htdocs/revista/resources/views/secciones_home/veinte.blade.php ENDPATH**/ ?>