<?php $__env->startSection('contenido'); ?>
<?php echo $__env->make('admin/title_section', ['title' => "Contacto", 'one' => "Contacto", 'one_url' => "mensajes", 'back' => "admin/mensajes"], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="content">

    <div class="container-fluid">
        <div class="row">
            <!-- <div class="col-md-12"> -->

                <div class="col-md-12">

                    <div class="card card-primary card-outline">
                        <div class="card-header">
                            <h3 class="card-title">
                                <i class="far fa-envelope"></i>
                                Buzón de mensajes
                            </h3>
                        </div>
                        <div class="card-body">


                        <table class="table table-striped table-bordered table-condensed table-hover" id="table">
                        <thead>
                            <tr>
                            <td>Fecha</td>
                            <td>Nombre</td>
                            <td>email</td>
                            <td>asunto</td>
                            <td>Leer</td>
                            </tr>
                        </thead>
                        <?php $__currentLoopData = $mensajes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                            <tr>
                            <td><?php echo e($v->fecha); ?></td>
                            <td><?php echo e($v->nombre); ?></td>
                            <td><?php echo e($v->email); ?></td>
                            <td><?php echo e($v->asunto); ?></td>
                            <td><a href="<?php echo e(url('admin/mensajes/'.$v->id)); ?>" class="btn btn-info"><i class="fas fa-eye"></i></a>
                                <button  data-toggle="modal" data-target="#del<?php echo e($v->id); ?>" class="btn btn-danger"><i class="fas fa-trash" data-size="20"  title="Eliminar"></i>
                                </button>
                                <div class="modal fade" id="del<?php echo e($v->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                    <div class="modal-header" style="background:#DF1B1B;">
                                    <h3 class="modal-title" style="color: white"><strong>Confirmación de Eliminación</strong></h3>
                                    </div>
                                    <p class="lead text-muted text-center" style="display: block;margin:10px">Esta acción eliminará de forma permanente el registro de:<br><strong><?php echo e($v->nombre); ?></strong></p>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-md btn-default" data-dismiss="modal">Cancelar</button>
                                        <form method="post" action="<?php echo e(url('admin/sitio/mensajes_del')); ?>" style="display: inline-block;">
                                        <?php echo csrf_field(); ?>

                                        <input type="hidden" name="id" value="<?php echo e($v->id); ?>">
                                        <button type="submit" class="btn btn-md btn-danger">Aceptar</button>
                                        </form>
                                    </div>
                                    </div>
                                </div>
                                </div>
                            </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </table>



                        </div><!-- /.card-doby -->
                    </div><!-- /.card -->

                </div>



            <!-- </div>/.col 12 -->
        </div>
    </div>

</div>




<br>
<!-- <section class="content paddingleft_right15">
        <div class="row">
            <div class="panel panel-primary ">
                <?php if($errors->any()): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li><?php echo e($error); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                <?php endif; ?>

                <?php if(session()->has('success')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('success')); ?>

                    </div>
                <?php endif; ?>

                <div class="panel-heading">
                    <h4 class="panel-title">
                        <center>Buzón de mensajes</center>
                    </h4>
                </div>
                <div class="panel-body">
                    <table class="table table-striped table-bordered table-condensed table-hover" id="table">
                        <?php $__currentLoopData = $mensajes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <div class="box collapsed-box">
                                    <div class="box-header with-border">
                                    <h3 class="box-title">
                                        <a href="<?php echo e(route('readMessage',$v->id)); ?>">
                                            <?php if($v->leido): ?>
                                                <i class="fa fa-envelope-open" aria-hidden="true"></i>
                                            <?php else: ?>
                                                <i class="fa fa-envelope" aria-hidden="true"></i>
                                            <?php endif; ?>
                                            <strong>Asunto:</strong> <?php echo e($v->asunto); ?>

                                        </a>
                                    </h3>

                                    <div class="box-tools pull-right">
                                        <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Mostrar">
                                        <i class="fa fa-plus"></i></button>
                                        <a href="<?php echo e(route('deleteMessage',$v->id)); ?>"><button type="button" class="btn btn-box-tool" title="Eliminar">
                                        <i class="fa fa-times"></i></button></a>
                                    </div>
                                    </div>
                                    <div class="box-body">
                                        De: <?php echo e($v->nombre); ?> (<?php echo e($v->email); ?>)<br>
                                    </div>
                                    <div class="box-footer">
                                        <i class="fa fa-clock-o" aria-hidden="true"></i>&nbsp;&nbsp;<?php echo e($v->fecha); ?>

                                    </div>
                                </div>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </table>
                </div>
            </div>
        </div>
    </section>
    <script>
        $(document).ready( function () {
            $('#table').DataTable();
        } );
    </script> -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Applications/MAMP/htdocs/amisprensa/resources/views/admin/administrador/inbox.blade.php ENDPATH**/ ?>