<?php if (!empty($slug)) {
    $og_url = url($slug . '/nota/' . $nota[0]->slug);
    } else {
    $og_url = url('nota/' . $nota[0]->slug);
    }
    $og_title = $nota[0]->titulo . ' - ' . $nombre_sitio;
    $og_description = $nota[0]->descripcion;
    $og_image = $nota[0]->imagen;
    if (strpos($og_image, 'http') === false) {
    $og_image = url('public/img/' . $og_image);
    }
    $og_type = 'article';
    ?>
    
    <?php echo $__env->make('layouts.header', ['id' => $id,'id_menu' => 0 ,'og_url' => $og_url ,'og_title' => $og_title ,'og_description'
    => $og_description ,'og_image' => $og_image ,'og_type' => $og_type, 'og_key' => $nota_tags], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    
    <div id="fb-root"></div>
    
    
    <style type="text/css">
        .post img {
            width: 100% !important;
            height: 100% !important;
        }
    
        .post p,
        ul {
            font-family: "Roboto", "Arial", sans-serif;
            line-height: 30px;
            font-weight: 400;
            -webkit-font-smoothing: antialiased;
            font-size: 18px;
            display: block;
            margin-block-start: 1em;
            margin-block-end: 1em;
            margin-inline-start: 0px;
            margin-inline-end: 0px;
        }
    
        .post h3,
        h4 {
            line-height: 1.067;
            font-family: "Rajdhani", "Poppins", "Roboto", "Arial", sans-serif;
            letter-spacing: -0.025em;
            font-weight: 700;
            color: #000;
            margin-bottom: 1.5rem;
            font-size: 26px;
        }
    
        .post li {
            display: list-item;
            text-align: -webkit-match-parent;
        }
    
        .post blockquote {
            line-height: 30px;
            font-family: "Rajdhani", "Poppins", "Roboto", "Arial", sans-serif;
            font-weight: 300;
            letter-spacing: 0.025em;
            quotes: none;
            margin-bottom: 1.5rem;
        }
    
        .post ul {
            list-style-type: circle;
            margin-block-start: 1em;
            margin-block-end: 1em;
            margin-inline-start: 0px;
            margin-inline-end: 0px;
            padding-inline-start: 40px
        }
    
        .post h1 {
            font-family: "Rajdhani", "Poppins", "Roboto", "Arial", sans-serif;
            color: #000;
            text-transform: uppercase;
            font-weight: 900 !important;
        }
    
        .post iframe {
            width: 100%;
            align-self: center;
        }
    
        .post-full {
            margin-top: 2rem;
        }
        .hora_nota {
            display: initial;
        }
        .info_nota{
            display: initial;
        }
        .info_nota_movil{
            display: none;
        }
        @media (max-width:450px){
            .info_nota{
                display: none;
            }
            .info_nota_movil{
                display: initial;
            }
        }
    .Whatsapp:hover{
        opacity: 0.8;
    }
    .Whatsapp object{
        pointer-events: none;
    }
    .facebook {
        color:white !important;
    }
     .twitter{
        color:white !important;
    }
    </style>
    
    <?php $__currentLoopData = $nota; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php
            $titulo = $v->titulo;
            $slug = '';
            $imagen = $v->imagen;
            $frase = $v->frase;
            $texto = $v->texto;
            $descripcion = $v->descripcion;
            $fecha = $v->fecha;
            $template = $v->template;
        ?>
        <?php if (strpos($imagen, 'http') === false) { ?>
        <?php
            $imagen = url('public/img/' . $imagen);
        ?>
        <?php } ?>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    
    <!--========== SCRIPT PARA HACER LOS METATAGS DINAMICOS ==========-->
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            document.querySelector("meta[property='og:image']").content = "<?php echo e($imagen); ?>";
            document.querySelector("meta[property='og:url']").content = window.location.href;
            document.querySelector("meta[property='og:title']").content = "<?php echo e($titulo); ?> - <?php echo e($nombre_sitio); ?>";
            document.querySelector("meta[property='og:description']").content = "<?php echo e($descripcion); ?>";
            document.querySelector("meta[property='og:type']").content = "article";
            document.title = "<?php echo e($titulo); ?> - <?php echo e($nombre_sitio); ?>";
        });
    </script>
    <!--========== BEGIN #MAIN-SECTION ==========-->
    <div id="main-section">
        <!--========== BEGIN .CONTAINER ==========-->
        <div class="container"> </div>
        <!--========== END .CONTAINER ==========-->
        <!--========== BEGIN .MODULE ==========-->
        <section class="module">
            <div class="" style="padding-top: 20px !important; ">
                <!--========== BEGIN .ROW ==========-->
                <div class="row ">
                    <!--========== BEGIN .COL-MD-8 ==========-->
                    <!--========== BEGIN .POST ==========-->
                    <?php if ($template == 3) { ?>
                    <div class="col-md-12">
                        <div class="">
                            <?php if (!empty($v->video)) { ?>
                            <iframe style="width: 100%;" height="415"
                                src="https://www.youtube.com/embed/<?php echo e($v->video); ?>" frameborder="0"
                                allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                                allowfullscreen></iframe>
                            <?php } else { ?>
                            <img src="<?php echo e($imagen); ?>" alt="Foto" class="img-responsive"
                                style="width: 100% !important; height: 415px !important;">
                            <?php } ?>
                        </div>
                    </div>
                    <div class="col-md-8">
                        <div class="post post-full clearfix">
                            <div class="">
                                <h1 class="g1-mega g1-mega-1st entry-title"><?php echo $titulo; ?></h1>
                                
                                <div class="info_nota">
    
                                    <div style="display:flex; justify-content: space-between; align-items: center;" >
                                        <div class="datos_nota">
                                        <?php if(count($periodista) != 0){ ?>
                                                <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> | </small>
                                        <?php } ?>
                                                <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                        </div>
                                        <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; ">
                                            <?php if (!empty($slug)) {
                                                $ruta_redes = url($slug . '/nota/' . $v->slug);
                                            } else {
                                                $ruta_redes = url('nota/' . $v->slug);
                                            } ?>
                                            <a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                        <i class="fa fa-facebook"></i></a>
                                            <a href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="twitter"><i class="fa fa-twitter"></i></a> 
                                            <a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                                <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                    height="20" style="    margin-top: 5px;"> </object>
                                            </a> 
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="info_nota_movil">
    
                                    <div style="display:flex; justify-content: space-between; align-items: center; " >
                                        <div class="datos_nota">
                                        <?php if(count($periodista) != 0){ ?>
                                                <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> </small><br>
                                        <?php } ?>
                                                <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                        </div>
                                        <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; margin-right:20px;">
                                                <?php if (!empty($slug)) {
                                                $ruta_redes = url($slug . '/nota/' . $v->slug);
                                                } else {
                                                $ruta_redes = url('nota/' . $v->slug);
                                                } ?>
                                            <a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                        <i class="fa fa-facebook"></i></a>
                                            <a href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="twitter"><i class="fa fa-twitter"></i></a> 
                                                    <a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                                        <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                            height="20" style="    margin-top: 5px;"> </object>
                                                    </a> 
                                        </div>
                                    </div>
                                    </div>
                                    
                               
                                <h2 style="font-size: 15px; font-weight: 600;line-height: 22px; margin-top: 5px;"><?php echo $v->descripcion; ?></h2>
    
                            </div>
    
                            <p><?php echo $texto; ?></p>
                        </div>
                        <?php } elseif ($template == 2) { ?>
                        <div class="col-md-8">
                            <div class="post post-full clearfix">
                                <div class="entry-media">
                                    <h1 class="g1-mega g1-mega-1st entry-title"><?php echo $titulo; ?></h1>
                                    
                                    
                                    <div class="info_nota">
    
                                    <div style="display:flex; justify-content: space-between; align-items: center;" >
                                        <div class="datos_nota">
                                            <?php if(count($periodista) != 0){ ?>
                                                <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> | </small>
                                            <?php } ?>
                                                <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                        </div>
                                        <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; ">
                                                <?php if (!empty($slug)) {
                                                $ruta_redes = url($slug . '/nota/' . $v->slug);
                                                } else {
                                                $ruta_redes = url('nota/' . $v->slug);
                                                } ?>
                                               <a class="facebook" href="javascript: void(0)" style="margin-right:3px; color:white !important;"
                                                        onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                        <i class="fa fa-facebook"></i></a>
                                               <a href="javascript: void(0)" style="margin-right:3px; color:white !important;"
                                                        onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="twitter"><i class="fa fa-twitter"></i></a> 
    
                                                <a href="javascript: void(0)" style="color: #fff; background-color: #25D366;"
                                                        onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="Whatsapp">  <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                        height="20" style="pointer-events: none; margin-top: 5px;"> </object></a> 
                                                        
                                        </div>
                                    </div>
                                    </div>
                                    
                                    
                                    <div class="info_nota_movil">
    
                                    <div style="display:flex; justify-content: space-between; align-items: center; " >
                                        <div class="datos_nota">
                                            <?php if(count($periodista) != 0){ ?>
                                                <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> </small><br>
                                            <?php } ?>
                                                <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                        </div>
                                        <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; margin-right:20px;">
                                            <?php if (!empty($slug)) {
                                                $ruta_redes = url($slug . '/nota/' . $v->slug);
                                            } else {
                                                $ruta_redes = url('nota/' . $v->slug);
                                            } ?>
                                            <a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                        <i class="fa fa-facebook"></i></a>
                                            <a href="javascript: void(0)" style="margin-right:5px;"
                                                        onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                        class="twitter"><i class="fa fa-twitter"></i></a> 
                                            <a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                                <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                    height="20" style="    margin-top: 5px;"> </object>
                                            </a> 
                                        </div>
                                    </div>
                                    </div>
                                    
    
                                    <h2 style="font-size: 15px; font-weight: 600;line-height: 22px; margin-top: 5px;"><?php echo $v->descripcion; ?></h2>
                                    <?php if (!empty($v->video)) { ?>
                                    <iframe style="width: 100%;" height="415"
                                        src="https://www.youtube.com/embed/<?php echo e($v->video); ?>" frameborder="0"
                                        allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                                        allowfullscreen></iframe>
                                    <?php } else { ?>
                                    <img src="<?php echo e($imagen); ?>" alt="Foto" class="img-responsive"
                                        style="width: 100% !important; height: 400% !important;">
                                    <?php } ?>
                                </div>
    
                                <p><?php echo $texto; ?></p>
                            </div>
    
                            <?php } else { ?>
    
                            <div class="col-md-8">
                                <div class="post post-full clearfix">
                                    <div class="entry-media">
                                        <?php if (!empty($v->video)) { ?>
                                        <iframe style="width: 100%;" height="415"
                                            src="https://www.youtube.com/embed/<?php echo e($v->video); ?>" frameborder="0"
                                            allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                                            allowfullscreen></iframe>
                                        <?php } else { ?>
                                        <img src="<?php echo e($imagen); ?>" alt="Foto" class="img-responsive"
                                            style="width: 100% !important; height: 400% !important;">
                                        <?php } ?>
    
                                        <h1 class="g1-mega g1-mega-1st entry-title" style="margin-top: 1rem"><?php echo $titulo; ?></h1>
                                        
                                       
                                    <div class="info_nota">
    
                                        <div style="display:flex; justify-content: space-between; align-items: center;" >
                                            <div class="datos_nota">
                                                <?php if(count($periodista) != 0){ ?>
                                                    <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> | </small>
                                                <?php } ?>
                                                    <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                    <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                            </div>
                                            <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; ">
                                                <?php if (!empty($slug)) {
                                                    $ruta_redes = url($slug . '/nota/' . $v->slug);
                                                } else {
                                                    $ruta_redes = url('nota/' . $v->slug);
                                                } ?>
                                                <a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                            onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                            <i class="fa fa-facebook"></i></a>
                                                <a href="javascript: void(0)" style="margin-right:5px;"
                                                            onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                            class="twitter"><i class="fa fa-twitter"></i></a> 
                                                <a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                    class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                                    <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                        height="20" style="    margin-top: 5px;"> </object>
                                                </a> 
                                            </div>
                                        </div>
                                        </div>
                                        
                                        
                                        <div class="info_nota_movil">
        
                                        <div style="display:flex; justify-content: space-between; align-items: center; " >
                                            <div class="datos_nota">
                                                <?php if(count($periodista) != 0){ ?>
                                                    <small><i class="fa fa-user" aria-hidden="true"></i> <?php echo e($periodista[0]->name); ?> </small><br>
                                                <?php } ?>
                                                    <small><i class="fa fa-calendar" aria-hidden="true"></i> <?php echo date("d/m/Y", strtotime($v->fecha)); ?> </small>
                                                    <small class="hora_nota"> | <i class="fa fa-clock-o" aria-hidden="true"></i> <?php echo date("H:i", strtotime($v->fecha)); ?></small>
                                            </div>
                                            <div class="sidebar-social-icons" style="display:flex; align-items:center; margin-bottom: 0px; margin-right:20px;">
                                                <?php if (!empty($slug)) {
                                                    $ruta_redes = url($slug . '/nota/' . $v->slug);
                                                } else {
                                                    $ruta_redes = url('nota/' . $v->slug);
                                                } ?>
                                                <a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                            onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                            <i class="fa fa-facebook"></i></a>
                                                <a href="javascript: void(0)" style="margin-right:5px;"
                                                            onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                            class="twitter"><i class="fa fa-twitter"></i></a> 
                                                <a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                                    class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                                    <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                        height="20" style="    margin-top: 5px;"> </object>
                                                </a> 
                                            </div>
                                        </div>
                                        </div>
                                        
    
                                        <h2 style="font-size: 15px; font-weight: 600;line-height: 22px; margin-top: 5px;"><?php echo $v->descripcion; ?></h2>
    
                                    </div>
    
                                    <p><?php echo $texto; ?></p>
                                </div>
    
                                <?php } ?>
    
                                <div class="sidebar-social-icons" style="display:flex; align-items:center; ">
                                    <h4 style="margin:10px;"> Compartir por </h4>
                                    <ul class="sidebar-social-buttons">
                                        <?php if (!empty($slug)) {
                                            $ruta_redes = url($slug . '/nota/' . $v->slug);
                                        } else {
                                            $ruta_redes = url('nota/' . $v->slug);
                                        } ?>
                                        <li><a class="facebook" href="javascript: void(0)" style="margin-right:5px;"
                                                    onclick="window.open('https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');">
                                                    <i class="fa fa-facebook"></i></a>
                                        </li>
                                        <li><a href="javascript: void(0)" style="margin-right:5px;"
                                                    onclick="window.open('https://twitter.com/share?text=<?php echo e($titulo); ?>&url=<?php echo e(url($ruta_redes)); ?>&via=hablemosddinero ','sharer','toolbar=0,status=0,width=548,height=325');"
                                                    class="twitter"><i class="fa fa-twitter"></i></a> 
                                        </li>
                                        <li><a href="javascript: void(0)" onclick="window.open('https://api.whatsapp.com/send?text=<?php echo e($titulo); ?> - <?php echo e(url($ruta_redes)); ?>','sharer','toolbar=0,status=0,width=548,height=325');"
                                            class="Whatsapp" style="    color: #fff; background-color: #25D366;">
                                            <object data="<?php echo e(url('public/fonts/whatsapp.svg')); ?>" width="20"
                                                height="20" style="    margin-top: 5px;"> </object>
                                        </a> 
                                        </li>
    
    
                                       
                                </div>
    
                                
                                <?php if(count($periodista) != 0){ ?>
                                <div class="author-post clearfix">
                                    <div class="author-post_img"><img
                                            src="<?php echo e(url('public/periodistas/' . $periodista[0]->periodista_img)); ?>"
                                            alt="<?php echo e($periodista[0]->name); ?>" class="img-responsive"
                                            style="    border-radius: 5%;"></div>
                                    <div class="author-post_content">
                                        <h5 class="author-post_title">Autor:<span class="author-post_name">
                                                <?php if (!empty($slug)) { ?>
                                                <a href="<?php echo e(url($slug . '/autor/' . $periodista[0]->nickname)); ?>"
                                                    class="img-link">
                                                    <?php } else { ?>
                                                    <a href="<?php echo e(url('./autor/' . $periodista[0]->nickname)); ?>"
                                                        class="img-link">
                                                        <?php } ?>
                                                        <?php echo e($periodista[0]->name); ?>

                                                    </a>
                                            </span>
                                        </h5>
    
                                        <div class="author-post_info" id="texto_nota"><?php echo e($periodista[0]->texto); ?></div>
                                    </div>
                                </div>
                                <?php } ?>
    
                                <!-- <h3>Seguramente te va a interesar</h3> -->
    
                                <!--========== END .COL-MD-8 ==========-->
                            </div>
    
                            <div class="col-md-4">
    
                                <!--========== BEGIN #SIDEBAR-NEWSFEED ==========-->
    
                                <!-- Begin .block-title-2 -->
    
                                <div class="block-title-2" style="margin-top:2rem;">
    
                                    <h3>Últimas Noticias</h3>
    
                                </div>
    
                                <!-- End .block-title-2 -->
    
                                <div class="sidebar-newsfeed">
    
                                    <!-- Begin .newsfeed -->
    
                                    <div class="newsfeed-1">
                                        <ul>
                                            <?php foreach ($notas as $v) { ?>
                                            <li>
                                                <div class="item">
                                                    <div class="item-image">
                                                        <?php if (!empty($slug)) { ?>
                                                        <a href="<?php echo e(url($slug . '/nota/' . $v->slug)); ?>"
                                                            class="img-link">
                                                            <?php } else { ?>
                                                            <a href="<?php echo e(url('./nota/' . $v->slug)); ?>" class="img-link">
                                                                <?php } ?>
                                                                <?php
                                                                $imagen = $v->imagen;
                                                                if (strpos($v->imagen, 'http') === false) {
                                                                $imagen = url('/public/img/' . $v->imagen);
                                                                }
                                                                ?>
                                                                <img class="img-responsive img-full"
                                                                    src="<?php echo e($imagen); ?>" alt=""
                                                                    style="object-fit: cover; width: 100%; height: 100%;">
                                                    </div>
                                                    <div class="item-content">
                                                        <h4 class="ellipsis" style="font-size:2rem; color:white">
                                                            <?php echo e($v->titulo); ?></h4>
                                                        <?php if (strlen($v->descripcion) > 130) { ?>
                                                        <p class="ellipsis" style="color:white"><?php echo
                                                            substr($v->descripcion, 0, 110); ?>...</p>
                                                        <?php } else { ?>
                                                        <p class="ellipsis" style="color:white"><?php echo
                                                            substr($v->descripcion, 0, 110); ?></p>
                                                        <?php } ?>
                                                    </div>
                                                    </a>
                                            </li>
                                            <?php } ?>
                                        </ul>
    
                                    </div>
    
                                    <!-- End .newsfeed -->
    
                                </div>
    
                                
    
                                <div class="title-style02">
    
                                    <h3><strong>Noticias</strong> Relacionadas</h3>
    
                                </div>
    
                                <!-- End .title-style02 -->
    
                                <div class="sidebar-post">
    
                                    <ul>
                                        <?php
                                        $con = 1;
                                        foreach ($notas_categoria as $v) { ?>
                                        <li>
                                            <div class="item">
                                                <div class="item-image">
                                                    <?php if (!empty($slug)) { ?>
                                                    <a href="<?php echo e(url($slug . '/nota/' . $v->slug)); ?>" class="img-link">
                                                        <?php } else { ?>
                                                        <a href="<?php echo e(url('./nota/' . $v->slug)); ?>" class="img-link">
                                                            <?php } ?>
                                                            <?php
                                                            $imagen2 = $v->imagen;
                                                            if (strpos($v->imagen, 'http') === false) {
                                                            $imagen2 = url('/public/img/' . $v->imagen);
                                                            }
                                                            ?>
                                                            <img class="img-responsive img-full" src="<?php echo e($imagen2); ?>"
                                                                style="object-fit: cover; width: 100%; height: 100%;"
                                                                alt="">
                                                        </a>
                                                </div>
                                                <div class="item-content">
                                                    <h3>0<?php echo e($con); ?></h3>
                                                    <p>
                                                        <?php if (!empty($slug)) { ?>
                                                        <a href="<?php echo e(url($slug . '/nota/' . $v->slug)); ?>"
                                                            class="img-link">
                                                            <?php } else { ?>
                                                            <a href="<?php echo e(url('./nota/' . $v->slug)); ?>" class="img-link">
                                                                <?php } ?>
                                                                <?php echo e($v->titulo); ?>

                                                            </a>
                                                    </p>
                                                </div>
                                            </div>
                                        </li>
                                        <?php $con++;}
                                        ?>
                                    </ul>
    
                                </div>
                                
                            </div> 
    
    
                        </div>
                    </div>
                    <!--  End .post -->
                    <!--========== END .CONTAINER ==========-->
        </section>
        <!--========== END .MODULE ==========-->
    </div>
    <!--========== END #MAIN-SECTION ==========-->
    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php /**PATH /Applications/MAMP/htdocs/hablemosdedinero/resources/views/single-post.blade.php ENDPATH**/ ?>